2006-07-24  Paul Eggert  <eggert@cs.ucla.edu>

	* stdio-safer.m4 (gl_FOPEN_SAFER, gl_TMPFILE_SAFER): New macros.
	(gl_STDIO_SAFER): Remove.

2006-07-24  Bruno Haible  <bruno@clisp.org>

	* tmpdir.m4: New file, from GNU gettext.

2006-07-23  Eric Blake  <ebb9@byu.net>

	* stdio-safer.m4 (gl_STDIO_SAFER): Add tmpfile-safer.c.

2006-07-22  Paul Eggert  <eggert@cs.ucla.edu>

	* close-stream.m4: New file.

2006-07-22  Bruno Haible  <bruno@clisp.org>

	Merge from GNU gettext 0.15.

	2006-03-25  Bruno Haible  <bruno@clisp.org>

		* lib-link.m4 (AC_LIB_LINKFLAGS_FROM_LIBS): New macro.

	2006-07-21  Bruno Haible  <bruno@clisp.org>

		* javacomp.m4 (gt_JAVACOMP): Convert target_version "null" to
		"1.1".

	2006-05-09  Bruno Haible  <bruno@clisp.org>

		* javacomp.m4 (gt_JAVACOMP): On Cygwin, set
		CLASSPATH_SEPARATOR to a semicolon. Use CLASSPATH_SEPARATOR
		for the conftestver execution.

	2006-05-01  Bruno Haible  <bruno@clisp.org>

		* javacomp.m4 (gt_JAVACOMP): Accept a source-version and an
		optional target-version argument. Verify that the compiler
		groks source of the specified source-version, or add -source
		option as necessary. Verify that the compiler produces
		bytecode in the specified target-version, or add -target and
		-source options as necessary. Make the result of the test
		available as variable CONF_JAVAC. Also log error output in
		config.log.

	2006-03-11  Bruno Haible  <bruno@clisp.org>

		* javacomp.m4 (gt_JAVACOMP): Treat gcj-4.x like gcj-3.x.

	2006-05-09  Bruno Haible  <bruno@clisp.org>

		* javaexec.m4 (gt_JAVAEXEC): On Cygwin, set
		CLASSPATH_SEPARATOR to a semicolon.

	2006-03-12  Bruno Haible  <bruno@clisp.org>

		* javaexec.m4 (gt_JAVAEXEC): Make the result of the test
		available as variable CONF_JAVA, for subsequent autoconf
		tests. Also log error output in config.log.

	2006-07-19  Bruno Haible  <bruno@clisp.org>

		* getline.m4 (AM_FUNC_GETLINE): When cross-compiling, assume
		that getline works on glibc2 systems. Needed to avoid trouble
		in relocatable.c.
		Reported by Nils Magnus Larsgard <nmlarsgaard@atmel.no>.

	2005-12-04  Bruno Haible  <bruno@clisp.org>

		* csharpexec.m4 (gt_CSHARPEXEC): Add support for 'clix'
		launcher (untested).

	2005-12-04  Bruno Haible  <bruno@clisp.org>

		* csharpcomp.m4 (gt_CSHARPCOMP): Also set CSHARPCOMPFLAGS.

	2006-07-22  Bruno Haible  <bruno@clisp.org>

		* gettext.m4: Update from GNU gettext-0.15.
		* nls.m4: Likewise.
		* po.m4: Likewise.
		* inttypes-pri.m4: Likewise.
		* inttypes-h.m4: Renamed from inttypes.m4.
		(gl_HEADER_INTTYPES_H): Renamed from gt_HEADER_INTTYPES_H.

2006-07-17  Bruno Haible  <bruno@clisp.org>

	* gl_list.m4: New file.

2006-07-16  Paul Eggert  <eggert@cs.ucla.edu>

	* mkancesdirs.m4: New file.
	* mkdir-p.m4 (gl_MKDIR_PARENTS): Mention dirchownmod.c, dirchownmod.h.
	Don't require AC_FUNC_ALLOCA, gl_AFS, gl_CHDIR_SAFER; no longer needed.
	Require gl_FUNC_LCHOWN, since dirchownmod.c needs it.

2006-07-11  Eric Blake  <ebb9@byu.net>

	* absolute-header.m4: Fix comments to match recent change.

2006-07-10  Paul Eggert  <eggert@cs.ucla.edu>

	* sys_stat_h.m4 (gl_HEADER_SYS_STAT_H): Like today's change
	to stdint.m4.

2006-07-10  Derek R. Price  <derek@ximbiot.com>
	and Paul Eggert  <eggert@cs.ucla.edu>

	* backupfile.m4, d-ino.m4, d-type.m4, dirfd.m4, fts.m4, getcwd.m4:
	* savedir.m4:
	Ignore the obsolescent !HAVE_DIRENT_H case.  Consolidate NAMLEN
	macros into the GNU _D_EXACT_NAMLEN.

2006-07-10  Paul Eggert  <eggert@cs.ucla.edu>

	* stdint.m4 (gl_STDINT_H): Like yesterday's change to
	absolute-header.m4.  Also, set ABSOLUTE_STDINT_H to a string
	"no/such/file/stdint.h" when there is no such file, so that
	the resulting C code can be parsed by dodgy compilers.
	Problems reported by Bob Proulx.

2006-07-09  Paul Eggert  <eggert@cs.ucla.edu>

	* absolute-header.m4 (gl_ABSOLUTE_HEADER): Use "" rather than <>
	around the absolute name, to work around a problem with the HP-UX
	11.23 native C compiler, reported by Bob Proulx.

2006-07-09  Jim Meyering  <jim@meyering.net>

	* glob.m4: Remove a doubled word in a comment.

2006-07-08  Jim Meyering  <jim@meyering.net>

	* link-follow.m4: Remove one of two adjacent "whether"s in a comment.
	* getopt.m4: Remove one of two adjacent "your"s in a comment.
	* regex.m4 (gl_REGEX): Remove one of two adjacent "the"s in a comment.

2006-07-06  Derek R. Price  <derek@ximbiot.com>
	and Paul Eggert  <eggert@cs.ucla.edu>

	* backupfile.m4 (gl_BACKUPFILE): Check for dirent.h, instead
	of invoking obsolescent AC_HEADER_DIRENT macro.
	* d-ino.m4 (gl_CHECK_TYPE_STRUCT_DIRENT_D_INO): Likewise.
	* d-type.m4 (gl_CHECK_TYPE_STRUCT_DIRENT_D_TYPE): Likewise.
	* dirfd.m4 (gl_FUNC_DIRFD): Likewise.
	* fts.m4 (gl_FUNC_FTS_CORE): Likewise.
	* getcwd.m4 (gl_PREREQ_GETCWD): Likewise.
	* glob.m4 (gl_PREREQ_GLOB): Likewise.
	* savedir.m4 (gl_SAVEDIR): Likewise.
	* readdir.m4: Remove; no longer needed.

2006-07-06  Ralf Wildenhues  <Ralf.Wildenhues@gmx.de>

	* _inttypes_h.m4 (gl_INTTYPES_H): Use AC_CHECK_DECLS_ONCE
	with only one argument, for Autoconf 2.60.
	* fileblocks.m4 (gl_PREREQ_FILEBLOCKS): AC_CHECK_DECLS_ONCE may
	expand to nothing, so add a shell command to avoid syntax error.
	* getpass.m4 (gl_PREREQ_GETPASS): Likewise.

2006-07-06  Paul Eggert  <eggert@cs.ucla.edu>

	* fnmatch.m4 (_AC_LIBOBJ_FNMATCH): Don't check for getenv decl;
	no longer needed.  Check for isblank decl.
	* mkstemp.m4 (gl_PREREQ_TEMPNAME): Don't check for getenv decl.
	* regex.m4 (gl_PREREQ_REGEX): Dheck for isblank decl instead
	of existence.

2006-07-05  Paul Eggert  <eggert@cs.ucla.edu>

	* xstrtol.m4 (gl_PREREQ_XSTRTOL): Use AC_CHECK_DECLS_ONCE
	rather than AC_CHECK_DECLS for strtoimax and strtoumax.
	* getusershell.m4 (gl_PREREQ_GETUSERSHELL): Remove; no longer needed.
	All uses removed.
	* strtol.m4 (gl_PREREQ_STRTOL): Likewise.
	* strtoul.m4 (gl_PREREQ_STRTOUL): Likewise.
	* exclude.m4 (gl_EXCLUDE): Don't check for isascii; no longer needed.
	* getdate.m4 (gl_GETDATE): Likewise.
	* getusershell.m4 (gl_PREREQ_GETUSERSHELL): Likewise.
	* memcasecmp.m4 (gl_MEMCASECMP): Likewise.
	* strtod.m4 (gl_FUNC_STRTOD): Likewise.
	* strtol.m4 (gl_PREREQ_STRTOL): Likewise.
	* strtoul.m4 (gl_PREREQ_STRTOUL): Likewise.
	* xstrtol.m4 (gl_PREREQ_XSTRTOL): Likewise.
	* exclude.m4 (gl_EXCLUDE): Don't require AC_C_INLINE; no longer
	needed.

2006-07-05  Derek R. Price  <derek@ximbiot.com>

	* calloc.m4 (_AC_FUNC_CALLOC_IF): Don't require AC_HEADER_STDC;
	no longer needed.
	* exclude.m4 (gl_EXCLUDE): Likewise.
	* getdate.m4 (gl_GETDATE): Likewise.
	* getusershell.m4 (gl_PREREQ_GETUSERSHELL): Likewise.
	* memcasecmp.m4 (gl_MEMCASECMP): Likewise.
	* strtod.m4 (gl_FUNC_STRTOD): Likewise.
	* strtol.m4 (gl_PREREQ_STRTOL): Likewise.
	* xstrtol.m4 (gl_PREREQ_XSTRTOL): Likewise.

2006-07-05  Eric Blake  <ebb9@byu.net>

	* sockpfaf.m4 (gl_SOCKET_FAMILIES): Use gl_HEADER_SYS_SOCKET
	to avoid 'header present but could not be compiled' on cygwin.

2006-07-03  Bruno Haible  <bruno@clisp.org>

	* strndup.m4 (gl_FUNC_STRNDUP): When cross-compiling, check whether
	the function exists, before testing against AIX.
	Reported by Martin Lambers <marlam@marlam.de>.

2006-07-04  Paul Eggert  <eggert@cs.ucla.edu>

	* absolute-header.m4 (gl_ABSOLUTE_HEADER): Prepend three slashes
	to the absolute name, not just one, to bypass Sun C 5.8's
	"warning: #include of /usr/include/... may be non-portable".

2006-07-03  Paul Eggert  <eggert@cs.ucla.edu>

	* absolute-header.m4: Renamed from full-header-path.m4.
	This is to keep the terminology clean; POSIX talks about
	"absolute pathnames", not "full pathnames", but the GNU
	Coding Standards say to use "path" for something else;
	so use "absolute" to keep both sides happy.
	(gl_ABSOLUTE_HEADER): Renamed from gl_FULL_HEADER_PATH.
	Set gl_absolute_header, not gl_full_header_path.
	Set gl_cv_absolute_<header>, not gl_full_path_<header>.
	Define ABSOLUTE_<HEADER>, not FULL_PATH_<HEADER>.
	All uses changed.

	Merge from coreutils.

	2006-06-30  Paul Eggert  <eggert@cs.ucla.edu>

	* c-strtod.m4 (gl_C_STRTOLD): Add c-strtod.c to LIBSOURCES.
	Require gl_USE_SYSTEM_EXTENSIONS, not gl_C_STRTOD, since we don't
	want to require the building of c-strtod.o.
	* lib-check.m4 (cu_LIB_CHECK): Remove SEQ_LIBM, since seq no longer
	needs -lm directly.
	* xstrtod.m4 (gl_XSTRTOLD): New macro.

	2006-06-19  Paul Eggert  <eggert@cs.ucla.edu>

	* lib-ignore.m4 (gl_IGNORE_UNUSED_LIBRARIES): Prefer binutils's
	--as-needed option if available.  Problem reported by Albert Chin in
	<http://lists.gnu.org/archive/html/bug-gnulib/2006-06/msg00114.html>.
	However, use -Wl,--as-needed, not bare --as-needed, since HP-UX 11.11
	cc merely issues a bunch of annoying warnings for --as-needed
	(this problem was reported by Bob Proulx).  Also, try linking with
	-lm to detect a bug in binutils 2.16 (this problem was reported
	by Ralf Wildenhues).

	2006-06-18  Jim Meyering  <jim@meyering.net>

	Test for a bug that causes glibc's getcwd to suffer a failed assertion.
	* getcwd-abort-bug.m4 (gl_FUNC_GETCWD_ABORT_BUG): New file and macro.
	* getcwd.m4 (gl_FUNC_GETCWD): If we detect support for getcwd_null,
	also check for glibc-2.4's abort-inducing bug.

	* getcwd-path-max.m4 (gl_FUNC_GETCWD_PATH_MAX): Fix typo.
	Low-probability clean-up should be to use rmdir to get rid of
	the just-created directory, not unlink.

	* ftruncate.m4 (gl_FUNC_FTRUNCATE): If ftruncate is missing, make
	configure fail, and request a bug report to inform us about it.
	Add a comment that, barring reports to the contrary, in 2007 we'll
	assume ftruncate is universally available.

	2006-04-17  Paul Eggert  <eggert@cs.ucla.edu>

	* filemode.m4 (gl_FILEMODE): Check for strmode declaration.

	2006-03-12  Jim Meyering  <jim@meyering.net>

	* chdir-safer.m4 (gl_CHDIR_SAFER): Add same-inode.h to the list.
	* cycle-check.m4 (gl_CYCLE_CHECK): Likewise.
	* same.m4 (gl_SAME): Likewise.
	* root-dev-ino.m4 (gl_ROOT_DEV_INO): Likewise.

	2006-03-11  Eric Blake  <ebb9@byu.net>

	* double-slash-root.m4: New file, provides gl_DOUBLE_SLASH_ROOT.
	* dirname.m4 (gl_DIRNAME): Use gl_DOUBLE_SLASH_ROOT.
	* dos.m4 (FILE_SYSTEM_PREFIX_LEN): Move from here to dirname.h.
	(FILE_SYSTEM_DRIVE_PREFIX_CAN_BE_RELATIVE): New define.

2006-07-02  Eric Blake  <ebb9@byu.net>

	* wcwidth.m4 (gl_FUNC_WCWIDTH): Simplify by using AC_CHECK_DECLS.

2006-07-02  Paul Eggert  <eggert@cs.ucla.edu>

	* stdint.m4 (gl_STDINT_H): Use more-mnemonic identifiers for
	test cases, so that config.log is a bit easier to follow.

2006-07-01  Paul Eggert  <eggert@cs.ucla.edu>

	* longlong.m4 (AC_TYPE_LONG_LONG_INT): Backport from Autoconf 2.60,
	but fix a bug, by requiring at least 64 bits.
	* ulonglong.m4 (AC_TYPE_UNSIGNED_LONG_LONG_INT): Likewise.
	* longlong.m4 (gl_AC_TYPE_LONG_LONG): Now just call
	AC_TYPE_LONG_LONG_INT.  This macro is obsolete and will go soon.
	* ulonglong.m4 (gl_AC_TYPE_UNSIGNED_LONG_LONG) Likewise.

	* stdint.m4 (gl_STDINT_H): Rewrite to accommodate stdint_.h
	changes.  Make 2.59 a prerequisite.  Check and substitute for
	HAVE_LONG_LONG_INT.  Rely on Autoconf to check for stdint.h and
	inttypes.h.  Do not use special include files; just use the
	defaults.  Check for sys/inttypes.h and sys/bitypes.h in the usual
	way now.  Remove no-longer-needed tests for HAVE_LONG_64BIT,
	HAVE_LONG_LONG_64BIT, int8_t, int16_t, int32_t, int64_t, uint8_t,
	uint16_t, uint32_t uint64_t, int_least8_t, int_least16_t,
	int_least32_t, int_least64_t, uint_least8_t, uint_least16_t,
	uint_least32_t, uint_least64_t, int_fast8_t, int_fast16_t,
	int_fast32_t, int_fast64_t, uint_fast8_t uint_fast16_t,
	uint_fast32_t, uint_fast64_t, intptr_t, uintptr_t, intmax_t,
	uintmax_t, INT8_MIN, INT8_MAX, UINT8_MAX, INT16_MIN, INT16_MAX,
	UINT16_MAX, INT32_MIN, INT32_MAX, UINT32_MAX, INT64_MIN,
	INT64_MAX, UINT64_MAX, INT_LEAST8_MIN, INT_LEAST8_MAX,
	UINT_LEAST8_MAX, INT_LEAST16_MIN, INT_LEAST16_MAX,
	UINT_LEAST16_MAX, INT_LEAST32_MIN, INT_LEAST32_MAX,
	UINT_LEAST32_MAX, INT_LEAST64_MIN, INT_LEAST64_MAX,
	UINT_LEAST64_MAX, INT_FAST8_MIN, INT_FAST8_MAX, UINT_FAST8_MAX,
	INT_FAST16_MIN, INT_FAST16_MAX, UINT_FAST16_MAX, INT_FAST32_MIN,
	INT_FAST32_MAX, UINT_FAST32_MAX, INT_FAST64_MIN, INT_FAST64_MAX,
	UINT_FAST64_MAX, INTPTR_MIN, INTPTR_MAX, UINTPTR_MAX, INTMAX_MIN,
	INTMAX_MAX, UINTMAX_MAX, PTRDIFF_MIN, PTRDIFF_MAX, SIG_ATOMIC_MIN,
	SIG_ATOMIC_MAX, SIZE_MAX, WCHAR_MIN, WCHAR_MAX, WINT_MIN,
	WINT_MAX.  Check for C99 conformance more strictly, by detecting
	bugs in glibc 2.4, Solaris 10, and OpenBSD 3.9.  On the other hand do
	not check for things that C99 does not require, e.g., int8_t.  If
	a test isn't needed unless <stdint.h> isn't working, and is
	unlikely to be needed for any other reason, then don't do it
	unless <stdint.h> isn't working.  Do not check for ptrdiff_t or
	size_t, since we assume C89 freestanding at least.  Do not check
	for sig_atomic_t, wchar_t, or wint_t, since the code now does
	the right thing even if the types are not defined.  Instead use:
	(gl_STDINT_TYPE_PROPERTIES): New macro.
	(gl_HEADER_STDINT_H, gl_HEADER_INTTYPES_H): Remove.  Don't bother
	testing whether <sys/types.h> clashes, as Autoconf does this for
	us now.  All uses removed.
	(gl_STDINT_CHECK_TYPES, gl_STDINT_MISSING_BOUND):
	(gl_STDINT_MISSING_BOUNDS, gl_STDINT_MISSING_BOUNDS2):
	(gl_CHECK_TYPE_SAME):
	Remove; no longer needed.
	(gl_STDINT_BITSIZEOF): Don't bother to check whether the type
	exists, since we'll return 0 anyway in that case.
	(gl_INTEGER_TYPE_SUFFIX, gl_STDINT_INCLUDES): New macros.

2006-07-01  Eric Blake  <ebb9@byu.net>

	* stdarg.m4 (gl_STDARG_H): Properly parenthesize gl_va_copy.

2006-07-01  Eric Blake  <ebb9@byu.net>

	* stdarg.m4 (gl_STDARG_H): Use proper AH_VERBATIM.
	Reported by Andreas Buening.

2006-06-29  Eric Blake  <ebb9@byu.net>

	* sys_stat_h.m4 (gl_HEADER_SYS_STAT_H): Use AC_C_INLINE.

2006-06-29  Eric Blake  <ebb9@byu.net>

	* sys_stat_h.m4 (gl_HEADER_SYS_STAT_H): New file.

2006-06-29  Derek R. Price  <derek@ximbiot.com>

	* strftime.m4: Don't call AC_FUNC_STRFTIME.

2006-06-29  Derek R. Price  <derek@ximbiot.com>

	* c-bs-a.m4: Removed.

2006-06-28  Derek R. Price  <derek@ximbiot.com>

	* savedir.m4: Remove AC_FUNC_CLOSEDIR_VOID requirement.

	* fnmatch.m4 (_AC_LIBOBJ_FNMATCH): Don't require AC_C_CONST, since
	it's obsolete.
	* strftime.m4 (gl_FUNC_GNU_STRFTIME): Likewise.

2006-06-28  Bruno Haible  <bruno@clisp.org>

	* wcwidth.m4 (gl_FUNC_WCWIDTH): Also require AC_C_INLINE and
	gt_TYPE_WCHAR_T.

2006-06-28  Eric Blake  <ebb9@byu.net>

	* mbswidth.m4 (gl_MBSDWIDTH): Move wcwidth from here...
	* wcwidth.m4 (gl_FUNC_WCWIDTH): ...to this new file.

2006-06-28  Simon Josefsson  <jas@extundo.com>

	* getaddrinfo.m4: Look for getnameinfo prototypes too.

2006-06-27  Simon Josefsson  <jas@extundo.com>

	* sys_select_h.m4: New file, suggested by Bruno Haible, Paul
	Eggert and Martin Lambers.

2006-06-27  Bruno Haible  <bruno@clisp.org>

	* stdint.m4 (gl_STDINT_BITSIZEOF): For nonexistent types, set the
	result to 0, not to empty.
	Reported by Martin Neitzel <neitzel@sco.gaertner.de>.

2006-06-26  Bruno Haible  <bruno@clisp.org>

	* stdint.m4 (gl_STDINT_H): Test also for <wchar.h>.

2006-06-26  Bruno Haible  <bruno@clisp.org>

	* stdint.m4 (gl_STDINT_H): Don't include <stdint.h> when using the
	SGI C compiler in pre-C99 mode.
	Suggested by Mark D. Baushke and Larry Jones.

2006-06-23  Mark D. Baushke  <mdb@gnu.org>

	* stdint.m4 (gl_STDINT_H): Treat BSD/OS like OpenBSD.

2006-06-26  Simon Josefsson  <jas@extundo.com>

	* inet_ntop.m4: Don't check for sys/types.h, we assume it is
	present.

2006-06-23  Bruno Haible  <bruno@clisp.org>

	* stdint.m4 (gl_STDINT_H): Treat IRIX like OpenBSD.

2006-06-22  Simon Josefsson  <jas@extundo.com>

	* sockpfaf.m4: Include winsock2.h too, to make it work under
	MinGW.

2006-06-21  Simon Josefsson  <jas@extundo.com>

	* getaddrinfo.m4: Don't define WINVER.  Look for gethostbyname in
	-lws2_32 too.  Fixes getaddrinfo on Windows 2000, with the price
	of using the (limited) gnulib implementation on Windows XP.

	* inet_pton.m4: New file.

2006-06-19  Bruno Haible  <bruno@clisp.org>

	* stdint.m4 (gl_STDINT_H): Enclose the values of FULL_PATH_STDINT_H
	and FULL_PATH_INTTYPES_H in angle brackets.
	Reported by Mark D. Baushke <mdb@gnu.org>.

2006-06-17  Bruno Haible  <bruno@clisp.org>

	* stdint.m4 (gl_STDINT_H) [FreeBSD >= 5]: Don't include
	<sys/inttypes.h>.

2006-06-16  Eric Blake  <ebb9@byu.net>

	* rmdir-errno.m4 (gl_FUNC_FMDIR_NOTEMPTY): Assume errno.h declares
	errno.

2006-06-17  Bruno Haible  <bruno@clisp.org>

	* setenv.m4 (gl_PREREQ_SETENV, gl_PREREQ_UNSETENV): Remove test
	whether errno is declared. Assume <errno.h> declares errno.

2006-06-15  Bruno Haible  <bruno@clisp.org>

	* stdint.m4 (gl_STDINT_H): Rewritten to produce a complete stdint.h.
	(gl_HEADER_STDINT_H, gl_HEADER_INTTYPES_H, gl_STDINT_CHECK_TYPES,
	gl_STDINT_MISSING_BOUND, gl_STDINT_MISSING_BOUNDS,
	gl_STDINT_MISSING_BOUNDS2, gl_STDINT_BITSIZEOF, gl_CHECK_TYPES_SIGNED,
	gl_CHECK_TYPE_SAME): New macros.

2006-06-15  Bruno Haible  <bruno@clisp.org>

	* size_max.m4 (gl_SIZE_MAX): Make it work also when cross-compiling.

2006-06-15  Eric Blake  <ebb9@byu.net>

	* ssize_t.m4 (gt_TYPE_SSIZE_T): Work in spite of -Werror.

2006-05-30  Ralf Wildenhues  <Ralf.Wildenhues@gmx.de>
	    Bruno Haible  <bruno@clisp.org>

	* strndup.m4 (gl_FUNC_STRNDUP): Replace the AC_REPLACE_FUNCS with a
	check for the declaration of strnlen and a run test that exposes the
	AIX 5.1 strnlen bug.  In the failure case, #define strndup to
	rpl_strndup.

2006-05-28  Ralf Wildenhues  <Ralf.Wildenhues@gmx.de>

	* c-strtod.m4 (gl_C99_STRTOLD): Use a link test rather than a
	compile test, for Tru64 4.0D.

2006-05-19  Paul Eggert  <eggert@cs.ucla.edu>

	* nanosleep.m4 (gl_FUNC_NANOSLEEP): Rename cache variables to use
	gl_ rather than jm_.  Link, don't run, so that cross-compiles are
	allowed.  Check that resulting type is arithmetic.  Move AC_REQUIRE
	and AC_CHECK_HEADERS_ONCE outside of AC_CACHE_CHECK, since they're
	not really conditional on the cache.
	(gl_PREREQ_NANOSLEEP): Check for sys/select.h.

2006-05-14  Paul Eggert  <eggert@cs.ucla.edu>

	* stdbool.m4 (AC_HEADER_STDBOOL): Fix overly-picky
	test for C99 conformance; (bool) 0.5 is an integer constant
	expression, but (bool) -0.5 is not.  Problem reported by Fedor
	Sergeev in <http://forum.sun.com/jive/thread.jspa?threadID=96202>.

2006-05-11  Simon Josefsson  <jas@extundo.com>

	* xvasprintf.m4: Fix obvious typo.

2006-05-09  Bruno Haible  <bruno@clisp.org>

	* xvasprintf.m4: New file.

2006-05-08  Bruno Haible  <bruno@clisp.org>

	* stdarg.m4: New file, from GNU gettext.

2006-05-05  Jim Meyering  <jim@meyering.net>

	* warning.m4: New file, derived from bison's file by the same name.

2006-05-02  Bruno Haible  <bruno@clisp.org>

	* full-header-path.m4 (gl_FULL_HEADER_PATH): Move the include_next
	test from here...
	* _inttypes_h.m4 (gl_INTTYPES_H): ... to here.

2006-04-24  Paul Eggert  <eggert@cs.ucla.edu>

	* unlink-busy.m4 (gl_FUNC_UNLINK_BUSY_TEXT): Use prototype
	to define main with arguments, for C++.  Reported by Eric Blake.
	* c-stack.m4 (AC_SYS_XSI_STACK_OVERFLOW_HEURISTIC):
	Prefer 'int main ()' to 'int main (void)', for C++.
	* getcwd-path-max.m4 (gl_FUNC_GETCWD_PATH_MAX): Likewise.
	* fsusage.m4 (gl_FILE_SYSTEM_USAGE): Specify a return type
	for 'main', for C99 and C++.

2006-04-23  Bruno Haible  <bruno@clisp.org>

	* poll.m4 (gl_FUNC_POLL): Rearrange code, so that POLL_H gets
	assigned exactly once.

2006-04-23  Bruno Haible  <bruno@clisp.org>

	* poll.m4 (gl_FUNC_POLL): When cross-compiling, reject also the poll()
	implementation in AIX.
	Reported by Ralf Wildenhues <Ralf.Wildenhues@gmx.de>.

2006-03-04  Eric Blake  <ebb9@byu.net>

	* strerror_r.m4 (AC_FUNC_STRERROR_R): Avoid unused variable warning.

2006-04-24  Paul Eggert  <eggert@cs.ucla.edu>

	* fsusage.m4 (gl_FILE_SYSTEM_USAGE): Use return, not exit.
	Don't assume that exit status -1 is valid.
	* nanosleep.m4 (gl_FUNC_NANOSLEEP): Likewise.
	* putenv.m4 (gl_FUNC_PUTENV): Likewise.
	* rmdir-errno.m4 (gl_FUNC_RMDIR_NOTEMPTY): Likewise.
	* readdir.m4 (GL_FUNC_READDIR): Include <stdlib.h>.
	* rename.m4 (vb_FUNC_RENAME): Likewise.
	* unlink-busy.m4 (gl_FUNC_UNLINK_BUSY_TEXT): Use AC_RUN_IFELSE,
	not AC_TRY_RUN.  Use return, not exit.  Don't assume that
	functions can be used without declaring them, or that you can
	exit with status -1.
	* utimes-null.m4 (gl_FUNC_UTIMES_NULL): Likewise.

2006-04-20  Bruno Haible  <bruno@clisp.org>

	* argp.m4 (gl_ARGP): Don't call AC_CHECK_DECLS_ONCE with more than
	one argument, so that the code will be portable to Autoconf 2.60.
	* getlogin_r.m4 (gl_PREREQ_GETLOGIN_R): Likewise.
	* getpass.m4 (gl_PREREQ_GETPASS): Likewise.
	* unlocked-io.m4 (gl_FUNC_GLIBC_UNLOCKED_IO): Likewise.

2006-04-19  Derek Price  <derek@ximbiot.com>
	    Eric Blake  <ebb9@byu.net>

	* full-header-path.m4 (gl_FULL_HEADER_PATH): Use </full/path.h> rather
	than "/full/path.h".  Update comment to match.  Shorten & generalize
	m4_translit call via AS_TR_CPP.

2006-04-18  Derek Price  <derek@ximbiot.com>
	    Paul Eggert  <eggert@cs.ucla.edu>

	* _inttypes_h.m4, full-header-path.m4, include_next: New files.

2006-04-11  Paul Eggert  <eggert@cs.ucla.edu>

	* time_r.m4 (gl_TIME_R): Add AC_LIBSOURCES for time_r.c and time_r.h.

2006-04-09  Paul Eggert  <eggert@cs.ucla.edu>

	* regex.m4 (gl_REGEX): Check for new glibc interface to
	translation table.

2006-03-25  Ralf Wildenhues  <Ralf.Wildenhues@gmx.de>

	* argz.m4 (gl_FUNC_ARGZ): If we define `error_t', also define
	`__error_t_defined', so argp.h will not typedef the former.

2006-03-25  Paul Eggert  <eggert@cs.ucla.edu>

	* regex.m4 (gl_REGEX): Don't insist on REG_SYNTAX_POSIX_EGREP,
	REG_SYNTAX_EMACS, and REG_IGNORE_CASE.  Settle for the traditional
	glibc names.  Even if glibc is changed to conform to POSIX, the
	traditional names will be available anyway, since regex depends on
	the extensions module.  Also, fix a longstanding typo in the
	implementation of Spencer ERE test #75 from grep 2.3.  Problems
	reported by Emanuele Giaquinta.  Also, change sense of cached
	variable, so that the message makes sense.

2006-03-17  Jim Meyering  <jim@meyering.net>

	* regex.m4 (gl_REGEX): Fix typo in last change:
	s/_REGEX_WIDE_OFFSETS/_REGEX_LARGE_OFFSETS/.

2006-03-16  Paul Eggert  <eggert@cs.ucla.edu>

	* regex.m4 (gl_REGEX): Don't check for off_t, since the code
	no longer needs it.  Instead, check that regoff_t is as least
	as wide as ptrdiff_t.

	Don't define _REGEX_WIDE_OFFSETS unless using the included regex,
	so that our regex.h stays compatible with the installed regex.
	This is helpful for installers who configure --without-included-regex.
	Problem reported by Emanuele Giaquinta.

2006-03-15  Eric Blake  <ebb9@byu.net>

	* dirfd.m4 (gl_FUNC_DIRFD): Use AC_REQUIRE for AC_HEADER_DIRENT.

2006-03-08  Simon Josefsson  <jas@extundo.com>

	* gc-random.m4: Permit 'no' as variable values and fix warnings,
	suggested by Ralf Wildenhues <Ralf.Wildenhues@gmx.de>.

2006-03-08  Simon Josefsson  <jas@extundo.com>

	* gc-random.m4: Call AC_CANONICAL_HOST and use $host_os instead of
	$target, suggested by Ralf Wildenhues <Ralf.Wildenhues@gmx.de>.

2006-03-07  Paul Eggert  <eggert@cs.ucla.edu>

	* unistd_h.m4 (gl_HEADER_UNISTD): Rename, to match modules file.
	Problem reported by Juan Manuel Guerrero.

2006-03-07  Simon Josefsson  <jas@extundo.com>

	* unistd_h.m4: New file.

2006-03-07  Simon Josefsson  <jas@extundo.com>

	* readline.m4 (gl_FUNC_READLINE): Rewrite the cached part of the
	test to be side-effect free by storing the result in the cache
	variable gl_cv_lib_readline, and moving the assignment of
	LIBREADLINE and LTLIBREADLINE outside the COMMANDS-TO-SET-IT.
	From Ralf Wildenhues <Ralf.Wildenhues@gmx.de>.

2006-03-07  Simon Josefsson  <jas@extundo.com>

	* gc-random.m4: New file, mostly from gc.m4.  Warn instead of
	error on missing devices (the functions will return an error).

	* gc.m4: Move random stuff to gc-random.m4

2006-03-03  Ralf Wildenhues  <Ralf.Wildenhues@gmx.de> (tiny change)

	* poll.m4 (gl_FUNC_POLL): If we deem poll(2) unacceptable, use
	our replacement poll.h in any case, to avoid a differing
	declaration from a system header.  Seen on AIX.

2006-03-01  Paul Eggert  <eggert@cs.ucla.edu>

	* clock_time.m4 (gl_CLOCK_TIME): Require gl_USE_SYSTEM_EXTENSIONS,
	not merely AC_GNU_SOURCE, for the benefit of Solaris 10 when compiled
	pedantically.
	* nanosleep.m4 (gl_FUNC_NANOSLEEP): Likewise.
	* timespec.m4 (gl_TIMESPEC): Likewise.

	* extensions.m4 (gl_USE_SYSTEM_EXTENSIONS): Use "=" with "test",
	not "==".  Reported by Ralf Wildenhues.

2006-02-22  Ralf Wildenhues  <Ralf.Wildenhues@gmx.de>

	Sync from coreutils.
	* mkdir-p.m4 (gl_MKDIR_PARENTS): Require gl_FUNC_LCHMOD and
	gl_CHDIR_SAFER.

2006-02-22  Jim Meyering  <jim@meyering.net>

	Sync from coreutils.
	* chdir-safer.m4: New file.

2006-02-17  Eric Blake  <address@hidden>

	* getaddrinfo.m4 (gl_GETADDRINFO): Fix caching error.

2006-02-15  Eric Blake  <ebb9@byu.net>

	* sys_socket_h.m4 (gl_HEADER_SYS_SOCKET): Don't attempt using
	winsock2.h or ws2tcpip.h when sys/socket.h is present. Fixes
	'present but cannot compile' warnings on cygwin.
	* socklen.m4 (gl_TYPE_SOCKLEN_T): Use gl_HEADER_SYS_SOCKET.  Don't
	use ws2tcpip.h if sys/socket.h works.
	* getaddrinfo.m4 (gl_PREREQ_GETADDRINFO): Use gl_HEADER_SYS_SOCKET.
	(gl_GETADDRINFO): Don't use ws2tcpip.h when sys/socket.h is present.

2006-02-14  Jim Meyering  <jim@meyering.net>

	Sync from coreutils.
	* ls-mntd-fs.m4 (AC_FUNC_GETMNTENT): Invoke AC_CHECK_FUNCS(getmntent)
	unconditionally so that tests of $ac_cv_func_getmntent (e.g., in
	gl_LIST_MOUNTED_FILE_SYSTEMS) need not double-quote uses of that
	variable, to accommodate the rare case in which getmntent is
	available in none of the libraries checked.  This happens at
	least on FreeBSD 5.0.

2006-02-05  Paul Eggert  <eggert@cs.ucla.edu>

	* extensions.m4 (gl_USE_SYSTEM_EXTENSIONS): Don't #define
	__EXTENSIONS__ if this causes compilation to fail.  Problem
	reported by Nelson H. F. Beebe with Solaris 10 and Sun C 5.7
	c89 -D_XOPEN_SOURCE -D_XOPEN_SOURCE_EXTENDED.

2006-01-25  Simon Josefsson  <jas@extundo.com>

	* getaddrinfo.m4: Look for getaddrinfo inside ws2tcip.h and
	-lws2_32.  Protect sys/socket.h and netdb.h #include's.  Include
	ws2tcpip.h with WINVER=0x0501.  All for mingw32.

2006-01-25  Paul Eggert  <eggert@cs.ucla.edu>

	* stdbool.m4 (AC_HEADER_STDBOOL): Check for xlc bug if __GCC__ too,
	so that we test the test.
	Check for yet another HP-UX cc bug involving *bool |= bool.

2006-01-24  Bruno Haible  <bruno@clisp.org>

	* stdbool.m4 (AC_HEADER_STDBOOL): Check for IBM and HP-UX bugs.
	Patch by Paul Eggert.

2006-01-24  Jim Meyering  <jim@meyering.net>

	* openat.m4 (gl_FUNC_OPENAT): Add AC_LIBSOURCES([intprops.h]).
	Reported by Mark D. Baushke.

2006-01-23  Paul Eggert  <eggert@cs.ucla.edu>

	* getopt.m4 (gl_PREREQ_GETOPT): Check for getenv decl.

2006-01-20  Paul Eggert  <eggert@cs.ucla.edu>

	* lib-ignore.m4 (gl_IGNORE_UNUSED_LIBRARIES): Use -Wl,-z,ignore
	rather than -Xlinker -z -Xlinker ignore, as it's more portable.
	Suggested by Bruno Haible.

2006-01-19  Simon Josefsson  <jas@extundo.com>

	* socklen.m4: Look in ws2tcpip.h too, for mingw32.

2006-01-16  Paul Eggert  <eggert@cs.ucla.edu>

	* lib-ignore.m4 (gl_IGNORE_UNUSED_LIBRARIES): Don't use ldd, as
	it's not portable and it doesn't work with cross-compiles.
	Problem reported by Bruno Haible.  Fix missing-$ typo in
	'test "gl_cv_ignore_unused_libraries" ...' that prevented
	-zignore from being used with Sun's C compiler.

2006-01-12  Bruno Haible  <bruno@clisp.org>

	* ldd.m4: New file.

2006-01-08  Bruno Haible  <bruno@clisp.org>

	Ensure automatic ordering between gl_LOCK and gl_ARGP.
	* lock.m4 (gl_LOCK_BODY): Renamed from gl_LOCK.
	(gl_LOCK): New macro, requiring gl_LOCK_BODY.

2006-01-10  Jim Meyering  <jim@meyering.net>

	* fpending.m4: Also include <stdio.h>, for Dragonfly.
	Patch by Joerg Sonnenberger.

2006-01-10  Paul Eggert  <eggert@cs.ucla.edu>

	* memcoll.m4 (gl_MEMCOLL): Don't require AC_FUNC_MEMCMP, undoing
	the 2002-12-31 change.  Problem and fix reported by Bruno Haible.
	People who are still concerned with buggy memcmp implementations
	can invoke gl_FUNC_MEMCMP themselves.

2006-01-10  Simon Josefsson  <jas@extundo.com>

	* sys_socket_h.m4: New file.

2006-01-10  Bruno Haible  <bruno@clisp.org>

	* localcharset.m4 (gl_LOCALCHARSET): Also test for getc_unlocked.
	Reported by Werner Lemberg <wl@gnu.org>.

2006-01-09  Paul Eggert  <eggert@cs.ucla.edu>

	Sync from coreutils.
	* lib-ignore.m4: New file.
	* lchmod.m4: New file.

2006-01-09  Jim Meyering  <jim@meyering.net>

	Sync from coreutils.
	* openat.m4 (gl_FUNC_OPENAT): Require and compile mkdirat.c.
	Require openat-priv.h.

2006-01-09  Andreas Gruenbacher  <agruen@suse.de>

	Sync from coreutils.
	* acl.m4 (AC_FUNC_ACL): Add POSIX ACL and Linux-specific acl tests.

2005-10-16  Bruno Haible  <bruno@clisp.org>

	* stdint.m4 (gl_STDINT_H): Also test for <sys/bitypes.h>.

2005-12-16  Jim Meyering  <jim@meyering.net>

	* fprintftime.m4: New file.

2005-12-10  Sergey Poznyakoff  <gray@gnu.org.ua>

	* argp.m4: Define HAVE_DECL_PROGRAM_INVOCATION_NAME and
	HAVE_DECL_PROGRAM_INVOCATION_SHORT_NAME

2005-12-09  Sergey Poznyakoff  <gray@gnu.org.ua>

	* argp.m4:  Check if program_invocation_name and
	program_invocation_short_name are declared and define appropriate
	macros if they are not.

2005-12-07  Paul Eggert  <eggert@cs.ucla.edu>

	* stat-time.m4 (gl_STAT_TIME): Add check for
	TYPEOF_STRUCT_STAT_ST_ATIM_IS_STRUCT_TIMESPEC, to fix IRIX 5.3
	porting problem reported by Georg Schwarz in
	<http://lists.gnu.org/archive/html/bug-coreutils/2005-12/msg00083.html>.

2005-12-02  Paul Eggert  <eggert@cs.ucla.edu>

	* socklen.m4 (gl_TYPE_SOCKLEN_T): Renamed from gl_SOCKLEN_T.
	Use implementation from Albert Chin, with some
	comments/corrections by Stepan Kasal and myself.

2005-12-01  Paul Eggert  <eggert@cs.ucla.edu>

	* regex.m4 (gl_REGEX): Check whether off_t can be used in a switch
	statement, to work around an HP-UX 10.20 compiler bug reported by
	Peter O'Gorman.

2005-11-10  Paul Eggert  <eggert@cs.ucla.edu>

	* gethrxtime.m4 (gl_PREREQ_GETHRXTIME): Don't require AC_HEADER_TIME
	or gettimeofday; no longer needed.

2005-10-30  Paul Eggert  <eggert@cs.ucla.edu>

	* chdir-long.m4 (gl_FUNC_CHDIR_LONG): Revamp wording and local
	variables to suggest the intended function of the PATH_MAX check.

2005-10-30  Kean Johnston  <jkj@sco.com>

	Trivial changes to support SCO systems.
	* chdir-long.m4 (gl_FUNC_CHDIR_LONG): Check for MAXPATHLEN as well
	as PATH_MAX.
	* fpending.m4 (gl_FUNC_FPENDING): Correct check for SCO systems,
	where __ptr is null when no I/O is pending.

2005-10-28  Simon Josefsson  <jas@extundo.com>

	* inet_ntop.m4: More tests.

	* gc-md2.m4, md2.m4: New file.

2005-10-22  Simon Josefsson  <jas@extundo.com>

	* gc.m4: Don't be fooled by --disable-*random-device parameters,
	suggested by Bruno Haible <bruno@clisp.org>.  Fix error messages.

2005-10-21  Simon Josefsson  <jas@extundo.com>

	* gc.m4: Don't use libgcrypt if gcrypt.h isn't found, suggested by
	Bruno Haible <bruno@clisp.org>.

	* gc-des.m4: New file.

2005-10-21  Simon Josefsson  <jas@extundo.com>

	* arctwo.m4: New file.

	* gc-arctwo.m4: New file.

2005-10-19  Simon Josefsson  <jas@extundo.com>

	* gc-arcfour.m4: New file.

	* gc-rijndael.m4: New file.

2005-10-19  Simon Josefsson  <jas@extundo.com>

	* m4/gc-hmac-md5.m4, m4/gc-hmac-sha1.m4, m4/gc-md4.m4,
	m4/gc-md5.m4, m4/gc-sha1.m4: Fix typo, suggested by Stepan Kasal
	<kasal@ucw.cz>.

2005-10-19  Simon Josefsson  <jas@extundo.com>

	* gc-md4.m4: New file.

2005-10-18  Simon Josefsson  <jas@extundo.com>

	* md4.m4: New file.

2005-10-17  Bruno Haible  <bruno@clisp.org>

	* stdbool.m4 (AC_HEADER_STDBOOL): Change the return statement so that
	it can also be used in a test.

2005-10-11  Simon Josefsson  <jas@extundo.com>

	* md5.m4: Remove call to uint32_t.m4.

2005-10-15  Simon Josefsson  <jas@extundo.com>

	* rijndael.m4: New file.

2005-10-14  Simon Josefsson  <jas@extundo.com>

	* arcfour.m4: New file.

2005-10-12  Bruno Haible  <bruno@clisp.org>

	* stdbool.m4 (gl_STDBOOL_H): Define as an alias of AM_STDBOOL_H.
	Reported by Stepan Kasal <kasal@ucw.cz>.

2005-10-12  Simon Josefsson  <jas@extundo.com>

	* gc-pbkdf2-sha1.m4: New file.

	* gc-hmac-sha1.m4: New file.

	* gc-sha1: New file.

	* hmac-sha1.m4: New file.

2005-10-12  Simon Josefsson  <jas@extundo.com>

	* gc-md5.m4, gc-hmac-md5: New files.

	* gc.m4: Don't call gl_MD5, gl_MEMXOR or gl_HMAC_MD5.

2005-10-11  Simon Josefsson  <jas@extundo.com>

	* crc.m4: New file.

2005-10-07  Simon Josefsson  <jas@extundo.com>

	* memxor.m4: Remove gl_C_RESTRICT call.

2005-10-06  Paul Eggert  <eggert@cs.ucla.edu>

	* stdbool.m4 (AC_HEADER_STDBOOL): Check that bool
	promotes to int, not unsigned int, to catch the AIX 5.3
	compiler bug.

2005-10-06  Simon Josefsson  <jas@extundo.com>

	* hmac-md5.m4: New file.

	* memxor.m4: Require gl_C_RESTRICT.

2005-10-05  Paul Eggert  <eggert@cs.ucla.edu>

	* getaddrinfo.m4 (gl_PREREQ_GETADDRINFO): Don't check for
	sys/socket.h, netdb.h, sys/types.h; the checks areno longer
	needed, since the source code now assumes these .h files.

2005-10-05  Simon Josefsson  <jas@extundo.com>

	* memxor.m4: New file.

2005-10-02  Paul Eggert  <eggert@cs.ucla.edu>

	Sync from coreutils.
	* openat.m4 (gl_FUNC_OPENAT): Check for fdopendir.
	* ullong_max.m4 (gl_ULLONG_MAX): Simplify so that it merely
	defines ULONG_MAX_LT_ULLONG_MAX.  Thomas M.Ott reports that
	ULLONG_MAX doesn't work with 2.7.2.1.

2005-10-02  Jim Meyering  <jim@meyering.net>

	Sync from coreutils.
	* utimes.m4 (gl_FUNC_UTIMES): Detect the version of utimes
	from glibc-2.2.5 that fails for read-only files.

2005-10-02  Alfred M. Szmidt  <ams@gnu.org>

	Sync from coreutils.
	* chdir-long.m4 (gl_FUNC_CHDIR_LONG): Compare $gl_have_path...
	against `yes', rather than just testing for nonempty.

2005-10-01  Simon Josefsson  <jas@extundo.com>

	* getaddrinfo.m4: Include sys/types.h for sys/socket.h, on FreeBSD
	and Darwin.

	* getaddrinfo.m4: Use AC_GNU_SOURCE, GNU only declare getaddrinfo
	as an (POSIX) extension.  Check for sys/types.h, sys/socket.h, and
	netdb.h too, needed by getaddrinfo.h.  Check if getaddrinfo,
	freeaddrinfo and gai_strerror are declared by the POSIX headers.
	Check if struct addrinfo is declared.

2005-10-01  Jim Meyering  <jim@meyering.net>

	Sync from coreutils.

	* getaddrinfo.m4 (gl_GETADDRINFO): Look for getservbyname in these
	libraries [inet nsl socket xnet].  Nelson Beebe reported that with
	native cc on Solaris 7, getaddrinfo.c requires -lsocket.
	* getaddrinfo.m4 (gl_GETADDRINFO): Check for gethostbyname
	in the inet and nsl libraries.  Required on Solaris 5.7.

2005-09-24  Jim Meyering  <jim@meyering.net>

	Sync from coreutils.
	* getaddrinfo.m4 (gl_GETADDRINFO): Check for gethostbyname
	in the inet and nsl libraries.  Required on Solaris 5.7.

2005-09-26  Bruno Haible  <bruno@clisp.org>

	* mbchar.m4 (gl_MBCHAR): Check for wchar.h and wctype.h. Don't compile
	mbchar.c if they are not both present.
	* mbfile.m4 (gl_MBFILE): Require gl_FUNC_MBRTOWC.
	* mbiter.m4 (gl_MBITER): Likewise.
	* strstr.m4 (gl_PREREQ_STRSTR): Use AC_REQUIRE.
	* strcasestr.m4 (gl_PREREQ_STRCASESTR): Likewise.
	* strcase.m4 (gl_PREREQ_STRCASECMP): Likewise.

2005-09-23  Paul Eggert  <eggert@cs.ucla.edu>

	* regex.m4 (gl_REGEX): If replacing, define regcomp to rpl_regcomp,
	and similarly for the other external symbols.  Problem reported
	by James Gallager.

	* fnmatch.m4 (_AC_FUNC_FNMATCH_IF): Catch Sun Studio 10u1 on Linux
	bug reported by Jim Meyering.

	* utimens.m4 (gl_UTIMENS): Check for futimesat.
	* getaddrinfo.m4 (gl_PREREQ_GETADDRINFO): Undo previous change;
	not needed, since socklen is a prerequisite module.

2005-09-23  Jim Meyering  <jim@meyering.net>

	Sync from coreutils.
	Correct build failure (socklen_t not defined) on at least
	mips-sgi-irix6.5 and alphaev67-dec-osf5.1.
	* getaddrinfo.m4 (gl_PREREQ_GETADDRINFO): Require gl_SOCKLEN_T.

2005-09-22  Paul Eggert  <eggert@cs.ucla.edu>

	Sync from coreutils.
	* getaddrinfo.m4 (gl_PREREQ_GETADDRINFO): Check for netinet/in.h.

2005-09-22  Paul Eggert  <eggert@cs.ucla.edu>

	Sync from coreutils.

	* backupfile.m4, calloc.m4, chown.m4, cloexec.m4, dup2.m4:
	* fileblocks.m4, free.m4, ftruncate.m4, getcwd.m4, getpagesize.m4:
	* getugroups.m4, group-member.m4, idcache.m4, link-follow.m4:
	* mkstemp.m4, mktime.m4, mountlist.m4, nanosleep.m4, pathmax.m4:
	* physmem.m4, posixver.m4, putenv.m4, safe-read.m4, same.m4:
	* save-cwd.m4, stdio-safer.m4, unistd-safer.m4, unlinkdir.m4:
	* userspec.m4, xgetcwd.m4, xreadlink.m4:
	Don't bother checking for string.h, stdlib.h, unistd.h.
	* fts.m4 (gl_FUNC_FTS_CORE): Don't require
	AC_FUNC_LSTAT_FOLLOWS_SLASHED_SYMLINK; that's now the lstat
	module's job.
	* jm-macros.m4 (gl_MACROS): Likewise.
	* prereq.m4 (gl_PREREQ): Add gl_FUNC_LSTAT.

	* getdate.m4 (gl_C_COMPOUND_LITERALS): New macro.
	(gl_GETDATE): Use it.

	* mkdir-p.m4 (gl_MKDIR_PARENTS): Don't bother checking for unistd.h.

2005-09-22  Jim Meyering  <jim@meyering.net>

	Sync from coreutils.

	* lstat.m4 (gl_FUNC_LSTAT):
	Use AC_LIBSOURCES to require lstat.c and lstat.h.
	Remove obsolete comment.
	* xreadlink.m4: Use AC_LIBSOURCES and AC_LIBOBJ.
	* xstrtod.m4: Likewise.

	* openat.m4 (gl_FUNC_OPENAT): Add openat-die.c.

2005-09-19  Simon Josefsson  <jas@extundo.com>

	* socklen.m4: Fix typo.

2005-09-15  Paul Eggert  <eggert@cs.ucla.edu>

	* st_mtim.m4: Remove.  Superseded by...
	* stat-time.m4: New file.
	* timespec.m4 (gl_TIMESPEC): Require AC_C_INLINE.
	Do not invoke AC_STRUCT_ST_MTIM_NSEC; no longer needed.

2005-09-15  Derek Price  <derek@ximbiot.com>

	* strstr.m4 (gl_FUNC_STRSTR): Don't define strstr here.

2005-09-12  Derek Price  <derek@ximbiot.com>

	Make canon-host require getaddrinfo.
	* canon-host.m4 (gl_CANON_HOST): Remove most dependencies.
	AC_LIBSOURCE canon-host.h.  Call...
	(gl_PREREQ_CANON_HOST): ...this new function, which requires
	gl_GETADDRINFO.
	* getaddrinfo.m4 (gl_GETADDRINFO): Compile gai_strerror when needed.

2005-09-12  Derek Price  <derek@ximbiot.com>
	    Paul Eggert  <eggert@cs.ucla.edu>

	* m4/glob.m4 (gl_GLOB_SUBSTITUTE): AC_LIBSOURCES for glob.c,
	glob_.h, glob-libc.h.
	(gl_PREREQ_GLOB): Remove _SYS_CDEFS_H hack; no longer needed.

2005-08-31  Simon Josefsson  <jas@extundo.com>

	* socklen.m4: New file.

2005-09-03  Derek Price  <derek@ximbiot.com>

	* getlogin_r (gl_GETLOGIN_R): Fix cut & paste error.
	From Larry Jones <lawrence.jones@ugs.com>.

2005-08-27  Bruno Haible  <bruno@clisp.org>

	Support for lib vs. lib64 distinction on biarch platforms.
	* lib-prefix.m4 (AC_LIB_PREPARE_MULTILIB): New macro.
	(AC_LIB_PREFIX): Require it. Use $acl_libdirstem instead of 'lib'.
	* lib-link.m4 (AC_LIB_LINKFLAGS_BODY): Likewise.

2005-09-01  Jim Meyering  <jim@meyering.net>

	* lchown.m4: Require gl_FUNC_CHOWN, for the definition of
	CHOWN_MODIFIES_SYMLINK, which is used by lchown.c.
	Require gl_STAT_MACROS, too.

2005-08-31  Paul Eggert  <eggert@cs.ucla.edu>

	* regex.m4 (gl_REGEX): Require AC_SYS_LARGEFILE, Define
	_REGEX_LARGE_OFFSETS).  Test for regoff_t/off_t bug in 64-bit
	and large-file glibc and in 32-bit large-file Solaris.

2005-08-28  Bruno Haible  <bruno@clisp.org>

	* gnulib-tool.m4: New file.

2005-08-27  Jim Meyering  <jim@meyering.net>

	* stdlib-safer.m4: New file.  From coreutils.
	* stdio-safer.m4 (gl_STDIO_SAFER): Add stdio--.h.
	* fcntl-safer.m4 (gl_FCNTL_SAFER): Add creat-safer.c to the
	AC_LIBSOURCES list and arrange to compile it via AC_LIBOBJ.
	* unistd-safer.m4 (gl_UNISTD_SAFER): Likewise, add pipe-safer.c.
	Add pipe-safer.c and unistd--.h to the AC_LIBSOURCES list.

2005-08-24  Simon Josefsson  <jas@extundo.com>

	* getpass.m4: Check for termios.h, tcgetattr, tcsetattr, and
	__fsetlocking.

2005-08-25  Stepan Kasal  <kasal@ucw.cz>

	* regex.m4: Add AC_PREREQ(2.50).
	(gl_REGEX): If --with-included-regex was given, skip the autodetection.

2005-08-25  Bruno Haible  <bruno@clisp.org>

	* minmax.m4: Require autoconf 2.52.
	(gl_MINMAX_IN_HEADER): Add comments. Use m4_pushdef/m4_popdef instead
	of define/undefine. Use AS_TR_SH and AS_TR_CPP as more robust
	alternatives of translit over the alphabet.
	Based on a patch from Stepan Kasal <kasal@ucw.cz>.

2005-08-24  Paul Eggert  <eggert@cs.ucla.edu>

	* regex.m4 (gl_REGEX): Use POSIX-compliant spellings when testing
	for GNU regex features.

2005-08-24  Jim Meyering  <jim@meyering.net>

	Sync from coreutils.
	* fcntl-safer.m4: New file.

	* xgetcwd.m4: Use AC_LIBSOURCES and AC_LIBOBJ to indicate source
	and object files for this module.

2005-08-23  Paul Eggert  <eggert@cs.ucla.edu>

	* regex.m4 (gl_INCLUDED_REGEX): Remove; no longer used.
	All contents moved to gl_REGEX.
	(gl_REGEX): Don't bother checking whether lib/regex.c exists;
	assume that it does.

2005-08-20  Bruno Haible  <bruno@clisp.org>

	* regex.m4 (gl_PREREQ_REGEX): Require AC_GNU_SOURCE.

2005-08-17  Bruno Haible  <bruno@clisp.org>

	* strcasestr.m4: New file.

2005-08-17  Bruno Haible  <bruno@clisp.org>

	* strstr.m4 (gl_FUNC_STRSTR): Use the replacement function always.
	(gl_PREREQ_STRSTR): Use gl_FUNC_MBRTOWC.

2005-08-16  Paul Eggert  <eggert@cs.ucla.edu>

	* getopt.m4 (gl_GETOPT_CHECK_HEADERS): Do not override the results
	of gl_GETOPT_SUBSTITUTE.  That way, if both gl_GETOPT_SUBSTITUTE
	and gl_GETOPT are both invoked via different paths (as happens
	with GNU tar CVS because it uses both argp and getopt), the former
	wins.

2005-08-16  Bruno Haible  <bruno@clisp.org>

	* strcase.m4 (gl_FUNC_STRCASECMP): Use the replacement function always.
	(gl_PREREQ_STRCASECMP): Use gl_FUNC_MBRTOWC.

2005-08-16  Bruno Haible  <bruno@clisp.org>

	* mbfile.m4: New file.

2005-08-16  Bruno Haible  <bruno@clisp.org>

	* mbiter.m4: New file.

2005-08-16  Bruno Haible  <bruno@clisp.org>

	* mbchar.m4: New file.

2005-08-16  Bruno Haible  <bruno@clisp.org>

	* tls.m4: New file, from GNU gettext.

2005-08-12  Bruno Haible  <bruno@clisp.org>

	* readline.m4 (gl_FUNC_READLINE): Look for ncurses first.

2005-08-12  Simon Josefsson  <jas@extundo.com>

	* readline.m4: Look for termcap, curses or ncurses if required.

2005-08-11  Simon Josefsson  <jas@extundo.com>

	* readline.m4: New file.

2005-08-10  Simon Josefsson  <jas@extundo.com>

	* strnlen.m4: New file.

	* strndup.m4: Don't check for strnlen declaration, done in
	strnlen.m4.

2005-08-10  Stepan Kasal  <kasal@ucw.cz>

	* onceonly_2_57.m4: Really require Autoconf 2.57.

2005-08-02  Simon Josefsson  <jas@extundo.com>

	* getline.m4: Separate out getdelim stuff into separate module.

	* getdelim.m4: New file.

2005-07-26  Paul Eggert  <eggert@cs.ucla.edu>

	Add support to getopt for Emacs, which doesn't use LIBOBJS in the
	normal way.
	* getopt.m4 (gl_GETOPT_SUBSTITUTE_HEADER): New macro.
	(gl_GETOPT_SUBSTITUTE): Use it.  Invoke gl_PREREQ_GETOPT.
	(gl_GETOPT_IFELSE, gl_GETOPT_CHECK_HEADERS): New macros.
	(gl_GETOPT): Use the new macros.  Most of the implementation
	is moved to the new macros.  This is for programs like Emacs
	that don't want all the functionality of gl_GETOPT.

2005-07-26  Bruno Haible  <bruno@clisp.org>

	* lock.m4: Update from GNU gettext.

2005-07-25  Paul Eggert  <eggert@cs.ucla.edu>

	* regex.m4 (gl_INCLUDED_REGEX): Use AC_RUN_IFELSE instead of the
	obsolescent AC_TRY_RUN.  Include the default includes files, for 'exit'.

2005-07-24  Bruno Haible  <bruno@clisp.org>

	* visibility.m4: New file.

2005-07-18  Bruno Haible  <bruno@clisp.org>

	* lock.m4: New file, from GNU gettext.

2005-06-01  Bruno Haible  <bruno@clisp.org>

	* poll.m4 (gl_FUNC_POLL): Check against MacOS X 10.4 poll() bug.
	When using lib/poll.c, define poll as rpl_poll.

2005-07-14  Bruno Haible  <bruno@clisp.org>

	* argp.m4 (gl_ARGP): Remove invocation of gl_FUNC_GLIBC_UNLOCKED_IO.
	Instead, test for *_unlocked function declarations directly.

2005-07-14  Derek Price  <derek@ximbiot.com>

	* glob.m4 (gl_GLOB): Cache glob interface check result.  Add check for
	glob symlink bug.

2005-07-10  Bruno Haible  <bruno@clisp.org>

	* size_max.m4 (gl_SIZE_MAX): Cast ~(size_t)0 back to size_t.
	Needed when size_t is smaller than 'unsigned int'.
	Reported by Paul Eggert.

2005-07-07  Paul Eggert  <eggert@cs.ucla.edu>

	* backupfile.m4 (gl_BACKUPFILE): Use AC_CHECK_FUNCS_ONCE on pathconf.
	* same.m4 (gl_SAME): Likewise.
	Require AC_SYS_LONG_FILE_NAMES; bug reported by Gerrit P. Haase.

	* regex.m4: Adjust to new libc regex implementation.
	(gl_INCLUDED_REGEX): Add AC_LIBSOURCES for
	all the .c and .h parts of (the new) regex.
	Quote the m4 stuff better.
	Check for RE_ICASE bug of old gnulib.
	Check for REG_STARTEND of recent libc.
	Rename local variables from jm_* to gl_*.
	Quote operand of "test -f".
	Say "recent enough" version of libc, not "version 2".
	(gl_PREREQ_REGEX): Remove AC_FUNC_ALLOCA, since alloca is a
	prerequisite module.  Remove AC_HEADER_STDC; no longer needed.
	Check for locale.h, isblank, mbrtowc, wcrtomb, wcscoll.
	Remove check for btowc, isascii.
	Require AM_LANGINFO_CODESET.

2005-07-05  Bruno Haible  <bruno@clisp.org>

	* mbrtowc.m4 (gl_FUNC_MBRTOWC): Upgrade to version from current
	autoconf CVS. Needed for mingw.

2005-07-03  Paul Eggert  <eggert@cs.ucla.edu>

	Remove the dependency of the strftime module on the tzset module.
	* strftime.m4 (gl_FUNC_STRFTIME): Don't require gl_FUNC_TZSET_CLOBBER.

2005-07-02  Jim Meyering  <jim@meyering.net>

	* chown.m4, cloexec.m4, dup2.m4, fsusage.m4:
	* getcwd-path-max.m4, getcwd.m4, mkstemp.m4, mountlist.m4:
	* pagealign_alloc.m4, save-cwd.m4, unistd-safer.m4:
	Don't check for fcntl.h, and don't test for HAVE_FCNTL_H.

2005-06-28  Simon Josefsson  <jas@extundo.com>

	* check-version.m4: New file, suggested by Jim Meyering
	<jim@meyering.net>.

2005-06-24  Derek Price  <derek@ximbiot.com>
	and Bruno Haible  <bruno@clisp.org>

	Remove stat module & update lstat.
	* lstat.m4 (gl_FUNC_LSTAT): Drop AC_FUNC_LSTAT in favor of
	AC_FUNC_LSTAT_FOLLOWS_SLASHED_SYMLINK.
	* stat.m4: Remove this file.

2005-06-20  Derek Price  <derek@ximbiot.com>

	* bison.m4: Note that precious decls of YACC & YFLAGS will be
	unnecessary for Autoconfs > 2.59c.

2005-06-16  Derek Price  <derek@ximbiot.com>

	* bison.m4: Declare YACC & YFLAGS precious.

2005-06-08  Bruno Haible  <bruno@clisp.org>

	* csharpcomp.m4: New file, from GNU gettext.

2005-06-02  Paul Eggert  <eggert@cs.ucla.edu>

	Sync from coreutils.
	* mkdir-p.m4: Renamed from makepath.m4.
	(gl_MKDIR_PARENTS): Renamed from gl_MAKEPATH.  All uses changed.
	Rename files from makepath.c to mkdir-p.c, and from
	makepath.h to mkdir-p.h.
	* filenamecat.m4: Renamed from path-concat.m4.
	(gl_FILE_NAME_CONCAT): Renamed from gl_PATH_CONCAT.  All uses changed.
	Rename files from path-concat.c to filenamecat.c,
	and from path-concat.h to filenamecat.h.
	* getcwd-path-max.m4: Don't use "path" or "filename" to mean
	"file name" in local variables or comments.
	* rename.m4: Likewise.

2005-06-01  Bruno Haible  <bruno@clisp.org>

	* csharp.m4: New file, from GNU gettext.
	* csharpexec.m4: New file, from GNU gettext.

2005-05-31  Derek Price  <derek@ximbiot.com>
	    Paul Eggert  <eggert@cs.ucla.edu>

	Sync from cvs.
	* glob.m4: s/MISSING_SYS_CDEFS_H/_SYS_CDEFS_H/ and comment.

2005-05-29  Derek Price  <derek@ximbiot.com>
	    Paul Eggert  <eggert@cs.ucla.edu>

	* glob.m4: New file.

2005-05-27  Paul Eggert  <eggert@cs.ucla.edu>

	* fts.m4 (gl_FUNC_FTS_CORE): Don't check for inttypes.h or stdint.h,
	and don't require gt_INTTYPES_PRI.

2005-05-26  Paul Eggert  <eggert@cs.ucla.edu>

	* extensions.m4 (gl_USE_SYSTEM_EXTENSIONS): Define
	_POSIX_PTHREAD_SEMANTICS for Solaris.

2005-05-25  Derek Price  <derek@ximbiot.com>
	    Paul Eggert  <eggert@cs.ucla.edu>

	* getlogin_r.m4: New files.

2005-05-22  Bruno Haible  <bruno@clisp.org>

	* minmax.m4: New file.
	Based on a patch by Derek Price <derek@ximbiot.com>.

2005-05-20  Paul Eggert  <eggert@cs.ucla.edu>

	* fts.m4 (gl_FUNC_FTS_CORE): Renamed from gl_FUNC_FTS.
	(gl_FUNC_FTS, gl_FUNC_FTS_LGPL): New macros.

2005-05-20  Eric Blake  <ebb9@byu.net>  (tiny change)

	* chown.m4 (gl_FUNC_CHOWN): Correct sense of test for honoring IDs
	of -1.

2005-05-18  Paul Eggert  <eggert@cs.ucla.edu>

	* canonicalize.m4 (AC_FUNC_CANONICALIZE_FILE_NAME]):
	Don't check for stddef.h.
	* fts.m4 (gl_FUNC_FTS): Don't require AC_HEADER_STDC, as we
	don't use its results.
	Don't check for fcntl.h, stddef.h, stdlib.h, string.h, unistd.h,
	since we include them unconditionally.  Don't require
	AM_STDBOOL_H, since stdbool is a prerequisite.
	Don't require AC_C_CONST, AC_TYPE_SIZE_T or check for ptrdiff_t
	since we assume C89 or better.
	Don't require AC_FUNC_CLOSEDIR_VOID, AC_FUNC_LSTAT, or AC_FUNC_STAT,
	as we don't use their results.
	Don't check for fchdir, memmove, memset, strrchr, as we use
	them unconditionally.
	* gettimeofday.m4 (AC_FUNC_GETTIMEOFDAY_CLOBBER): Don't define
	GETTIMEOFDAY_CLOBBERS_LOCALTIME_BUFFER, since nobody uses it.

2005-05-18  Jim Meyering  <jim@meyering.net>

	* fts.m4 (AC_LIBSOURCES): Add intprops.h to the list.
	Reported by Yoann Vandoorselaere.

2005-05-17  Jim Meyering  <jim@meyering.net>

	* fts.m4: New file, from coreutils.

2005-05-14  Paul Eggert  <eggert@cs.ucla.edu>

	Sync from coreutils.
	* unlinkdir.m4: New file.

2005-05-10  Derek Price  <derek@ximbiot.com>

	* getopt.m4 (gl_GETOPT): Check for Solaris 10 bug, not decl, when
	possible.

2005-05-10  Simon Josefsson  <jas@extundo.com>

	* getaddrinfo.m4: Look in libnsl/libsocket for getaddrinfo, from
	Yoann Vandoorselaere <yoann.v@prelude-ids.com>.

2005-05-09  Yoann Vandoorselaere <yoann.v@prelude-ids.com>
	    Bruno Haible  <bruno@clisp.org>

	* inet_ntop.m4: New file.

2005-05-05  Paul Eggert  <eggert@cs.ucla.edu>

	* getopt.m4 (gl_GETOPT): Check for Solaris 10 getopt, and avoid
	needless checks.

2005-05-01  Paul Eggert  <eggert@cs.ucla.edu>

	* euidaccess.m4 (gl_PREREQ_EUIDACCESS): Don't require AC_HEADER_STAT.
	* lchown.m4 (gl_FUNC_CHOWN): Likewise.
	(gl_PREREQ_CHOWN): Remove.
	* lstat.m4 (gl_FUNC_LSTAT): Require AC_FUNC_LSTAT instead of calling
	it.  Don't require AC_HEADER_STAT.
	(gl_PREREQ_LSTAT): Remove.
	* mkstemp.m4 (gl_PREREQ_TEMPNAME): Check stdint.h only once.
	Don't require AC_HEADER_STAT.
	* rmdir.m4 (gl_FUNC_RMDIR): Don't require AC_HEADER_STAT.
	(gl_PREREQ_RMDIR): Remove.
	* canonicalize.m4 (AC_FUNC_CANONICALIZE_FILE_NAME): Don't
	mention stat-macros.h or AC_HEADER_STAT, since we'll make
	the stat-macros module a prerequisite.
	* file-type.m4 (gl_FILE_TYPE): Likewise.
	* filemode.m4 (gl_FILEMODE): Likewise.
	* makepath.m4 (gl_MAKEPATH): Likewise.
	* modechange.m4 (gl_MODECHANGE): Likewise.
	* clock_time.m4 (gl_CLOCK_TIME): Use gl_ rather than fetish_ for
	variable names.
	* rmdir-errno.m4 (gl_FUNC_RMDIR_NOTEMPTY): Renamed from
	fetish_FUNC_RMDIR_NOTEMPTY.  All uses changed.  Use gl_ for
	variable prefixes.
	* fcntl-safer.m4: Remove.
	* stdio-safer.m4 (gl_STDIO_SAFER): Use AC_LIBSOURCES and AC_LIBOBJ.
	* unistd-safer.m4 (gl_UNISTD_SAFER): Likewise.
	Invoke gl_PREREQ_FD_SAFER.
	(gl_PREREQ_FD_SAFER): New macro.
	* nanosleep.m4 (gl_PREREQ_NANOSLEEP): Check for siginterrupt.
	* readutmp.m4 (gl_READUTMP): Require AC_C_INLINE.
	Use AC_CHECK_HEADERS_ONCE and AC_CHECK_FUNCS_ONCE when possible.
	Remove duplicate call to AC_LIBOBJ(readutmp).
	(gl_PREREQ_READUTMP): Remove.  All uses inlined.

	* mmap-anon.m4 (gl_FUNC_MMAP_ANON): Check for message, not for
	MAP_ANON.  Problem reported by Moriyoshi Koizumi to bug-cvs.

2005-05-01  Oskar Liljeblad  <oskar@osk.mine.nu>

	* byteswap.m4: New file.

2005-04-25  karl

	* gettext.m4: Update from GNU gettext 0.14.4.

2005-04-15  Simon Josefsson  <jas@extundo.com>

	* getpass.m4 (gl_FUNC_GETPASS): Use AC_LIBSOURCES.

2005-03-28  Eric Blake  <ebb9@byu.net>  (tiny change)

	* getcwd-path-max.m4: Return success on systems such as Cygwin
	where no absolute path name can be longer than PATH_MAX.

2005-03-22  Jim Meyering  <jim@meyering.net>

	* stat-macros.m4 (gl_STAT_MACROS): New file/macro.

2005-03-21  Jim Meyering  <jim@meyering.net>
	and  Paul Eggert  <eggert@cs.ucla.edu>

	* acl.m4, backupfile.m4, c-strtod.m4, canon-host.m4, canonicalize.m4,
	cloexec.m4, closeout.m4, dirfd.m4, dirname.m4, exclude.m4,
	exitfail.m4, file-type.m4, filemode.m4, fpending.m4, fsusage.m4,
	getcwd.m4, getdate.m4, getline.m4, getpagesize.m4, getpass.m4,
	getugroups.m4, group-member.m4, hard-locale.m4, hash.m4, human.m4,
	idcache.m4, inttostr.m4, long-options.m4, makepath.m4, md5.m4,
	memcasecmp.m4, memcoll.m4, modechange.m4, mountlist.m4, nanosleep.m4,
	path-concat.m4, pathmax.m4, physmem.m4, posixtm.m4, posixver.m4,
	quote.m4, quotearg.m4, readtokens.m4, readutmp.m4, safe-read.m4,
	safe-write.m4, same.m4, savedir.m4, settime.m4, sha1.m4, sig2str.m4,
	strdup.m4, strftime.m4, strndup.m4, strverscmp.m4, timespec.m4,
	unlocked-io.m4, userspec.m4, utimecmp.m4, utimens.m4, xalloc.m4,
	xnanosleep.m4, xstrtol.m4, yesno.m4:
	Use AC_LIBSOURCES and AC_LIBOBJ to indicate source and object files
	for these modules.

2005-03-21  Jim Meyering  <jim@meyering.net>

	* chdir-long.m4 (gl_PREREQ_CHDIR_LONG): Invoke gl_FUNC_MEMRCHR.
	* memrchr.m4 (gl_FUNC_MEMRCHR): Check for memrchr decl.

2005-03-16  Bruno Haible  <bruno@clisp.org>

	* stdint.m4 (gl_STDINT_H): Define HAVE_LONG_LONG_64BIT instead of
	HAVE_LONGLONG_64BIT.

2005-03-14  Bruno Haible  <bruno@clisp.org>

	* lib-link.m4, gettext.m4, nls.m4, po.m4:
	Update from GNU gettext 0.14.3.

2005-03-10  Jim Meyering  <jim@meyering.net>

	* save-cwd.m4 (gl_SAVE_CWD): Check for fchdir.

2005-03-07  Bruno Haible  <bruno@clisp.org>

	* mmap-anon.m4 (MAP_FILE, MAP_FAILED): Remove definitions.

2005-03-03  Bruno Haible  <bruno@clisp.org>

	* inttypes.m4, isc-posix.m4, once-only.m4:
	Use an all-permissive copyright notice, recommended by RMS.

2005-03-03  Derek R. Price  <derek@ximbiot.com>

	* mmap-anon.m4: New file.
	* pagealign_alloc.m4: New file.

2005-01-28  Bruno Haible  <bruno@clisp.org>

	* stpncpy.m4 (gl_FUNC_STPNCPY): Undo the replacement here. Because of
	AIX, the replacement has to be done only after <string.h> is included,
	therefore not in config.h. stpncpy.h does the replacement, and
	stpncpy.c uses it.

2005-03-01  Paul Eggert  <eggert@cs.ucla.edu>

	* xnanosleep.m4 (gl_XNANOSLEEP): Remove configuration attempting
	to detect nanosleep bug.

2005-02-25  Paul Eggert  <eggert@cs.ucla.edu>

	* gethrxtime.m4, xnanosleep.m4: New files.
	* gettime.m4 (gl_GETTIME): Check for nanotime.

2005-02-24  Bruno Haible  <bruno@clisp.org>

	* gettext.m4, intdiv0.m4, intmax.m4, inttypes-pri.m4, lcmessage.m4:
	* lib-link.m4, lib-prefix.m4, nls.m4, po.m4, printf-posix.m4:
	* progtest.m4:
	Update from GNU gettext 0.14.2.
	* glibc2.m4: New file, from GNU gettext 0.14.2.

2005-02-22  Simon Josefsson  <jas@extundo.com>

	* iconvme.m4: New file.

2005-02-23  Jim Meyering  <jim@meyering.net>

	* extensions.m4 (gl_USE_SYSTEM_EXTENSIONS): Revert yesteday's change.
	Thanks to Bruno Haible for catching it.

2005-02-22  Jim Meyering  <jim@meyering.net>

	* extensions.m4 (gl_USE_SYSTEM_EXTENSIONS): Fix typo: s/ifndef/ifdef/.

2005-02-03  Paul Eggert  <eggert@cs.ucla.edu>

	* memrchr.m4 (gl_FUNC_MEMRCHR): Add AC_LIBSOURCES, for memrchr.h.

2005-01-28  Paul Eggert  <eggert@cs.ucla.edu>

	Sync from coreutils.
	* getloadavg.m4, glibc.m4, search-libs.m4: Remove.

	Remove files that are specific to coreutils.
	* check-decl.m4, jm-macros.m4, lib-check.m4, prereq.m4: Remove.

2005-01-28  Bruno Haible  <bruno@clisp.org>

	* javacomp.m4: New file, from GNU gettext.

2005-01-26  Bruno Haible  <bruno@clisp.org>

	* javaexec.m4: New file, from GNU gettext.

2005-01-24  Sergey Poznyakoff  <gray@Mirddin.farlep.net>

	* sysexits.m4 (gl_SYSEXITS): Reverted logic. SYSEXITS_H
	must be defined if the header file was not found, in order
	to provide a replacement. Reported by Todd Vierling <tv@duh.org>

2005-01-23  Paul Eggert  <eggert@cs.ucla.edu>

	* acl.m4, afs.m4, alloca.m4, argp.m4, assert.m4, atexit.m4,
	backupfile.m4, base64.m4, bison.m4, c-bs-a.m4, c-stack.m4,
	c-strtod.m4, calloc.m4, canon-host.m4, canonicalize.m4,
	clock_time.m4, cloexec.m4, closeout.m4, d-ino.m4, d-type.m4,
	dirfd.m4, dirname.m4, dos.m4, dup2.m4, error.m4, euidaccess.m4,
	exclude.m4, exitfail.m4, extensions.m4, fcntl-safer.m4,
	file-type.m4, fileblocks.m4, filemode.m4, fnmatch.m4, fpending.m4,
	free.m4, fstypename.m4, fsusage.m4, ftruncate.m4, getaddrinfo.m4,
	getcwd-path-max.m4, getcwd.m4, getdate.m4, getdomainname.m4,
	getgroups.m4, gethostname.m4, getline.m4, getndelim2.m4,
	getnline.m4, getopt.m4, getpagesize.m4, getpass.m4, getsubopt.m4,
	gettime.m4, gettimeofday.m4, getugroups.m4, getusershell.m4,
	group-member.m4, hard-locale.m4, hash.m4, host-os.m4, human.m4,
	idcache.m4, inttostr.m4, isdir.m4, jm-winsz1.m4, jm-winsz2.m4,
	link-follow.m4, long-options.m4, ls-mntd-fs.m4, lstat.m4,
	makepath.m4, mathl.m4, md5.m4, memcasecmp.m4, memchr.m4,
	memcmp.m4, memcoll.m4, memcpy.m4, memmem.m4, memmove.m4,
	memrchr.m4, memset.m4, mkdir-slash.m4, mkstemp.m4, mktime.m4,
	modechange.m4, mountlist.m4, nanosleep.m4, obstack.m4,
	path-concat.m4, pathmax.m4, perl.m4, physmem.m4, poll.m4,
	posixtm.m4, posixver.m4, putenv.m4, quote.m4, quotearg.m4,
	readdir.m4, readtokens.m4, readutmp.m4, regex.m4, rename.m4,
	restrict.m4, rmdir-errno.m4, rmdir.m4, rpmatch.m4, same.m4,
	savedir.m4, settime.m4, sha1.m4, sig2str.m4, snprintf.m4,
	sockpfaf.m4, st_dm_mode.m4, st_mtim.m4, stat.m4, stdint.m4,
	stdio-safer.m4, strchrnul.m4, strdup.m4, strerror.m4,
	strerror_r.m4, strftime.m4, strndup.m4, strnlen.m4, strsep.m4,
	strtod.m4, strtoimax.m4, strtok_r.m4, strtol.m4, strtoll.m4,
	strtoul.m4, strtoull.m4, strtoumax.m4, strverscmp.m4, sysexits.m4,
	time_r.m4, timegm.m4, timespec.m4, tm_gmtoff.m4, tzset.m4,
	uint32_t.m4, uintptr_t.m4, unistd-safer.m4, unlink-busy.m4,
	unlocked-io.m4, uptime.m4, userspec.m4, utimbuf.m4, utime.m4,
	utimecmp.m4, utimens.m4, utimes-null.m4, vsnprintf.m4, xalloc.m4,
	xgetcwd.m4, xreadlink.m4, xstrndup.m4, xstrtod.m4, xstrtoimax.m4,
	xstrtol.m4, xstrtoumax.m4, yesno.m4:
	Use an all-permissive copyright notice, recommended by RMS.

2005-01-20  Paul Eggert  <eggert@cs.ucla.edu>

	* save-cwd.m4 (gl_SAVE_CWD): Remove check for fcntl; we now assume it.

2005-01-18  Paul Eggert  <eggert@cs.ucla.edu>

	Merge from coreutils.
	* ullong_max.m4: New file.
	* jm-macros.m4 (gl_MACROS): Require gl_ULLONG_MAX.
	(gl_MACROS): Assume localeconv exists.

2005-01-18  Jim Meyering  <jim@meyering.net>

	Merge from coreutils.
	* chdir-long.m4, openat.m4: New files.
	* save-cwd.m4 (gl_SAVE_CWD): Add AC_LIBSOURCES for save-cwd.c,
	save-cwd.h.  Add AC_LIBOBJ for save-cwd.
	* chown.m4 (gl_FUNC_CHOWN): When cross-compiling, assume that chown
	is sane and DOES follow symlinks.  Besides, testing 20 different
	systems found no broken chown implementations.
	Prompted by a change in rsync's copy of this macro.
	* jm-macros.m4 (gl_MACROS): Require gl_FUNC_CHDIR_LONG.

	* lchown.m4 (gl_FUNC_LCHOWN): Use AC_LIBSOURCES.

	* utimes.m4: Work around tests/touch/empty-file failure on a system
	(sparc64, Linux-2.4.28, glibc-2.3.3) that didn't honor utimes'
	NULL-means-set-to-current-time semantics.
	Remove temporary file immediately, rather than waiting
	for configure's at-exit trap code to do it.

2005-01-18  Bruno Haible  <bruno@clisp.org>

	* allocsa.m4, codeset.m4, copy-file.m4, eaccess.m4, eealloc.m4:
	* eoverflow.m4, execute.m4, fatal-signal.m4, findprog.m4, glibc21.m4:
	* iconv.m4, intmax_t.m4, inttypes_h.m4, lib-ld.m4, lib-link.m4:
	* lib-prefix.m4, linebreak.m4, localcharset.m4, longdouble.m4:
	* longlong.m4, mbrtowc.m4, mbstate_t.m4, mbswidth.m4, mkdtemp.m4:
	* pipe.m4, readlink.m4, safe-read.m4, safe-write.m4, setenv.m4:
	* sig_atomic_t.m4, signalblocking.m4, signed.m4, size_max.m4:
	* ssize_t.m4, stdbool.m4, stdint_h.m4, stpcpy.m4, stpncpy.m4:
	* strcase.m4, strcspn.m4, strpbrk.m4, strstr.m4, ucs4-utf.m4:
	* uintmax_t.m4, ulonglong.m4, unicodeio.m4, utf-ucs4.m4, vasnprintf.m4:
	* vasprintf.m4, wait-process.m4, wchar_t.m4, wint_t.m4, xsize.m4:
	Use an all-permissive copyright notice, recommended by RMS.

2005-01-06  Bruno Haible  <bruno@clisp.org>

	* stpncpy.m4 (gl_FUNC_STPNCPY): Rename stpncpy to gnu_stpncpy here.

2005-01-04  Jim Meyering  <jim@meyering.net>

	Changes imported from coreutils.
	* mkstemp.m4 (gl_FUNC_MKSTEMP): Rather than using "conftestXXXXXX"
	as the mkstemp template, use a temporary directory and an
	8.3-friendly template to avoid trouble on systems like DJGPP.
	Reported by Juan M. Guerrero via Stepan Kasal.
	* (gl_FUNC_MKSTEMP): Include <unistd.h> for the declaration of close.
	Remove the temporary directory right away, rather than waiting
	for configure's at-exit trap code to do it.
	Suggestion from Stepan Kasal.

2004-12-24  Paul Eggert  <eggert@cs.ucla.edu>

	* c-strtod.m4 (gl_C99_STRTOLD): New macro.
	(gl_C_STRTOD): Use it instead of AC_CHECK_DECLS_ONCE(strtold).

2004-12-23  Paul Eggert  <eggert@cs.ucla.edu>

	* getdate.m4 (gl_GETDATE): Remove AC_FUNC_ALLOCA.

2004-12-18  Bruno Haible  <bruno@clisp.org>

	* fatal-signal.m4 (gl_FATAL_SIGNAL): Also test for sigaction.

2004-12-07  Paul Eggert  <eggert@cs.ucla.edu>

	* ls-mntd-fs.m4 (AC_FUNC_GETMNTENT): Fix typo in previous change:
	spurious "-l"s.  Problem reported by Stepan Kasal.

2004-12-06  Paul Eggert  <eggert@cs.ucla.edu>

	* ls-mntd-fs.m4 (AC_FUNC_GETMNTENT): New macro, to work around bug
	in Autoconf 2.59.  Problem reported by Mark D. Baushke.

2004-12-04  Paul Eggert  <eggert@cs.ucla.edu>

	Changes imported from coreutils.
	* hard-locale.m4 (gl_HARD_LOCALE): Assume locale.h and setlocale
	exist.
	* human.m4 (gl_HUMAN): Assume locale.h and localeconv exist.

2004-11-30  Paul Eggert  <eggert@cs.ucla.edu>

	* getcwd-path-max.m4 (gl_FUNC_GETCWD_PATH_MAX):
	Define HAVE_PARTLY_WORKING_GETCWD if getcwd is partly working.

	* readutmp.m4 (gl_READUTMP): Don't check for sys/param.h.

2004-11-30  Simon Josefsson  <jas@extundo.com>

	* base64.m4: New file.

2004-11-30  Simon Josefsson  <jas@extundo.com>

	* restrict.m4: Add copyright and copying conditions.

2004-11-25  Paul Eggert  <eggert@cs.ucla.edu>

	* getcwd-path-max.m4 (gl_FUNC_GETCWD_PATH_MAX): Renamed from
	GL_FUNC_GETCWD_PATH_MAX for consistency.  All uses changed.
	Use the _ONCE methods, for efficiency.
	Check for fcntl.h.  In test program, include <errno.h>
	and <fcntl.h> if available.  Remove old K&R cruft from
	test program.  Check for common errors in GNU/Linux,
	OpenBSD, and Solaris.  Just set gl_cv_func_getcwd_path_max;
	don't do AC_LIBOBJ, as that's getcwd.m4's job.
	* getcwd.m4 (gl_FUNC_GETCWD_NULL): Renamed from
	AC_FUNC_GETCWD_NULL.  All used changed.  Change cache variable
	name accordingly.
	(gl_FUNC_GETCWD, gl_PREREQ_GETCWD): New macros.  Revamp to
	accommodate new getcwd.c.
	* jm-macros.m4 (gl_MACROS): Don't require GL_FUNC_GETCWD_PATH_MAX.
	* prereq.m4 (gl_PREREQ): Add gl_FUNC_MEMPCPY.
	* xgetcwd.m4 (gl_XGETCWD): Replace with gl_FUNC_GETCWD, since
	that's all we need now.

2004-11-23  Paul Eggert  <eggert@cs.ucla.edu>

	* utimens.m4 (gl_UTIMENS): Check for futimes function.

2004-11-23  Sergey Poznyakoff  <gray@Mirddin.farlep.net>

	* argp.m4 (gl_ARGP): Require gl_GETOPT_SUBSTITUTE unconditionally:
	argp-parse.c depends on getopt internals, that means we should
	always use our getopt, to be on the safe side.
	* getopt.m4 (gl_GETOPT): Check if GETOPT_H is already set, in
	order not to spoil the result of an eventual previous invocation
	of gl_GETOPT_SUBSTITUTE.

2004-11-17  Paul Eggert  <eggert@cs.ucla.edu>

	* calloc.m4 (_AC_FUNC_CALLOC_IF): Check for buggy calloc implementations
	that mishandle size_t overflow.

2004-11-16  Paul Eggert  <eggert@cs.ucla.edu>

	* canon-host.m4 (gl_CANON_HOST): Check for getaddrinfo.

2004-11-13  Jim Meyering  <jim@meyering.net>

	* jm-macros.m4: Do require gl_FUNC_FPENDING.

2004-11-11  Paul Eggert  <eggert@cs.ucla.edu>

	* getopt.m4 (gl_GETOPT_SUBSTITUTE): Define __GETOPT_PREFIX instead
	of replacing opterr, getopt, etc.  This should handle the
	powerpc-apple-darwin5.5 problem recently noted by Simon Josefsson.

2004-11-11  Simon Josefsson  <jas@extundo.com>

	* strtok_r.m4: New file.

	* getopt.m4: Replace opterr.

2004-11-10  Paul Eggert  <eggert@cs.ucla.edu>

	* prereq.m4 (gl_PREREQ): Require gt_FUNC_SETENV.

2004-11-10  Jim Meyering  <jim@meyering.net>

	* jm-macros.m4 (gl_MACROS): Don't require gl_FUNC_FPENDING.

2004-11-08  Simon Josefsson  <jas@extundo.com>

	* getaddrinfo.m4: New file.

2004-11-09  Paul Eggert  <eggert@cs.ucla.edu>

	* strftime.m4 (_gl_STRFTIME_PREREQS): Remove.  Move its body to
	gl_FUNC_STRFTIME.
	(gl_FUNC_STRFTIME): Use AC_CHECK_FUNCS_ONCE and AC_CHECK_HEADERS_ONCE
	and AC_REQUIRE when possible, to avoid duplicate checks.
	Check for <wchar.h>.

2004-11-09  Bruno Haible  <bruno@clisp.org>

	* sockpfaf.m4: New file.

2004-11-03  Albert Chin <china@thewrittenword.com>
	    Paul Eggert  <eggert@cs.ucla.edu>

	* uint32_t.m4 (gl_AC_TYPE_UINT32_T): When determining uint32_t
	equivalent, substitute $ac_type for equivalent type rather than
	blindly using uint32_t *always* which won't work if uint32_t is not
	available.  Define _UINT32_T to work around typedef of uint32_t if
	<sys/sched.h>, <pthread.h>, or <semaphore.h> used on Solaris
	2.5.1.

2004-11-02  Paul Eggert  <eggert@cs.ucla.edu>

	* jm-macros.m4: Sync from coreutils.
	(gl_MACROS): Check for mbrlen, for pathchk.
	(gl_CHECK_ALL_TYPES): Require AC_TYPE_MBSTATE_T, for pathchk.

2004-11-02  Bruno Haible  <bruno@clisp.org>

	* setenv.m4 (gt_FUNC_SETENV): Define VOID_UNSETENV if unsetenv()
	returns void.

2004-11-01  Paul Eggert  <eggert@cs.ucla.edu>

	* m4/getpass.m4 (gl_PREREQ_GETPASS): Check for declarations of
	fflush_unlocked, flockfile, funlockfile, funlockfile,
	fputs_unlocked, putc_unlocked.

2004-10-22  Paul Eggert  <eggert@cs.ucla.edu>

	* getpagesize.m4 (gl_GETPAGESIZE): Check for <sys/param.h>.

2004-10-15  Paul Eggert  <eggert@cs.ucla.edu>

	* getopt.m4 (gl_GETOPT): Detect and reject the incompatible BSD
	implementation of getopt_long.  Problem reported by Alexander Taler in:
	http://lists.gnu.org/archive/html/bug-gnulib/2004-10/msg00103.html

2004-10-11  Yoann Vandoorselaere  <yoann@prelude-ids.org>

	* vsnprintf.m4: New file.

2004-10-05  Bruno Haible  <bruno@clisp.org>

	* strsep.m4 (gl_FUNC_STRSEP): Require AC_GNU_SOURCE. Don't check
	for the declaration of strsep.

2004-10-04  Paul Eggert  <eggert@cs.ucla.edu>

	* xalloc.m4 (gl_PREREQ_XSTRDUP): Remove.  All uses removed.

	* unlocked-io.m4: Add copyright notice.
	(gl_FUNC_GLIBC_UNLOCKED_IO): Define USE_UNLOCKED_IO.

2004-10-04  Simon Josefsson  <jas@extundo.com>

	* memmem.m4: New file.

2004-10-01  Yoann Vandoorselaere <yoann@prelude-ids.org>

	* strsep.m4: New file.

2004-09-30  Simon Josefsson  <jas@extundo.com>

	* snprintf.m4: New file.

2004-09-09  Bruno Haible  <bruno@clisp.org>

	* eoverflow.m4: New file, taken from GNU libiconv eilseq.m4 with
	modifications.
	* vasnprintf.m4 (gl_FUNC_VASNPRINTF): Require gl_EOVERFLOW.

2004-09-08  Bruno Haible  <bruno@clisp.org>

	* stdint.m4: New file, taken from GNU clisp with modifications.

2004-08-19  Paul Eggert  <eggert@cs.ucla.edu>

	* userspec.m4 (gl_USERSPEC): Don't require AC_FUNC_ALLOCA.

2004-08-12  Paul Eggert  <eggert@cs.ucla.edu>

	* argp.m4 (gl_ARGP): Do not check for argp.h or argp_parse; nobody
	uses HAVE_ARGP_H or HAVE_ARGP_PARSE.
	Require gl_FUNC_GLIBC_UNLOCKED_IO, gl_USE_SYSTEM_EXTENSIONS.
	Check for program_invocation_name, program_invocation_short_name,
	flockfile, funlockfile, features.h, _getopt_long_only_r.

2004-08-12  Simon Josefsson  <jas@extundo.com>

	* getopt.m4 (gl_GETOPT_SUBSTITUTE): New macro,
	as discussed with Paul Eggert in threads rooted at
	<http://lists.gnu.org/archive/html/bug-gnulib/2004-06/msg00039.html>
	and
	<http://lists.gnu.org/archive/html/bug-gnulib/2004-07/msg00001.html>.
	Before, the test was empty, and relied on ELIDE_CODE in source
	code.)
	(gl_PREREQ_GETOPT): New macro.
	(gl_GETOPT): Use them.

2004-08-11  Paul Eggert  <eggert@cs.ucla.edu>

	Merge from coreutils.

	* fnmatch.m4 (_AC_LIBOBJ_FNMATCH): Check for wmemchr and wmemcpy.

	* obstack.m4 (gl_PREREQ_OBSTACK): Require
	gl_AC_HEADER_INTTYPES_H, gl_AC_HEADER_STDINT_H, gl_AC_TYPE_UINTMAX_T.

2004-08-09  Paul Eggert  <eggert@cs.ucla.edu>

	* uint32_t.m4, uintptr_t.m4: New files.
	* sha1.m4: Renamed from sha.m4.
	(gl_SHA1): Renamed from gl_SHA.  All uses changed.

2004-08-08  Simon Josefsson  <jas@extundo.com>

	* getpass.m4 (gl_FUNC_GETPASS, gl_FUNC_GETPASS_GNU):
	Check getpass declaration.

2004-08-06  Paul Eggert  <eggert@cs.ucla.edu>

	More merge from coreutils.

	* utimens.m4, utimecmp.m4: New files.
	* backupfile.m4, euidacces.m4, acl.m4, afs.m4, calloc.m4, dirfd.m4,
	fsusage.m4, jm-macros.m4, ls-mntd-fs.m4, md5.m4, mountlist.m4,
	prereq.m4, sha.m4: Import changes from coreutils.

2004-08-05  Paul Eggert  <eggert@cs.ucla.edu>

	Merge from coreutils.

	* c-strtod.m4, canonicalize.m4, fcntl-safer.m4, getcwd-path-max.m4:
	New files.

	* dos.m4 (gl_AC_DOS): filesystem -> file system renaming.
	FILESYSTEM_PREFIX_LEN ->
	FILE_SYSTEM_PREFIX_LEN.
	FILESYSTEM_ACCEPTS_DRIVE_LETTER_PREFIX ->
	FILE_SYSTEM_ACCEPTS_DRIVE_LETTER_PREFIX.
	FILESYSTEM_BACKSLASH_IS_FILE_NAME_SEPARATOR ->
	FILE_SYSTEM_BACKSLASH_IS_FILE_NAME_SEPARATOR.

	* path-concat.m4 (gl_PATH_CONCAT): Don't require gl_AC_DOS, the
	prerequisite modules now handle the DOS stuff.
	Don't check for unistd.h.

2004-08-03  Simon Josefsson  <jas@extundo.com>

	* strdup.m4: Always run gl_PREREQ_STRDUP, since strdup.h need it.

2004-08-02  Simon Josefsson  <jas@extundo.com>

	* getsubopt.m4: New file.

2004-08-03  Paul Eggert  <eggert@cs.ucla.edu>

	* fatal.m4: Remove, as the "fatal" module wasn't used or working.

2004-07-13  Robert Millan  <robertmh@gnu.org>

	* host-os.m4: s/KNetBSD/kNetBSD/g and s/KFreeBSD/kFreeBSD/g.

2004-06-22  Paul Eggert  <eggert@cs.ucla.edu>

	* argz.m4: New file, which is autoupdated from libtool.

2004-06-01  Jim Meyering  <jim@meyering.net>

	* calloc.m4: New file.

2004-06-01  Paul Eggert  <eggert@cs.ucla.edu>

	Merge from coreutils CVS.

	* backupfile.m4, dirname.m4, human.m4, inttypes.m4, longlong.m4,
	makepath.m4, memchr.m4, memcmp.m4, mountlist.m4, path-concat.m4,
	putenv.m4, quotearg.m4, readutmp.m4, strtoimax.m4, strtoll.m4,
	strtoull.m4, strtoumax.m4, ulonglong.m4, vasnprintf.m4,
	xstrtol.m4: Fix copyright date and/or serial number.

	* chown.m4 (gl_PREREQ_CHOWN): Check for fcntl.h.
	See if we need an fchown replacement.
	(gl_FUNC_CHOWN_FOLLOWS_SYMLINK): New macro.
	(gl_FUNC_CHOWN): Require gl_FUNC_CHOWN_FOLLOWS_SYMLINK,
	and use the replacement function if we detect either defect.

	* prereq.m4 (gl_PREREQ): Add gl_ALLOCSA, gl_CLOEXEC, gl_INTTOSTR,
	gl_UTIMECMP.

2004-05-31  Paul Eggert  <eggert@cs.ucla.edu>

	* stdbool.m4 (AC_HEADER_STDBOOL): Detect _Bool bug in HP aC++/ANSI
	C B3910B A.05.55 [Dec 04 2003].  Problem reported by Jim Meyering.
	Also, fix a typo in a diagnostic.

2004-05-30  Paul Eggert  <eggert@cs.ucla.edu>

	* xalloc.m4 (gl_PREREQ_XMALLOC): Do not require AC_FUNC_MALLOC
	or AC_FUNC_REALLOC.

2004-05-20  Andreas Schwab  <schwab@suse.de>

	* free.m4: Replace free if it not known to work, not the other
	way round.

2004-05-17  Derek R. Price  <derek@ximbiot.com>
	    Paul Eggert  <eggert@cs.ucla.edu>

	* argp: Depend on alloca.

2004-05-16  Paul Eggert  <eggert@cs.ucla.edu>

	* alloca.m4 (gl_FUNC_ALLOCA): Define HAVE_ALLOCA_H always,
	for backward compatibility with older code.  We need our own
	alloca.h if _AIX is defined.  Define HAVE_ALLOCA if we discover
	it under some other name, and our alloca.h will define it.

2004-05-13  Paul Eggert  <eggert@cs.ucla.edu>

	* gettime.m4 (gl_GETTIME): Require gl_TIMESPEC.
	Check for gettimeofday.
	* settime.m4 (gl_SETTIME): Require gl_TIMESPEC.
	Check for settimeofday, stime.

2004-04-20  Paul Eggert  <eggert@twinsun.com>

	* host-os.m4: Add a copyright notice.

2004-04-20  Jim Meyering  <jim@meyering.net>

	Change UTILS_ to gl_ in AC_DEFINE'd names.
	Change utils_- and jm_-prefixed variables, too.
	* mkdir-slash.m4 (gl_FUNC_MKDIR_TRAILING_SLASH): Renamed from
	UTILS_FUNC_MKDIR_TRAILING_SLASH.
	* mkstemp.m4 (gl_FUNC_MKSTEMP): Renamed from UTILS_FUNC_MKSTEP.

	* dirfd.m4 (gl_FUNC_DIRFD): Rename from UTILS_FUNC_DIRFD.
	Don't emit trailing blanks.
	Also rename jm_-prefixed variables to have gl_ prefix.

	* host-os.m4 (gl_HOST_OS): Rename from UTILS_HOST_OS.
	Also rename jm_-prefixed variables to have gl_ prefix.

	* jm-macros.m4: Reflect the renamings.
	* prereq.m4: Likewise.

2004-04-19  Jim Meyering  <jim@meyering.net>

	* readutmp.m4 (gl_PREREQ_READUTMP): Require gl_FUNC_FREE,
	now that readutmp.c may call `free (0)'.

2004-04-19  Bruno Haible  <bruno@clisp.org>

	* mbrtowc.m4: Change jm_ to gl_ in cache variables as well.
	* inttypes_h.m4: Likewise.
	* stdint_h.m4: Likewise.
	* intmax_t.m4: Likewise.
	* uintmax_t.m4: Likewise.

2004-04-18  Jim Meyering  <jim@meyering.net>

	* prereq.m4: Don't forbid jm_ prefix.

	* afs.m4, allocsa.m4, assert.m4, backupfile.m4, bison.m4:
	* check-decl.m4, chown.m4, d-ino.m4, d-type.m4, dirname.m4, dos.m4:
	* error.m4, fpending.m4, fstypename.m4, fsusage.m4, ftruncate.m4:
	* getdate.m4, getgroups.m4, gettext.m4, glibc21.m4, group-member.m4:
	* human.m4, intmax.m4, intmax_t.m4, inttostr.m4, inttypes.m4:
	* inttypes_h.m4, jm-macros.m4, jm-winsz1.m4, jm-winsz2.m4, lchown.m4:
	* lib-check.m4, link-follow.m4, localcharset.m4, longlong.m4:
	* ls-mntd-fs.m4, lstat.m4, makepath.m4, mbrtowc.m4, mbswidth.m4:
	* memchr.m4, memcmp.m4, mkdtemp.m4, mkstemp.m4, mountlist.m4:
	* nanosleep.m4, path-concat.m4, perl.m4, prereq.m4, putenv.m4:
	* quotearg.m4, regex.m4, stat.m4, stdint_h.m4, strftime.m4:
	* strtoimax.m4, strtoll.m4, strtoull.m4, strtoumax.m4, timespec.m4:
	* uintmax_t.m4, ulonglong.m4, unlink-busy.m4, unlocked-io.m4:
	* uptime.m4, utimbuf.m4, utime.m4, utimes-null.m4, vasnprintf.m4:
	* xstrtoimax.m4, xstrtol.m4, xstrtoumax.m4:
	Change jm_ to gl_ in AC_DEFINE'd names. Update all uses.

2004-04-16  Jim Meyering  <jim@meyering.net>

	* prereq.m4 (jm_PREREQ_STAT): Remove macro.  It is specific to
	coreutils' stat program.
	(gl_PREREQ): Don't require jm_PREREQ_STAT.

2004-03-31  Jim Meyering  <jim@meyering.net>

	* prereq.m4: Require AC_FUNC_MALLOC, not jm_FUNC_MALLOC.
	Require AC_FUNC_REALLOC, not jm_FUNC_REALLOC.
	* xalloc.m4: Likewise.

2004-03-30  Jim Meyering  <jim@meyering.net>

	* realloc.m4: Remove file, since now it does no more than
	AC_REQUIRE([AC_FUNC_REALLOC]), and that can be done via
	the `configure.ac' section of module/realloc.
	* malloc.m4: Likewise, but for AC_FUNC_MALLOC.

2004-03-30  Paul Eggert  <eggert@twinsun.com>

	Merge from coreutils.

	* inttostr.m4: New file.
	* getdate.m4 (gl_GETDATE): Remove time-related stuff.
	Require AM_STDBOOL_H and gl_TIMESPEC instead.
	Require gl_CLOCK_TIME.
	* clock_time.m4 (gl_CLOCK_TIME): Require AC_GNU_SOURCE.

2004-03-30  Jim Meyering  <jim@meyering.net>

	Merge from coreutils.

	Avoid a configure-time warning about sys/ucred.h on OSF V4.0.
	* ls-mntd-fs.m4: Test for sys/ucred.h separately, since
	on some systems one must include <grp.h> before it.
	Reported by Christian Krackowizer.

2004-03-29  Paul Eggert  <eggert@twinsun.com>

	* cloexec.m4: New file.

2004-03-18  Paul Eggert  <eggert@twinsun.com>
	    Bruno Haible  <bruno@clisp.org>

	* mbswidth.m4 (gl_MBSWIDTH): Also test whether <wchar.h> declares
	mbswidth.

2004-03-07  Paul Eggert  <eggert@twinsun.com>

	* c-stack.m4 (gl_PREREQ_C_STACK): Renamed from jm_PREREQ_C_STACK.
	All uses changed.  Check for sa_sigaction member; this fixes
	a bug first reported by Jason Andrade in
	<http://mail.gnu.org/archive/html/bug-textutils/2003-03/msg00027.html>.

2004-01-18  Simon Josefsson  <jas@extundo.com>

	* strdup.m4 (gl_PREREQ_STRDUP): Check whether strdup is declared.

2004-02-18  Bruno Haible  <bruno@clisp.org>

	* xsize.m4 (gl_XSIZE): Require AC_C_INLINE.
	Reported by Derek Robert Price <derek@ximbiot.com>.

2004-02-06  Karl Berry  <karl@gnu.org>

	* po.m4: update from gettext 0.14.1.

2004-02-03  Bruno Haible  <bruno@clisp.org>

	* pipe.m4: New file, from GNU gettext.

2004-01-27  Bruno Haible  <bruno@clisp.org>

	* execute.m4: New file, from GNU gettext.

2003-11-24  Bruno Haible  <bruno@clisp.org>

	* allocsa.m4: New file, from GNU gettext.

2003-11-24  Bruno Haible  <bruno@clisp.org>

	* eealloc.m4: New file, from GNU gettext.

2004-01-15  Paul Eggert  <eggert@twinsun.com>

	Merge from coreutils.

	* jm-macros.m4 (jm_CHECK_ALL_TYPES): Check for uintptr_t.
	* posixver.m4 (gl_POSIXVER): Require gl_DEFAULT_POSIX2_VERSION.
	(gl_DEFAULT_POSIX2_VERSION): Move
	the documentation from 'configure' into 'config.hin',
	so that 'configure --help' isn't burdened by it and
	we don't have to worry about its formatting there.
	Reword the documentation so that it's more succinct
	and can be run together into a single paragraph.
	* same.m4 (gl_SAME): Check for pathconf.

2004-01-15  Jim Meyering  <jim@meyering.net>

	Merge from coreutils.

	* clock_time.m4 (gl_CLOCK_TIME): Don't set LIB_CLOCK_GETTIME
	if no library is required.
	* jm-macros.m4: Don't require UTILS_SYS_OPEN_MAX.
	* jm-macros.m4 (jm_MACROS): Require gl_FUNC_FREE.
	* jm-macros.m4 (jm_MACROS): Require autoconf-2.58.
	(AC_LANG_SOURCE): Remove definition, now that we require autoconf-2.58.
	* jm-macros.m4 (jm_MACROS): Don't require AC_FUNC_FTW.
	* lib-check.m4 (jm_LIB_CHECK): Do not set LIB_CRYPT to the
	value, $ac_cv_search_crypt, if it's "none required".
	* posixver.m4 (gl_DEFAULT_POSIX2_VERSION): New macro.
	* prereq.m4 (jm_PREREQ): Require AC_FUNC_GETLOADAVG,
	not gl_FUNC_GETLOADAVG.
	* prereq.m4 (jm_PREREQ): Require gl_READTOKENS, gl_MD5, gl_MAKEPATH,
	gl_LONG_OPTIONS, and gl_IDCACHE, gl_GETUGROUPS.

2004-01-15  Alexandre Duret-Lutz  <adl@gnu.org>

	Merge from coreutils.

	* nanosleep.m4 (jm_FUNC_NANOSLEEP): Do not set LIB_NANOSLEEP to the
	value, $ac_cv_search_nanosleep, if it's "none required".

2003-12-03  Bruno Haible  <bruno@clisp.org>

	* gettext.m4: Upgrade from gettext-0.13.
	* po.m4: Upgrade from gettext-0.13.
	* size_max.m4 (gl_SIZE_MAX): Don't use the _ONCE macros here.
	* intmax.m4: New file, from gettext-0.13.
	* printf-posix.m4: New file, from gettext-0.13.

2003-11-25  Bruno Haible  <bruno@clisp.org>

	* vasnprintf.m4 (gl_PREREQ_PRINTF_PARSE): Don't require
	gt_TYPE_SSIZE_T.

2003-11-17  Bruno Haible  <bruno@clisp.org>

	* vasnprintf.m4 (gl_PREREQ_PRINTF_PARSE): Require gt_TYPE_SSIZE_T.

2003-11-12  Paul Eggert  <eggert@twinsun.com>

	* xalloc.m4 (gl_PREREQ_XALLOC): Do not require gl_SIZE_MAX or
	gl_PTRDIFF_MAX.

2003-11-11  Bruno Haible  <bruno@clisp.org>

	* size_max.m4: New file.
	* ptrdiff_max.m4: New file.
	* xsize,m4 (gl_XSIZE): Require gl_SIZE_MAX.
	* xalloc.m4 (gl_PREREQ_XALLOC): New macro.
	(gl_XALLOC): Invoke it.

2003-11-04  Bruno Haible  <bruno@clisp.org>

	* xsize.m4: New file.

2003-11-03  Bruno Haible  <bruno@clisp.org>

	* wait-process.m4 (gl_WAIT_PROCESS): Also check for waitid.

2003-10-30  Paul Eggert  <eggert@cs.ucla.edu>

	* host-os.m4 (UTILS_HOST_OS): Change netbsd*-gnu pattern back to
	netbsd*-gnu*.  Suggested by Robert Millan.

2003-10-29  Paul Eggert  <eggert@twinsun.com>

	* xalloc.m4 (gl_XALLOC): Undo previous change.

2003-10-29  Paul Eggert  <eggert@twinsun.com>

	* host-os.m4 (UTILS_HOST_OS): Resurrect netbsd*-gnu.  Add comments
	to it, and to knetbsd*-gnu and kfreebsd*-gnu.  Remove the '*' from
	after the 'gnu' in these cases.  This fixes some bugs in the
	previous change, and is based on suggestions by Robert Millan.

2003-10-28  Paul Eggert  <eggert@twinsun.com>

	* host-os.m4 (UTILS_HOST_OS): Identify GNU/KFreeBSD and
	GNU/KNetBSD.  These implementations use glibc atop the FreeBSD and
	NetBSD kernels.  Requested by Richard Stallman.

2003-10-26  Paul Eggert  <eggert@twinsun.com>

	* xalloc.m4 (gl_XALLOC): Requore AC_C_INLINE, since xalloc.h
	now uses inline.

2003-10-23  Paul Eggert  <eggert@twinsun.com>

	* getline.m4 (AM_FUNC_GETLINE):
	Don't include getndelim2.o twice into LIBOBJS; this breaks on some
	hosts.  Problem reported by Derek Robert Price in
	<http://mail.gnu.org/archive/html/bug-gnulib/2003-10/msg00092.html>.
	This patch can be withdrawn after Autoconf 2.58 is required for gnulib.
	* getndelim2.m4 (gl_GETNDELIM2): Likewise.

2003-10-20  Bruno Haible  <bruno@clisp.org>

	* wait-process.m4: New file.

2003-10-14  Bruno Haible  <bruno@clisp.org>

	* sig_atomic_t: New file, from GNU gettext.
	* fatal-signal.m4 (gl_FATAL_SIGNAL): Require gt_TYPE_SIG_ATOMIC_T.

2003-10-12  Paul Eggert  <eggert@twinsun.com>

	* xalloc.m4 (gl_PREREQ_XMALLOC): Require AC_C_INLINE.

2003-10-10  Simon Josefsson  <jas@extundo.com>

	* argp.m4: Add AC_C_INLINE.

2003-10-08  Paul Eggert  <eggert@twinsun.com>

	* getpass.m4 (gl_PREREQ_GETPASS): Check for stdio_ext.h.

2003-10-06  Bruno Haible  <bruno@clisp.org>

	* fatal-signal.m4: New file.
	* signalblocking.m4: New file, from GNU gettext.

2003-09-27  Paul Eggert  <eggert@twinsun.com>

	* free.m4: New file.

2003-09-26  Bruno Haible  <bruno@clisp.org>

	* stpncpy.m4 (gl_FUNC_STPNCPY): Add comments about the AIX stpncpy().
	Don't define stpncpy through config.h; it's now done through stpncpy.h.

2003-09-25  Simon Josefsson  <jas@extundo.com>
	    Bruno Haible  <bruno@clisp.org>

	* getdomainname.m4: New file.

2003-09-17  Paul Eggert  <eggert@twinsun.com>

	* extensions.m4 (gl_USE_SYSTEM_EXTENSIONS): Call AC_BEFORE first,
	to avoid spurious warnings like "AC_RUN_IFELSE was called before
	gl_USE_SYSTEM_EXTENSIONS" from autoreconf.

2003-09-12  Paul Eggert  <eggert@twinsun.com>

	* error.m4: Require AC_FUNC_STRERROR_R rather than invoking it.

	* extensions.m4 (gl_USE_SYSTEM_EXTENSIONS): Require AC_AIX
	and AC_MINIX, too, so that their extensions are available.

	* prereq.m4 (jm_PREREQ_ADDEXT): Remove.  All uses removed.
	This macro has been superseded by gl_BACKUPFILE.

	More patches to assume C89 or better.

	* error.m4 (gl_ERROR): Don't check for vprintf.

	* check-decl.m4 (jm_CHECK_DECLS): Include <string.h>, <stdlib.h>
	unconditionally.
	* closeout.m4 (gl_CLOSEOUT): Don't check for stdlib.h.
	* gettimeofday.m4 (AC_FUNC_GETTIMEOFDAY_CLOBBER):
	Include <string.h>, <stdlib.h> unconditionally.
	* lstat.m4 (gl_PREREQ_LSTAT): Don't check for stdlib.h, free.
	* readdir.m4 (GL_FUNC_READDIR): Don't check for string.h.
	* readutmp.m4 (gl_PREREQ_READUTMP): Don't check for standard C headers
	or for string.h.
	* strtoumax.m4 (gl_PREREQ_STRTOUMAX): Don't check for stdlib.h
	or strtoul.

	* mkstemp.m4 (jm_PREREQ_TEMPNAME): Do not require standard C headers.
	* strdup.m4 (gl_PREREQ_STRDUP): Likewise.
	* userspec.m4 (gl_USERSPEC): Likewise.
	* xalloc.m4 (gl_PREREQ_XMALLOC): Likewise.
	* xstrtod.m4 (gl_XSTRTOD): Likewise.
	* xstrtol.m4 (gl_PREREQ_XSTRTOL): Likewise.
	* strftime.m4 (_jm_STRFTIME_PREREQS): Don't check for limits.h,
	memcpy, memset.
	(jm_FUNC_GNU_STRFTIME): Don't require standard C headers.
	* strtod.m4 (gl_FUNC_STRTOD): Do not check for float.h.
	* strtoimax.m4 (gl_PREREQ_STRTOIMAX): Do not check for stdlib.h, strtol.
	* strtol.m4 (gl_FUNC_STRTOL): Do not check for limits.h.
	* userspec.m4 (gl_USERSPEC): Do not check for string.h.
	* xstrtol.m4 (gl_PREREQ_XSTRTOL): Do not check for string.h, strtol,
	strtoul.

2003-09-11  Paul Eggert  <eggert@twinsun.com>

	More patches to assume C89 or better.
	* strndup.m4 (gl_PREREQ_STRNDUP): Remove STDC_HEADERS check.
	* strnlen.m4 (gl_PREREQ_STRNLEN): Don't check for memory.h,
	string.h, memchr, STDC_HEADERS.

2003-09-10  Bruno Haible  <bruno@clisp.org>

	* strcspn.m4 (gl_PREREQ_STRCSPN): Remove <string.h> check.
	* strpbrk.m4 (gl_PREREQ_STRPBRK): Remove <string.h> check.
	* strstr.m4 (gl_PREREQ_STRSTR): Remove <string.h> check.
	* unicodeio.m4 (gl_UNICODEIO): Remove <string.h> check.
	* setenv.m4 (gl_PREREQ_SETENV, gl_PREREQ_UNSETENV): Remove
	<stdlib.h> and <string.h> checks.
	* xreadlink.m4 (gl_XREADLINK): Remove <stdlib.h> check.
	* yesno.m4 (gl_YESNO): Remove <stdlib.h> check.

2003-09-09  Paul Eggert  <eggert@twinsun.com>

	More patches to assume C89 or better.
	* getcwd.m4 (AC_FUNC_GETCWD_NULL): Don't check for stdlib.h.
	* getopt.m4 (gl_GETOPT): Don't check for string.h.
	* getugroups.m4 (gl_GETUGROUPS): Do not check for standard C headers
	or for string.h.
	* getusershell.m4 (gl_PREREQ_GETUSERSHELL): Do not check for stdlib.h.
	* group-member.m4 (gl_PREREQ_GROUP_MEMBER): Do not require standard C
	headers.
	* hard-locale.m4 (gl_HARD_LOCALE): Do not check for stdlib.h,
	string.h.
	* hash.m4 (gl_HASH): Do not check for stdlib.h, malloc, free.
	* human.m4 (gl_HUMAN): Do not check for stdlib.h, string.h, getenv.
	* idcache.m4 (gl_IDCACHE): Do not check for standard C headers,
	or for string.h.
	* long-options.m4 (gl_LONG_OPTIONS): Do not check for stdlib.h.
	* makepath.m4 (gl_MAKEPATH): Do not check for string.h or standard
	C headers.
	* md5.m4 (gl_MD5): Don't check for limits.h, standard C headers,
	memcpy.
	* sha.m4 (gl_SHA): Don't check for standard Cheaders, memcpy.
	* memchr.m4 (jm_PREREQ_MEMCHR): Don't check for limits.h, stdlib.h.
	* memcmp.m4 (gl_PREREQ_MEMCMP): Don't check for string.h.
	* memcoll.m4 (gl_MEMCOLL): Likewise.
	* memrchr.c (gl_PREREQ_MEMRCHR): Don't check for limits.h.
	* mkdir-slash.m4 (gl_PREREQ_MKDIR): Don't check for stdlib.h,
	string.h, free.
	* mktime.m4 (gl_PREREQ_MKTIME): Don't check for standard C headers.
	* modechange.m4 (gl_MODECHANGE): Don't check for standard C headers.
	* mountlist.m4 (gl_PREREQ_MOUNTLIST_EXTRA): Don't check for standard
	C headers, or for string.h.
	* obstack.m4 (gl_OBSTACK): Don't check for stddefe.h, string.h.
	(gl_PREREQ_OBSTACK): Don't check for stdlib.h.
	* path-concat.m4 (gl_PATH_CONCAT): Don't check for standard C
	headers, memory.h, stdlib.h, string.h, strings.h.
	* posixtm.m4 (gl_POSIXTM): Don't check for stdlib.h, string.h.
	* posixver.m4 (gl_POSIXVER): Don't check for getenv.
	* putenv.m4 (gl_PREREQ_PUTENV): Don't check for string.h, memcpy,
	strchr.
	* readtokens.m4 (gl_READTOKENS): Don't check for standard C
	headers, memory.h, string.h.
	* regex.m4 (jm_PREREQ_REGEX): Do not check for limits.h, string.h.
	* rename.m4 (gl_PREREQ_RENAME): Do not check for stdlib.h, string.h,
	free.
	* rpmatch.m4 (gl_PREREQ_RPMATCH): Don't check for standard C headers.
	* same.m4 (gl_SAME): Don't check for stdlib.h, string.h, free.
	* save-cwd.m4 (gl_SAVE_CWD): Don't check for standard C headers.
	* savedir.m4 (gl_SAVEDIR): Don't check for standard C headers.
	* strchrnul.m4 (gl_PREREQ_STRCHRNUL): Don't check for string.h.
	* xgetcwd.m4 (gl_XGETCWD): Don't check for stdlib.h.

2003-09-09  Derek Robert Price  <derek@ximbiot.com>

	* getndelim2.m4 (gl_PREREQ_GETNDELIM2): Assume stdlib.h per the
	C89 spec.

2003-09-08  Paul Eggert  <eggert@twinsun.com>

	Assume C89 or better; remove K&R cruft.
	* alloca.m4 (gl_PREREQ_ALLOCA): Don't check for stdlib.h, string.h.
	* backupfile.m4 (gl_BACKUPFILE): Don't check for stdlib.h,
	string.h, getenv, malloc.
	* dirname.m4 (gl_DIRNAME): Don't check for string.h or C standard
	headers.
	* canon-host.m4 (gl_CANON_HOST): Don't check for string.h, stdlib.h.
	* error.m4 (jm_PREREQ_ERROR): Do not require STDC headers, and
	do not check for strerror.
	* exclude.m4: Do not check for stdlib.h, string.h, strings.h.
	* exitfail.m4 (gl_EXITFAIL): Do not check for stdlib.h.
	* fatal.m4 (gl_FATAL): Do not require STDC headers, and
	do not check for doprnt or vprintf.
	* fnmatch.m4 (gl_PREREQ_FNMATCH_EXTRA): Remove.  All uses removed.
	* getdate.m4 (gl_GETDATE): Don't check for stdlib.h or string.h.

2003-09-06  Paul Eggert  <eggert@twinsun.com>

	* time_r.m4: New file.
	* mktime.m4 (gl_PREREQ_MKTIME): Remove check for limits.h.
	* timegm.m4 (gl_FUNC_TIMEGM): Assume that timegm is buggy if mktime is.
	Check for timegm declaration.
	(gl_PREREQ_TIMEGM): Require gl_FUNC_MKTIME.
	Do not check for gmtime_r.
	Replace mktime if __mktime_internal does not exist and if mktime
	hasn't been replaced already.

2003-08-31  Simon Josefsson  <jas@extundo.com>

	* timegm.m4: New file.

2003-08-26  Bruno Haible  <bruno@clisp.org>

	* fnmatch.m4 (_AC_LIBOBJ_FNMATCH): Remove AC_DEFINE of fnmatch here.
	This avoids havoc on compilers for which '#define fnmatch rpl_fnmatch'
	followed by '#define fnmatch fnmatch_posix' gives an error.

2003-08-27  Jim Meyering  <jim@meyering.net>

	* mkstemp.m4: Require that the system mkstemp be able to create
	70 temporary files, not just 30.  Tru64 V4.0F's mkstemp function
	would fail after 32.  Reported by Danny Levinson.  Details here:
	http://mail.gnu.org/archive/html/bug-coreutils/2003-08/msg00124.html

2003-08-20  Karl Berry  <karl@gnu.org>

	* lib-ld.m4: serial 1003 from gettext, no changes besides serial.

2003-08-19  Jim Meyering  <jim@meyering.net>

	* lib-ld.m4: Revert yesterday's change, per Bruno's request here:
	http://mail.gnu.org/archive/html/bug-gnulib/2003-08/msg00155.html

2003-08-19  Bruno Haible  <bruno@clisp.org>

	* xalloc.m4 (gl_PREREQ_XSTRDUP): Don't check for <string.h> any more.

2003-08-18  Jim Meyering  <jim@meyering.net>

	* getloadavg.m4: Use [\t ], not [ \t] (where \t is a literal TAB).
	* lib-ld.m4: Likewise.

2003-08-17  Simon Josefsson  <jas@extundo.com>

	* argp.m4: New file.

2003-08-17  Simon Josefsson  <jas@extundo.com>

	* xstrndup.m4: New file.

2003-08-16  Jim Meyering  <jim@meyering.net>

	* utimes.m4 (gl_FUNC_UTIMES): New file.
	* utimes.m4: Removed.
	* utimes-null.m4: Renamed from utimes.m4.

	* c-stack.m4 (AC_SYS_XSI_STACK_OVERFLOW_HEURISTIC): Limit stack size
	to 1MB, so as not to render systems with no stack size limit (e.g.,
	linux-2.2.x) unusable.  Suggestion and code from Bruno Haible.
	Include <unistd.h>.  On some systems,
	it is required for the definition of _SC_PAGESIZE.

2003-08-16  Paul Eggert  <eggert@twinsun.com>

	Merges from coreutils, etc.
	* rpmatch.m4 (gl_PREREQ_RPMATCH): Insert ':' to prevent a syntax
	error in gl_FUNC_MATCH.  This fixes a bug I introduced on 2003-05-28.
	* readlink.m4 (gl_PREREQ_READLINK): Renamed from gl_PREREQ_READLINE,
	fixing a typo.
	* host-os.m4 (UTILS_HOST_OS): Add GNU/NetBSD, GNU/FreeBSD.
	* hash.m4 (gl_HASH): Use AM_STDBOOL_H, not AC_HEADER_STDBOOL.

2003-08-16  Jim Meyering  <jim@meyering.net>
	and Paul Eggert  <eggert@cs.ucla.edu>

	Merges from coreutils, etc.

	* jm-macros.m4 (AC_LANG_SOURCE(C)): New macro, undefine, then define
	using the latest version from cvs.  This avoids problems with #line
	directives using a vendor (Sun) compiler.
	(jm_MACROS): Bump prerequisite from 2.52g to 2.57.
	Don't set GETGROUPS_LIB here; now it's
	done via getgroups.m4's wrapper function.
	AC_SUBST OPTIONAL_BIN_PROGS, OPTIONAL_BIN_ZCRIPTS, and MAN here,
	rather than just in sh-util/configure.in, so that the
	now-shared-by-fileutils-and-textutils lib/Makefile.am are all the
	same.
	Use AC_CONFIG_LIBOBJ_DIR(lib) to tell the new
	AC_FUNC_GETLOADAVG where to find getloadavg.c.
	Require AC_FUNC_FTW, gt_INTTYPES_PRI, gl_CLOCK_TIME,
	UTILS_SYS_OPEN_MAX, GL_FUNC_GETCWD_PATH_MAX, GL_FUNC_READDIR,
	gl_FSUSAGE, gl_MOUNTLIST, AC_FUNC_CANONICALIZE_FILE_NAME.
	Remove code that is now done by the newly-required macros.
	Append $(EXEEXT) to DF_PROG.
	AC_LIBOBJ fchdir-stub if fchdir doesn't exist; similarly for fchown.
	Do not invoke or require the following here,
	since prereq.m4 or some gnulib .m4 now does this for us:
	gl_REGEX, UTILS_FUNC_MKDIR_TRAILING_SLASH, jm_BISON, gl_FUNC_MKTIME,
	jm_FUNC_LSTAT, jm_FUNC_STAT, jm_FUNC_REALLOC, jm_FUNC_MALLOC,
	jm_FUNC_NANOSLEEP, jm_FUNC_READDIR, jm_FUNC_MEMCMP,
	jm_FUNC_GLIBC_UNLOCKED_IO, AC_FUNC_FNMATCH_GNU, jm_FUNC_PUTENV,
	jm_AC_PREREQ_XSTRTOUMAX, jm_AC_PREREQ_XSTRTOIMAX,
	AC_FUNC_ERROR_AT_LINE, jm_FUNC_GNU_STRFTIME, AC_FUNC_VPRINTF,
	vb_FUNC_RENAME, UTILS_FUNC_MKSTEP, jm_FUNC_UTIME, AM_FUNC_GETLINE,
	AC_FUNC_OBSTACK.
	Do not replace the following functions, as this is now the job
	of some gnulib .m4: strcasecmp, strncasecmp, dup2, gethostname,
	getusershell, sig2str, strcspn, stpcpy, strstr, strtol, strtoul
	strpbrk, euidaccess, memcmp, rmdir, rpmatch, strndup, strverscmp,
	atexit getpass, strdup, getpagesize.
	Replace 'raise'.
	Do not check for the following functions, as this is now the job
	of some gnulib .m4: bcopy, canonicalize_file_name, fchdir, ftime,
	getcwd, getmntinfo, resolvepath.  But check for sysctl, setreuid,
	setregid.
	(jm_CHECK_ALL_HEADERS): Do not check for fenv.h.
	Check for sys/sysctl.h.
	(jm_CHECK_ALL_TYPES): Do not require AC_STRUCT_TM, AC_STRUCT_TIMEZONE,
	jm_CHECK_TYPE_STRUCT_TIMESPEC.  Invoke gt_TYPE_SSIZE_T instead
	of checking for ssize_t ourselves.

	* prereq.m4 (jm_PREREQ): Don't invoke macros; AC_REQUIRE them.
	Require every macro that gnulib/modules/* suggests for us.
	(jm_PREREQ_ADDEXT): New macro.
	(jm_PREREQ_STAT): Check for 'struct statfs' on Ultrix 4.4.
	Require jm_AC_TYPE_LONG_LONG instead of invoking it.

	* physmem.m4 (gl_SYS__SYSTEM_CONFIGURATION): New macro.
	(gl_PHYSMEM): Use it.
	Also check for `table' function.
	Check for new headers and functions.
	Add check for sys/sysmp.h.
	With suggestions from Kaveh Ghazi.
	Ignore headers that are present but cannot be compiled.  This
	avoids spurious warnings on Solaris 9 sparc with Forte Developer 7
	C 5.4.

2003-08-16  Jim Meyering  <jim@meyering.net>

	Merges from coreutils.
	* readdir.m4 (GL_FUNC_READDIR): Change name to have GL_ (not jm_)
	prefix.  Adjust cache variables similarly.  Create 500 rather than
	just 300 files, to exercise bug on Darwin6.5, too.
	* perl.m4 (jm_PERL): Use $am_missing_run, not undefined $missing_dir.
	* jm-winsz1.m4: Require AC_SYS_POSIX_TERMIOS, not AM_SYS_POSIX_TERMIOS.
	Reported by mkc@mathdogs.com.
	Also change use of $am_cv_sys_posix_termios
	to $ac_cv_sys_posix_termios.  Reported by Andreas Schwab.
	* getgroups.m4 (jm_FUNC_GETGROUPS): Rewrite to use AC_FUNC_GETGROUPS
	and (if needed) to call AC_LIBOBJ and to set GETGROUPS_LIB.
	* fsusage.m4 [__GLIBC__]: GNU libc's statvfs stats each mount point in
	/proc/mounts until it finds one with matching device number.  This is
	unnecessary when the FILE argument *is* a mount point.  No stat call
	is necessary in that case.  So, disable the statvfs-testing code on
	systems with GNU libc.  Reported by Andrei Gaponenko via Tim Waugh
	as RedHat bug# 84846.
	* c-stack.m4 (AC_SYS_XSI_STACK_OVERFLOW_HEURISTIC): Limit stack size
	to 1MB, so as not to render systems with no stack size limit (e.g.,
	linux-2.2.x) unusable.  Suggestion and code from Bruno Haible.
	Include <unistd.h>.  On some systems,
	it is required for the definition of _SC_PAGESIZE.

2003-08-15  Jim Meyering  <jim@meyering.net>
	and Paul Eggert  <eggert@cs.ucla.edu>

	Merges from coreutils, etc.
	* strftime.m4 (_jm_STRFTIME_PREREQS):
	Require gl_FUNC_TZSET_CLOBBER.
	* readutmp.m4 (gl_READUTMP): Check for ut_exit.ut_exit, ut_exit.e_exit,
	ut_exit.ut_termination, and ut_exit.e_termination members.

2003-08-14  Paul Eggert  <eggert@twinsun.com>

	Help the merge from coreutils.
	* gettimeofday.m4 (gl_GETTIMEOFDAY_REPLACE_LOCALTIME): New macro.
	(AC_FUNC_GETTIMEOFDAY_CLOBBER): Use it.
	* tzset.m4: Use it too.

2003-08-14  Jim Meyering  <jim@meyering.net>

	Merge from coreutils.
	* tzset.m4: New file.
	* ls-mntd-fs.m4 (jm_LIST_MOUNTED_FILESYSTEMS): Move the MOUNTED_VMOUNT
	test to precede the MOUNTED_GETMNTENT1 tests, since otherwise, AIX 5.1
	systems would end up using the latter.  MOUNTED_GETMNTENT1 support
	is inadequate on such systems: 1) detecting whether a file system
	is remote doesn't work  2) the MOUNTED_VMOUNT code reports the
	HOSTNAME:/MOUNT_POINT, while the MOUNTED_GETMNTENT1 code reports
	merely /MOUNT_POINT.  Reported by Mike Jetzer.

2003-08-13  Paul Eggert  <eggert@twinsun.com>

	* exclude.m4 (gl_EXCLUDE): Require AC_C_INLINE, AC_HEADER_STDC.
	Check for isascii.

	* gettext.m4, iconv.m4, intdiv0.m4, inttypes-pri.m4, lib-link.m4,
	lib-prefix.m4, longdouble.m4, po.m4, progtest.m4, signed.m4:
	Undo previous (whitespace-only) change.

2003-08-12  Paul Eggert  <eggert@twinsun.com>

	* gettext.m4, iconv.m4, intdiv0.m4, inttypes-pri.m4, lib-link.m4,
	lib-prefix.m4, longdouble.m4, po.m4, progtest.m4, signed.m4:
	Normalize leading white space and remove trailing white space.

	Merge from coreutils
	* euidaccess.m4 (gl_FUNC_EUIDACCESS): Check for euidaccess decl.

	* lib-ld.m4, lib-link.m4, lib-prefix.m4: Regenerate from gettext
	0.12.1.  These files are now being upgraded automatically by
	../config/srclist-update.

2003-08-11  Bruno Haible  <bruno@clisp.org>

	* vasnprintf.m4 (gl_PREREQ_VASNPRINTF): Also check for wcslen.

2003-08-09  Paul Eggert  <eggert@twinsun.com>

	* regex.m4 (jm_INCLUDED_REGEX): Change "\201" to "\371";
	apparently Emacs's Unicode mode got confused before my 2003-08-05
	checkin.

2003-08-08  Paul Eggert  <eggert@twinsun.com>

	* extensions.m4: New file.
	* timespec.m4 (jm_CHECK_TYPE_STRUCT_TIMESPEC):
	Require gl_USE_SYSTEM_EXTENSIONS.
	* unlocked-io.m4 (jm_FUNC_GLIBC_UNLOCKED_IO):
	Require gl_USE_SYSTEM_EXTENSIONS rather than AC_GNU_SOURCE.

2003-08-07  Paul Eggert  <eggert@twinsun.com>

	* restrict.m4: New file.
	* regex.m4 (jm_PREREQ_REGEX): Add gl_C_RESTRICT.

2003-08-07  Bruno Haible  <bruno@clisp.org>

	* getndelim2.m4 (gl_GETNDELIM2): Use AC_LIBOBJ(getndelim2). This makes
	the module 'getndelim2' compatible with the module 'getline'.

2003-08-05  Paul Eggert  <eggert@twinsun.com>

	* regex.m4 (jm_INCLUDED_REGEX): Replace a single non-ASCII
	byte with "\201" to avoid glitches when editing that source file
	with multi-gnome-terminal.

2003-07-31  Bruno Haible  <bruno@clisp.org>

	* getpass.m4 (gl_FUNC_GETPASS_GNU): New macro.

2003-07-18  Bruno Haible  <bruno@clisp.org>

	* getndelim2.m4: New file.
	* getline.m4 (AM_FUNC_GETLINE): Add AC_LIBOBJ of getndelim2.c and
	invoke gl_PREREQ_GETNDELIM2.
	(gl_PREREQ_GETLINE): Drop AC_HEADER_STDC, now done by
	gl_PREREQ_GETNDELIM2.
	* getnline.m4 (gl_GETNLINE): Drop AC_HEADER_STDC, now done by
	gl_GETNDELIM2.

2003-07-17  Bruno Haible  <bruno@clisp.org>

	* Makefile.am.in: Remove file.
	* Makefile.am: Remove file.
	* Makefile.in: Remove file.

2003-07-17  Bruno Haible  <bruno@clisp.org>

	* getnline.m4: New file.

2003-07-14  Simon Josefsson  <jas@extundo.com>

	* mempcpy.m4: New file.

2003-07-10  Jim Meyering  <jim@meyering.net>

	* clock_time.m4: Remove trailing blank.
	* intmax_t.m4: Likewise.

2003-07-01  Paul Eggert  <eggert@twinsun.com>

	* xreadlink.m4 (gl_XREADLINK): Don't check for sys/types.h, since
	xreadlink.c now includes it unconditionally.

2003-07-01  Bruno Haible  <bruno@clisp.org>

	* ssize_t.m4 (gt_TYPE_SSIZE_T): Don't include <unistd.h>. <sys/types.h>
	should be sufficient.
	Reported by Paul Eggert.

2003-06-25  Bruno Haible  <bruno@clisp.org>

	* readlink.m4: New file.

2003-06-22  Bruno Haible  <bruno@clisp.org>

	Portability to mingw32.
	* ssize_t.m4: New file, from GNU gettext.
	* safe-read.m4 (gl_PREREQ_SAFE_READ): Require gt_TYPE_SSIZE_T.
	* xreadlink.m4 (gl_XREADLINK): Require gt_TYPE_SSIZE_T.

2003-06-11  Bruno Haible  <bruno@clisp.org>

	* sysexits.m4: New file.

2003-06-10  Simon Josefsson  <jas@extundo.com>

	* strchrnul.m4: New file.

2003-06-07  Bruno Haible  <bruno@clisp.org>

	* fnmatch.m4 (_AC_LIBOBJ_FNMATCH, gl_FUNC_FNMATCH_POSIX,
	gl_FUNC_FNMATCH_GNU): Set FNMATCH_H instead of invoking
	AC_CONFIG_LINKS. Needed to allow for a different name of the lib
	directory.
	* poll.m4 (gl_FUNC_POLL): Set POLL_H instead of invoking
	AC_CONFIG_LINKS. Needed to allow for a different name of the lib
	directory.

2003-06-04  Paul Eggert  <eggert@twinsun.com>

	* human.m4 (gl_HUMAN): Require AM_STDBOOL_H.  Check for
	locale.h, localeconv.  This merges changes from coreutils.

	* mktime.m4 (AC_FUNC_MKTIME): New macro, taken from Autoconf CVS.
	It can be removed after the next Autoconf is released.
	* exclude.m4 (gl_EXCLUDE): Don't check for sys/types.h; no loner
	needed.

2003-05-30  Bruno Haible  <bruno@clisp.org>

	* gettext.m4: Upgrade to gettext-0.12.1.
	* nls.m4: New file, from gettext-0.12.1.
	* po.m4: New file, from gettext-0.12.1.
	* progtest.m4: Upgrade to gettext-0.12.1.

2003-05-28  Paul Eggert  <eggert@twinsun.com>

	Assume the headers required for C89 freestanding compilers.
	* backupfile.m4 (gl_BACKUPFILE): Don't check for limits.h.
	* fsusage.m4 (gl_PREREQ_FSUSAGE_EXTRA): Likewise.
	* human.m4 (gl_HUMAN): Likewise.
	* pathmax.m4 (gl_PATHMAX): Likewise.
	* rpmatch.m4 (gl_FUNC_RPMATCH): Likewise.
	* userspec.m4 (gl_USERSPEC): Likewise.
	* xreadlink.m4 (gl_XREADLINK): Likewise.
	* xstrtol.m4 (gl_PREREQ_XSTRTOL): Likewise.
	* quote.m4 (gl_QUOTE): Don't check for stddef.h.

2003-05-26  Jim Meyering  <jim@meyering.net>

	Merge in a change from coreutils:
	* dirfd.m4 (UTILS_FUNC_DIRFD): Test the cache variable, not one
	that is guaranteed to be `no'.  Use `no_such_member' to indicate
	that condition, rather than `-1' which is slightly misleading.
	Change the name of the cache variable to have the gl_ prefix.
	Prompted by a patch from Richard Dawe for DJGPP.

2003-05-17  Bruno Haible  <bruno@clisp.org>

	* dirfd.m4 (UTILS_FUNC_DIRFD): Fix a quoting bug leading to an invalid
	expansion for AC_EGREP_CPP.
	* strtoimax.m4 (gl_FUNC_STRTOIMAX): Likewise.
	* strtoumax.m4 (gl_FUNC_STRTOUMAX): Likewise.
	Suggested by Akim Demaille <akim@epita.fr> in
	http://mail.gnu.org/archive/html/bug-autoconf/2003-05/threads.html

2003-04-21  Paul Eggert  <eggert@twinsun.com>

	* error.m4 (gl_ERROR): Do not put under dynamic conditions some
	code which expansion is under static control.  Patch imported from
	Akim Demaille's patch to Bison; see
	<http://mail.gnu.org/archive/html/bison-patches/2003-03/msg00057.html>.

2003-04-14  Bruno Haible  <bruno@clisp.org>

	* error.m4 (jm_PREREQ_ERROR): Use AC_FUNC_VPRINTF.

2003-04-10  Bruno Haible  <bruno@clisp.org>

	* findprog.m4: New file.
	* eaccess.m4: New file.

2003-04-04  Bruno Haible  <bruno@clisp.org>

	* linebreak.m4: New file.

2003-04-03  Bruno Haible  <bruno@clisp.org>

	* utf-ucs4.m4: New file.
	* ucs4-utf.m4: New file.

2003-03-30  Bruno Haible  <bruno@clisp.org>

	* copy-file.m4 (gl_COPY_FILE): Add check for chown().

2003-03-28  Bruno Haible  <bruno@clisp.org>

	* copy-file.m4: New file.

2003-03-18  Bruno Haible  <bruno@clisp.org>

	* onceonly.m4: Use m4_defn instead of defn, for better error checking.
	* onceonly_2_57.m4: Likewise.

2003-03-17  Bruno Haible  <bruno@clisp.org>

	* onceonly.m4: Require autoconf 2.54 or newer.
	(m4_quote): Remove macro.
	* onceonly_2_57.m4: Require autoconf 2.54 or newer.

2003-03-14  Bruno Haible  <bruno@clisp.org>

	* onceonly_2_57.m4 (AC_CHECK_HEADERS_ONCE, AC_CHECK_FUNCS_ONCE,
	AC_CHECK_DECLS_ONCE): Quote AC_FOREACH variable-expansions properly.

2003-03-13  Paul Eggert  <eggert@twinsun.com>

	* onceonly.m4 (m4_quote): New macro.
	(AC_CHECK_HEADERS_ONCE, AC_CHECK_FUNCS_ONCE, AC_CHECK_DECLS_ONCE):
	Quote AC_FOREACH variable-expansions properly.

2003-02-19  Paolo Bonzini  <bonzini@gnu.org>

	* poll.m4: New file.

2003-02-18  Paolo Bonzini  <bonzini@gnu.org>

	* mathl.m4: New file.

2003-02-17  Bruno Haible  <bruno@clisp.org>

	* mkdtemp.m4: New file, from GNU gettext with modifications.

2003-02-02  Jim Meyering  <jim@meyering.net>

	* regex.m4 (jm_INCLUDED_REGEX): Detect broken re_search in
	e.g. glibc-2.2.93.

2003-01-31  Bruno Haible  <bruno@clisp.org>

	* rename.m4 (vb_FUNC_RENAME): Add a redirection from 'rename' to
	'rpl_rename'.
	* strnlen.m4 (gl_FUNC_STRNLEN): Add a redirection from 'strnlen' to
	'rpl_strnlen'.
	* strtod.m4 (gl_FUNC_STRTOD): Add a redirection from 'strtod' to
	'rpl_strtod'.
	* utime.m4 (jm_FUNC_UTIME): Add a redirection from 'utime' to
	'rpl_utime'.

2003-01-30  Bruno Haible  <bruno@clisp.org>

	* signed.m4: New file, from GNU gettext.
	* longdouble.m4: New file, from GNU gettext.
	* wchar_t.m4: New file, from GNU gettext.
	* wint_t.m4: New file, from GNU gettext.
	* vasnprintf.m4: New file.
	* vasprintf.m4: New file.

2003-01-29  Bruno Haible  <bruno@clisp.org>

	* stpncpy.m4: New file.

2003-01-23  Jim Meyering  <jim@meyering.net>

	* dirfd.m4 (UTILS_FUNC_DIRFD): Correct typo: s/-1/no/ that kept this
	from working on systems without dirfd (at least Irix and OSF1/Tru64).

2003-01-16  Jim Meyering  <jim@meyering.net>

	* regex.m4: The `regex' struct is both input and output.
	Initialize it before each use.  Patch by Tim Waugh.

2003-01-11  Bruno Haible  <bruno@clisp.org>

	* longlong.m4 (jm_AC_TYPE_LONG_LONG): Also test the LL suffix.
	* ulonglong.m4 (jm_AC_TYPE_UNSIGNED_LONG_LONG): Also test the ULL
	suffix.

2003-01-11  Bruno Haible  <bruno@clisp.org>

	* md5.m4 (gl_MD5): Require AC_C_INLINE.

2003-01-11  Bruno Haible  <bruno@clisp.org>

	* alloca.m4 (gl_FUNC_ALLOCA): Invoke AC_EGREP_CPP prerequisites.

2003-01-12  Paul Eggert  <eggert@twinsun.com>

	Finish renaming getstr -> getdelim2 and readline -> readlinebuffer,
	to avoid collisions with libcurses and libreadline.

	* getstr.m4: Remove.
	* getline.m4 (gl_PREREQ_GETLINE): Require AC_HEADER_STDC.

2003-01-10  Bruno Haible  <bruno@clisp.org>

	* alloca.m4 (gl_FUNC_ALLOCA): Also define ALLOCA_H.

2003-01-09  Bruno Haible  <bruno@clisp.org>

	* stdbool.m4 (AM_STDBOOL_H): New macro.

2002-12-31  Paul Eggert  <eggert@twinsun.com>

	* memcoll.m4 (gl_MEMCOLL): Require AC_FUNC_MEMCMP.

2002-12-24  Bruno Haible  <bruno@clisp.org>

	General infrasructure.
	* README: Rewritten.
	* onceonly.m4: New file.
	* onceonly_2_57.m4: New file.

	Module atexit.
	* atexit.m4: New file.

	Module strtod.
	* strtod.m4: New file.

	Module strtol.
	* strtol.m4: New file.

	Module strtoul.
	* strtoul.m4: New file.

	Module memchr.
	* memchr.m4: New file.

	Module memcmp.
	* memcmp.m4 (gl_PREREQ_MEMCMP): New macro.
	(jm_FUNC_MEMCMP): Invoke it.

	Module memcpy.
	* memcpy.m4: New file.

	Module memmove.
	* memmove.m4: New file.

	Module memset.
	* memset.m4: New file.

	Module strcspn.
	* strcspn.m4: New file.

	Module strpbrk.
	* strpbrk.m4: New file.

	Module strstr.
	* strstr.m4: New file.

	Module strerror.
	* strerror.m4: New file.

	Module mktime.
	* mktime.m4: Renamed from jm-mktime.m4.
	(gl_PREREQ_MKTIME): New macro.
	(gl_FUNC_MKTIME): Renamed from jm_FUNC_MKTIME. Invoke gl_PREREQ_MKTIME.

	Module malloc.
	* malloc.m4 (gl_PREREQ_MALLOC): New macro.
	(jm_FUNC_MALLOC): Use AC_FUNC_MALLOC. Invoke gl_PREREQ_MALLOC.
	Don't define HAVE_DONE_WORKING_MALLOC_CHECK, since nothing uses it.

	Module realloc.
	* realloc.m4 (gl_PREREQ_REALLOC): New macro.
	(jm_FUNC_REALLOC): Use AC_FUNC_REALLOC. Invoke gl_PREREQ_REALLOC.
	Don't define HAVE_DONE_WORKING_REALLOC_CHECK, since nothing uses it.

	Module strftime.
	* tm_gmtoff.m4: New file, extracted from strftime.m4.
	* strftime.m4 (_jm_STRFTIME_PREREQS): Use AC_FUNC_STRFTIME.
	Don't test for bcopy (we are not emacs). Invoke AC_TYPE_MBSTATE_T and
	gl_TM_GMTOFF.
	(_jm_STRFTIME_PREREQS, jm_FUNC_GNU_STRFTIME): Use onceonly macros.

	Module xalloc.
	* xalloc.m4: New file.

	Module alloca.
	* alloca.m4: New file.

	Module putenv.
	* putenv.m4 (gl_PREREQ_PUTENV): New macro.
	(jm_FUNC_PUTENV): Invoke it.

	Module setenv.
	* setenv.m4 (gt_FUNC_SETENV): New macro.
	(gt_CHECK_VAR_DECL): Fix quoting error that led to infinite loop in m4
	when invoked twice.
	(gt_PREREQ_SETENV, gt_PREREQ_UNSETENV): New macros, replacing old
	gt_FUNC_SETENV.

	Module memrchr.
	* memrchr.m4: New file.

	Module stpcpy.
	* stpcpy.m4: New file.

	Module strcase.
	* strcase.m4: New file.

	Module strdup.
	* strdup.m4: New file.

	Module strnlen.
	* strnlen.m4: New file.

	Module strndup.
	* strndup.m4: New file.

	Module xstrtod.
	* xstrtod.m4: New file.

	Module xstrtol.
	* xstrtol.m4: New file.

	Module getdate.
	* getdate.m4: New file.

	Module unlocked-io.
	* unlocked-io.m4: Renamed from jm-glibc-io.m4.
	(jm_FUNC_GLIBC_UNLOCKED_IO): Invoke AC_GNU_SOURCE. Use onceonly macros.
	* jm-glibc-io.m4n: Remove file.

	Module long-options.
	* long-options.m4: New file.

	Module md5.
	* md5.m4: New file.

	Module sha.
	* sha.m4: New file.

	Module getstr.
	* getstr.m4: New file.

	Module getline.
	* getline.m4 (gl_PREREQ_GETLINE): New macro.
	(AM_FUNC_GETLINE): Invoke AC_GNU_SOURCE. Use <stdlib.h>, not
	<sys/types.h>, for size_t. Use the function name gnu_getline, not
	simply getline. Infoke gl_PREREQ_GETLINE.

	Module obstack.
	* obstack.m4: New file.

	Module hash.
	* hash.m4: New file.

	Module readtokens.
	* readtokens.m4: New file.

	Module strverscmp.
	* strverscmp.m4: New file.

	Module stdbool.
	* stdbool.m4 (AC_HEADER_STDBOOL): Add test for _Bool. Needed for OSF/1.

	Module strtoll.
	* strtoll.m4: New file.

	Module strtoull.
	* strtoull.m4: New file.

	Module strtoimax.
	* strtoimax.m4: New file.

	Module strtoumax.
	* strtoumax.m4: New file.

	Module xstrtoimax.
	* xstrtoimax.m4 (jm_XSTRTOIMAX): Renamed from jm_AC_PREREQ_XSTRTOIMAX.
	Moved the strtol prerequisites to strtol.m4.
	Moved the strtoll prerequisites to strtoll.m4.
	Moved the strtoimax prerequisites to strtoimax.m4.

	Module xstrtoumax.
	* xstrtoumax.m4 (jm_XSTRTOUMAX): Renamed from jm_AC_PREREQ_XSTRTOUMAX.
	Moved the strtoul prerequisites to strtoul.m4.
	Moved the strtoull prerequisites to strtoull.m4.
	Moved the strtoumax prerequisites to strtoumax.m4.

	Module chown.
	* chown.m4 (gl_PREREQ_CHOWN): New macro.
	(jm_FUNC_CHOWN): Use AC_FUNC_CHOWN. Invoke gl_PREREQ_CHOWN.

	Module dup2.
	* dup2.m4: New file.

	Module ftruncate.
	* ftruncate.m4 (gl_PREREQ_FTRUNCATE): New macro.
	(jm_FUNC_FTRUNCATE): Use AC_REPLACE_FUNCS. Invoke gl_PREREQ_FTRUNCATE.

	Module getgroups.
	* getgroups.m4 (gl_PREREQ_GETGROUPS): New macro.
	(jm_FUNC_GETGROUPS): Use AC_FUNC_GETGROUPS. Invoke gl_PREREQ_GETGROUPS.

	Module gettimeofday.
	* gettimeofday.m4 (gl_PREREQ_GETTIMEOFDAY): New macro.
	(AC_FUNC_GETTIMEOFDAY_CLOBBER): Use onceonly macros. Invoke
	gl_PREREQ_GETTIMEOFDAY.

	Module mkdir.
	* mkdir-slash.m4 (gl_PREREQ_MKDIR): New macro.
	(UTILS_FUNC_MKDIR_TRAILING_SLASH): Invoke gl_PREREQ_MKDIR.

	Module mkstemp.
	* mkstemp.m4 (gl_PREREQ_MKSTEMP): New macro.
	(jm_PREREQ_TEMPNAME): New macro, from prereq.m4. Also invoke
	jm_AC_TYPE_UINTMAX_T.
	(UTILS_FUNC_MKSTEMP): Invoke gl_PREREQ_MKSTEMP and jm_PREREQ_TEMPNAME.

	Module stat.
	* stat.m4 (gl_PREREQ_STAT): New macro.
	(jm_FUNC_STAT): Use AC_FUNC_STAT. Invoke gl_PREREQ_STAT.

	Module lstat.
	* lstat.m4 (gl_PREREQ_LSTAT): New macro.
	(jm_FUNC_LSTAT): Use AC_FUNC_LSTAT. Invoke gl_PREREQ_LSTAT.

	Module timespec.
	* timespec.m4 (gl_TIMESPEC): New macro.
	(jm_CHECK_TYPE_STRUCT_TIMESPEC): Add check for <sys/time.h>.
	* st_mtim.m4: Indentation.

	Module nanosleep.
	* nanosleep.m4 (gl_PREREQ_NANOSLEEP): New macro.
	(jm_FUNC_NANOSLEEP): Add check for <sys/time.h>. Invoke
	gl_PREREQ_NANOSLEEP.

	Module regex.
	* regex.m4 (jm_PREREQ_REGEX): New macro.
	(jm_INCLUDED_REGEX): Invoke jm_PREREQ_REGEX.
	(gl_REGEX): New macro.

	Module rename.
	* rename.m4 (gl_PREREQ_RENAME): New macro.
	(vb_FUNC_RENAME): Invoke gl_PREREQ_RENAME.

	Module rmdir.
	* rmdir.m4: New file.

	Module utime.
	* utimbuf.m4 (jm_CHECK_TYPE_STRUCT_UTIMBUF): Use onceonly macros.
	* utime.m4 (gl_PREREQ_UTIME): New macro.
	(jm_FUNC_UTIME): Invoke gl_PREREQ_UTIME.

	Module dirname.
	* dirname.m4: New file.

	Module getopt.
	* getopt.m4: New file.

	Module unistd-safer.
	* unistd-safer.m4: New file.

	Module fnmatch.
	* fnmatch.m4 (_AC_FUNC_FNMATCH_IF): Include <stdlib.h>, for exit()
	declaration.
	(gl_PREREQ_FNMATCH_EXTRA): New macro.
	(gl_FUNC_FNMATCH_POSIX): New macro.
	(gl_FUNC_FNMATCH_GNU): Renamed from AC_FUNC_FNMATCH_GNU. Invoke
	gl_PREREQ_FNMATCH_EXTRA. Use the function name gnu_fnmatch, not
	simply fnmatch.

	Module exclude.
	* exclude.m4: New file.

	Module human.
	* human.m4: New file.

	Module acl.
	* acl.m4: Nop.

	Module backupfile.
	* backupfile.m4: New file.
	* d-ino.m4: Indentation.

	Module fsusage.
	* fsusage.m4 (gl_FSUSAGE): New macro.
	(jm_STATFS_TRUNCATES): New macro, from coreutils-4.5.4/configure.ac.
	(gl_PREREQ_FSUSAGE_EXTRA): New macro.

	Module dirfd.
	* dirfd.m4 (UTILS_FUNC_DIRFD): Invoke some AC_EGREP_CPP requirements.

	Module euidaccess.
	* euidaccess.m4: New file.

	Module file-type.
	* file-type.m4: New file.

	Module fileblocks.
	* fileblocks.m4: New file.

	Module filemode.
	* filemode.m4: New file.

	Module isdir.
	* isdir.m4: New file.

	Module lchown.
	* lchown.m4 (gl_PREREQ_LCHOWN): New macro.
	(jm_FUNC_LCHOWN): Invoke gl_PREREQ_LCHOWN.

	Module makepath.
	* makepath.m4: New file.

	Module modechange.
	* modechange.m4: New file.

	Module mountlist.
	* mountlist.m4: New file.
	* ls-mntd-fs.m4 (jm_LIST_MOUNTED_FILESYSTEMS): Use onceonly macros.
	Indentation.

	Module path-concat.
	* path-concat.m4: New file.

	Module pathmax.
	* pathmax.m4: New file.

	Module same.
	* same.m4: New file.

	Module save-cwd.
	* save-cwd.m4: New file.

	Module savedir.
	* savedir.m4: New file.

	Module xgetcwd.
	* xgetcwd.m4: New file.
	* getcwd.m4 (AC_FUNC_GETCWD_NULL): Use onceonly macros.

	Module xreadlink.
	* xreadlink.m4: New file.

	Module safe-read.
	* safe-read.m4: New file.

	Module safe-write.
	* safe-write.m4: New file.

	Module closeout.
	* closeout.m4: New file.

	Module stdio-safer.
	* stdio-safer.m4: New file.

	Module getpass.
	* getpass.m4: New file.

	Module getugroups.
	* getugroups.m4: New file.

	Module group-member.
	* group-member.m4 (gl_PREREQ_GROUP_MEMBER): New macro.
	(jm_FUNC_GROUP_MEMBER): Invoke AC_GNU_SOURCE, gl_PREREQ_GROUP_MEMBER.

	Module idcache.
	* idcache.m4: New file.

	Module userspec.
	* userspec.m4: New file.

	Module gettime.
	* clock_time.m4: New file.
	* gettime.m4: New file.

	Module settime.
	* settime.m4: New file.

	Module posixtm.
	* posixtm.m4: New file.

	Module gethostname.
	* gethostname.m4: New file.

	Module canon-host.
	* canon-host.m4: New file.

	Module gettext.
	* codeset.m4: New file, from gettext-0.11.5.
	* gettext.m4: New file, from gettext-0.11.5.
	* glibc21.m4: New file, from gettext-0.11.5.
	* iconv.m4: New file, from gettext-0.11.5.
	* intdiv0.m4: New file, from gettext-0.11.5.
	* inttypes-pri.m4: New file, from gettext-0.11.5.
	* inttypes.m4: New file, from gettext-0.11.5.
	* inttypes_h.m4: New file, from gettext-0.11.5 with modifications.
	* isc-posix.m4: New file, from gettext-0.11.5.
	* lcmessage.m4: New file, from gettext-0.11.5.
	* lib-ld.m4: New file, from gettext-0.11.5.
	* lib-link.m4: New file, from gettext-0.11.5.
	* lib-prefix.m4: New file, from gettext-0.11.5.
	* progtest.m4: New file, from gettext-0.11.5.
	* stdint_h.m4: New file, from gettext-0.11.5 with modifications.
	* uintmax_t.m4: New file, from gettext-0.11.5 with modifications.
	* ulonglong.m4: New file, from gettext-0.11.5 with modifications.

	Module localcharset.
	* localcharset.m4: New file.

	Module hard-locale.
	* hard-locale.m4: New file.

	Module mbswidth.
	* mbswidth.m4 (gl_MBSWIDTH): Renamed from jm_PREREQ_MBSWIDTH. Use
	onceonly macros.
	* mbrtowc.m4: Add comment.

	Module memcasecmp.
	* memcasecmp.m4: New file.

	Module memcoll.
	* memcoll.m4: New file.

	Module unicodeio.
	* unicodeio.m4: New file.

	Module rpmatch.
	* rpmatch.m4: New file.

	Module yesno.
	* yesno.m4: New file.

	Module exitfail.
	* exitfail.m4: New file.

	Module c-stack.
	* c-stack.m4 (gl_C_STACK): New macro.
	(jm_PREREQ_C_STACK): Check for <sys/time.h>. Use onceonly macros.

	Module error.
	* error.m4 (gl_ERROR): New macro.
	(jm_PREREQ_ERROR): Use onceonly macros.

	Module fatal.
	* fatal.m4: New file.

	Module getloadavg.
	* getloadavg.m4 (AC_FUNC_GETLOADAVG): Use onceonly macros.
	(gl_FUNC_GETLOADAVG, gl_PREREQ_GETLOADAVG): New macros.

	Module getpagesize.
	* getpagesize.m4: New file.

	Module getusershell.
	* getusershell.m4: New file.

	Module physmem.
	* physmem.m4: New file.

	Module posixver.
	* posixver.m4: New file.

	Module quotearg.
	* quotearg.m4: New file.

	Module quote.
	* quote.m4: New file.

	Module readutmp.
	* readutmp.m4: New file, based on jm_PREREQ_READUTMP from prereq.m4.

	Module sig2str.
	* sig2str.m4: New file.

	Other.
	* longlong.m4 (jm_AC_TYPE_UNSIGNED_LONG_LONG): Remove, moved to
	ulonglong.m4.
	* intmax_t.m4: New file.
	* d-type.m4: Indentation.
	* jm-macros.m4: Update.
	* prereq.m4 (jm_PREREQ): Update.
	(jm_PREREQ_ADDEXT): Remove, obsoleted by backupfile.m4.
	(jm_PREREQ_CANON_HOST): Remove, obsoleted by canon-host.m4.
	(jm_PREREQ_DIRNAME): Remove, obsoleted by dirname.m4.
	(jm_PREREQ_EXCLUDE): Remove, obsoleted by exclude.m4.
	(jm_PREREQ_GETPAGESIZE): Remove, obsoleted by getpagesize.m4.
	(jm_PREREQ_HARD_LOCALE): Remove, obsoleted by hard-locale.m4.
	(jm_PREREQ_HASH): Remove, obsoleted by hash.m4.
	(jm_PREREQ_HUMAN): Remove, obsoleted by human.m4.
	(jm_PREREQ_MEMCHR): Remove, obsoleted by memchr.m4.
	(jm_PREREQ_PHYSMEM): Remove, obsoleted by physmem.m4.
	(jm_PREREQ_POSIXVER): Remove, obsoleted by posixver.m4.
	(jm_PREREQ_QUOTEARG): Remove, obsoleted by quotearg.m4.
	(jm_PREREQ_READUTMP): Remove, obsoleted by readutmp.m4.
	(jm_PREREQ_REGEX): Remove, obsoleted by regex.m4.
	(jm_PREREQ_STRNLEN): Remove, obsoleted by strnlen.m4.
	(jm_PREREQ_TEMPNAME): Remove, obsoleted by mkstemp.m4.
	(jm_PREREQ_XGETCWD): Remove, obsoleted by xgetcwd.m4.
	(jm_PREREQ_XREADLINK): Remove, obsoleted by xreadlink.m4.
	* readdir.m4 (jm_FUNC_READDIR): Use onceonly macros.

2002-12-18  Bruno Haible  <bruno@clisp.org>

	* strftime.m4 (_jm_STRFTIME_PREREQS): Don't test for localtime_r.
	* jm-mktime.m4 (jm_FUNC_MKTIME): Likewise.

2002-12-17  Bruno Haible  <bruno@clisp.org>

	* mbswidth.m4 (jm_PREREQ_MBSWIDTH): Remove checks for limits.h,
	stdlib.h, string.h.

2002-12-11  Bruno Haible  <bruno@clisp.org>

	* setenv.m4: New file, from gettext-0.11.5.

2002-12-06  Paul Eggert  <eggert@twinsun.com>

	Undo the 2001-07-02 change for jm-glibc-io, as it was too much of
	a pain in practice to deal with generated m4 files.  This change
	goes together with the 2002-12-04 unlocked-io.h change in ../lib.

	* Makefile.am.in (Makefile.am): Don't mention jm-glibc-io.m4n
	and jm-glibc-io.m4, as they are no longer a special case.
	* jm-glibc-io.m4: Rename from jm-glibc-io.m4n, and remove the
	kludge and the auto-generation stuff.  Check only whether the
	functions are declared, not whether they exist, since older hosts
	that don't declare the functions can't use the optimization anyway.

2002-07-06  Jim Meyering  <meyering@lucent.com>

	* README: Don't mention Makefile.am.in.
	Outline how I've tested changes to .m4 files.  Yep, it's a pain.

2002-06-11  Paul Eggert  <eggert@twinsun.com>

	* fnmatch.m4 (_AC_LIBOBJ_FNMATCH): Check for btowc.

2002-06-22  Jim Meyering  <meyering@lucent.com>

	* c-stack.m4: New file, from diffutils-2.8.2.
	* prereq.m4 (jm_PREREQ): Add jm_PREREQ_C_STACK.

	* jm-macros.m4 (jm_CHECK_ALL_TYPES): Don't require AC__GNU_SOURCE,
	now that configure.ac uses AC_GNU_SOURCE.
	(jm_MACROS): Rename: jm_FUNC_FNMATCH to AC_FUNC_FNMATCH_GNU.
	* prereq.m4 (jm_PREREQ_EXCLUDE): Likewise, wrt jm_FUNC_FNMATCH.

	Update to latest tools.  Suggestions from Paul Eggert.
	* stdbool.m4: New file, from diffutils-2.8.2.
	* gnu-source.m4: Update from diffutils-2.8.2.
	* fnmatch.m4: Likewise.
	* prereq.m4: Change each use of AC_CHECK_HEADERS(stdbool.h)
	to AC_HEADER_STDBOOL

2002-06-21  Jim Meyering  <meyering@lucent.com>

	* c-bs-a.m4: Add comment, from diffutils-2.8.2.
	* mbrtowc.m4: Likewise.

	* mbstate_t.m4: Update from diffutils-2.8.2.
	* mbswidth.m4: Reflect name change:
	s/AC_MBSTATE_T/AC_TYPE_MBSTATE_T.
	* prereq.m4 (jm_PREREQ_QUOTEARG): Likewise.

	* lib-link.m4: Update from gettext-0.11.2.
	* gettext.m4: Likewise.

	* jm-macros.m4 (jm_CHECK_ALL_HEADERS): Check for hurd.h.
	From Alfred M. Szmidt.

2002-05-19  Paul Eggert  <eggert@twinsun.com>

	* jm-macros.m4 (jm_CHECK_ALL_TYPES): Check for st_author.

2002-06-07  Jim Meyering  <meyering@lucent.com>

	* prereq.m4 (jm_PREREQ_STAT): Check for sys/param.h and sys/mount.h.
	They're needed at least for NetBSD 1.5.2.
	($statxfs_includes): Include those same headers.
	($statxfs_includes): Include sys/vfs.h if available.
	($statxfs_includes): Likewise for sys/statvfs.h.
	Check for the following members in both structs statfs and statvfs:
	f_basetype, f_type, f_fsid.__val, f_namemax, f_namelen.

2002-06-01  Jim Meyering  <meyering@lucent.com>

	* d-type.m4 (jm_CHECK_TYPE_STRUCT_DIRENT_D_TYPE): Rename macro:
	s/D_TYPE_IN_DIRENT/HAVE_STRUCT_DIRENT_D_TYPE/.

2002-05-28  Jim Meyering  <meyering@lucent.com>

	* readdir.m4 (jm_FUNC_READDIR): Undefine `mkdir', not `rmdir'.
	Reported by Volker Borchert.

2002-05-27  Jim Meyering  <meyering@lucent.com>

	* gettimeofday.m4 (AC_FUNC_GETTIMEOFDAY_CLOBBER): Also replace
	localtime.

	* readdir.m4 (jm_FUNC_READDIR): Undefine `rmdir' so we don't try to
	use the replacement function; it wouldn't resolve at link time.
	Reported by Volker Borchert.

2002-04-30  Jim Meyering  <meyering@lucent.com>

	* prereq.m4 (jm_PREREQ): Add jm_PREREQ_STAT.

2002-04-29  Paul Eggert  <eggert@twinsun.com>

	* prereq.m4 (jm_PREREQ_HARD_LOCALE): Check for stdlib.h.
	Do not check for alloca.h (no longer used) or stdbool.h (was never
	used?).  Add AM_C_PROTOTYPES since hard-locale.h uses it.

2002-04-28  Paul Eggert  <eggert@twinsun.com>

	* prereq.m4 (jm_PREREQ_SIG2STR): Remove; all callers changed.

2002-04-29  Jim Meyering  <meyering@lucent.com>

	* jm-macros.m4 (jm_MACROS): Remove use of AC_FUNC_STRNLEN.
	* prereq.m4: Add jm_PREREQ_STRNLEN.
	Use AC_FUNC_STRNLEN here instead.

	* jm-macros.m4: Don't AC_REQUIRE([AC_PROG_CC_STDC]).
	With autoconf-2.53a, it's part of AC_PROG_CC.

2002-04-28  Paul Eggert  <eggert@twinsun.com>

	* jm-macros.m4 (jm_MACROS): Add AC_REPLACE_FUNCS(sig2str).
	* prereq.m4 (jm_PREREQ): Add jm_PREREQ_SIG2STR.

2002-04-24  Jim Meyering  <meyering@lucent.com>

	* prereq.m4 (jm_PREREQ_HARD_LOCALE): New macro.
	(jm_PREREQ): Use it.

	* getloadavg.m4: Check for these headers: locale.h unistd.h
	mach/mach.h fcntl.h.
	Check for this function: setlocale.

2002-04-16  Jim Meyering  <meyering@lucent.com>

	* prereq.m4 (jm_PREREQ_READUTMP): Also check for these members:
	ut_pid, ut_id, ut_exit.

2002-04-12  Jim Meyering  <meyering@lucent.com>

	* ls-mntd-fs.m4 (checking for getmntinfo function...): Remove now-bogus
	check for f_type in sys/mount.h.  Instead, just test for the existence
	of the getmntinfo function.  Needed for Darwin 5.3.

	* dirfd.m4 (UTILS_FUNC_DIRFD): Also detect when dirfd is a macro.
	This is necessary at least on Darwin 5.3.

	* jm-macros.m4: Don't AC_REPLACE(strnlen), now that we use
	AC_FUNC_STRNLEN.  Otherwise, we'd end up putting two copies of strnlen.o
	in the library, and that makes some versions of ranlib object.

2002-04-09  Jim Meyering  <meyering@lucent.com>

	* malloc.m4: (jm_FUNC_MALLOC): Change the `checking ...' message
	to be more precise.  Rather than saying we're checking whether the
	function `works', say what we're testing.
	* realloc.m4 (jm_FUNC_REALLOC): Likewise.
	Reported by Bruno Haible.

2002-02-27  Paul Eggert  <eggert@twinsun.com>

	* jm-macros.m4 (jm_MACROS): Do not replace stime; no longer used.
	Check for clock_settime.

2002-02-25  Paul Eggert  <eggert@twinsun.com>

	* acl.m4: New file.
	* jm-macros.m4 (jm_MACROS): Require AC_FUNC_ACL.
	Do not check for acl or sys/acl.h, as AC_FUNC_ACL does that now.

2002-02-16  gettextize  <bug-gnu-gettext@gnu.org>

	* codeset.m4: Upgrade to gettext-0.11.
	* gettext.m4: Upgrade to gettext-0.11.
	* glibc21.m4: Upgrade to gettext-0.11.
	* iconv.m4: Upgrade to gettext-0.11.
	* isc-posix.m4: Upgrade to gettext-0.11.
	* lcmessage.m4: Upgrade to gettext-0.11.
	* lib-ld.m4: New file, from gettext-0.11.
	* lib-link.m4: New file, from gettext-0.11.
	* lib-prefix.m4: New file, from gettext-0.11.
	* progtest.m4: Upgrade to gettext-0.11.

2002-02-15  Paul Eggert  <eggert@twinsun.com>

	* prereq.m4 (jm_PREREQ_POSIXVER): New macro.
	(jm_PREREQ): Use it.

2002-01-26  Jim Meyering  <meyering@lucent.com>

	* jm-macros.m4 (jm_MACROS): Require autoconf-2.52g.
	* strnlen.m4: Remove file, now that it's part of autoconf.

2002-01-22  Paul Eggert  <eggert@twinsun.com>

	* jm-macros.m4 (jm_MACROS): Require AC_FUNC_FSEEKO.

2002-01-19  Jim Meyering  <meyering@lucent.com>

	* jm-macros.m4 (jm_MACROS): Use AC_FUNC_STRNLEN.
	Remove useless quotes: DF_PROG="df".
	* strnlen.m4: New file.

2001-12-14  Jim Meyering  <meyering@lucent.com>

	* jm-macros.m4 (jm_MACROS): Check for iswspace.
	Suggestion from Bruno Haible.

2001-11-20  Jim Meyering  <meyering@lucent.com>

	* mkstemp.m4 (UTILS_FUNC_MKSTEMP): Update comment to reflect that
	SunOS 4.1.4 and Solaris 2.5.1 lose, too.

2001-11-19  Jim Meyering  <meyering@lucent.com>

	* mkstemp.m4 (UTILS_FUNC_MKSTEMP): Don't bother with a temporary
	directory.  Use "conftestXXXXXX" as the template.
	Suggestion from Paul Eggert.

	* mkstemp.m4 (UTILS_FUNC_MKSTEMP): Close each descriptor immediately,
	so the test doesn't mistakenly hit the max-open-files limit.

2001-11-18  Jim Meyering  <meyering@lucent.com>

	* prereq.m4 (jm_PREREQ_TEMPNAME): Check for declaration of getenv.

2001-11-17  Jim Meyering  <meyering@lucent.com>

	* mkstemp.m4 (UTILS_FUNC_MKSTEMP): New file and macro.
	Prompted by a report from Bob Proulx.

	* jm-macros.m4 (jm_MACROS): Don't test for mkstemp here.
	Instead, require UTILS_FUNC_MKSTEMP.

2001-11-11  Jim Meyering  <meyering@lucent.com>

	* jm-macros.m4 (jm_MACROS): Remove code to set POW_LIBM.
	Now, that's done as part of AC_FUNC_STRTOD.

2001-10-22  Paul Eggert  <eggert@twinsun.com>

	* jm-winsz1.m4 (jm_WINSIZE_IN_PTEM): Do not define
	WINSIZE_IN_PTEM if <termios.h> defines struct winsize.

2001-11-10  Jim Meyering  <meyering@lucent.com>

	* prereq.m4 (jm_PREREQ_PHYSMEM): New function.
	(jm_PREREQ): Use it.

2001-11-09  Jim Meyering  <meyering@lucent.com>

	* jm-macros.m4: Require autoconf-2.52f.
	(AC_FUNC_ERROR_AT_LINE, AC_FUNC_OBSTACK, AC_FUNC_STRTOD):
	Use these AC_-prefixed names, not the AM_-prefixed ones.

	* afs.m4 (jm_AFS): Quote the body.  Patch by Akim Demaille.

2001-11-04  Jim Meyering  <meyering@lucent.com>

	* fpending.m4: Remove unused cruft that saved, set, and restored $DEFS.

2001-11-03  Jim Meyering  <meyering@lucent.com>

	* jm-glibc-io.m4n (jm_FUNC_GLIBC_UNLOCKED_IO): Quote first arg
	of AC_DEFUN.

	* dirfd.m4 (UTILS_FUNC_DIRFD): Rework so dirfd.c doesn't have to
	know the name of the variable in the macro definition.

2001-11-01  Jim Meyering  <meyering@lucent.com>

	* dirfd.m4 (UTILS_FUNC_DIRFD): New macro.
	* jm-macros.m4 (jm_MACROS): Require UTILS_FUNC_DIRFD.

2001-10-20  Paul Eggert  <eggert@twinsun.com>

	* error.m4 (jm_PREREQ_ERROR):
	Do not invoke AC_CHECK_FUNCS with strerror_r, as
	AC_FUNC_STRERROR_R does that.
	Check for strerror declaration.

	* strerror_r.m4: Add copyright notice, as nontrivial m4 files
	are supposed to have them these days.
	(AC_FUNC_STRERROR_R): Always do char* test, so that it gets cached.
	Merge changes from latest Autoconf CVS.
	Rename ac_cv_func_strerror_r_works to ac_cv_func_strerror_r_char_p,
	and rename HAVE_WORKING_STRERROR_R to STRERROR_R_CHAR_P, since
	POSIX decided to standardize on the int flavor of strerror_r.

2001-09-30  Jim Meyering  <meyering@lucent.com>

	* ls-mntd-fs.m4 (jm_LIST_MOUNTED_FILESYSTEMS): See if
	`struct fsstat' has the `f_fstypename' member.
	Use that to define FS_TYPE, which is now used to make
	the getfsstat link test tighter.

2001-09-29  Jim Meyering  <meyering@lucent.com>

	* ls-mntd-fs.m4 (jm_LIST_MOUNTED_FILESYSTEMS)
	[one-argument getmntent function]): Include stdio.h before mntent.h.
	SunOS 4.1.x needs it for the declaration of `FILE'.
	Patch by Volker Borchert.

	* ls-mntd-fs.m4 (jm_LIST_MOUNTED_FILESYSTEMS)
	Check for these headers: sys/param.h sys/ucred.h sys/mount.h
	sys/fs_types.h, and make the link-test for getfsstat guard #include
	directives with appropriate #if HAVE_*_H tests so that we can
	detect getfsstat on Apple Darwin1.3.7 systems.
	Reported by Nelson Beebe.
	Fix harmless typo in cache variable name: s/getsstat/getfsstat/.

2001-09-28  Paul Eggert  <eggert@twinsun.com>

	Fix bug reported by Petter Reinholdtsen for HP-UX 10.20, which
	#defines strtoimax.  Also treat the other strto* functions
	like strtoimax.

	* xstrtoimax.m4 (jm_AC_PREREQ_XSTRTOIMAX):
	Check for strtoul and strtoumax,
	as those declarations are made even in the signed case.
	* xstrtoumax.m4 (jm_AC_PREREQ_XSTRTOUMAX):
	Likewise, for strtol and strtoimax.

2001-09-24  Jim Meyering  <meyering@lucent.com>

	* gettext.m4: Use the version from gettext-0.10.40, not CVS.

2001-09-23  Jim Meyering  <meyering@lucent.com>

	* ls-mntd-fs.m4 (jm_LIST_MOUNTED_FILESYSTEMS): Add a compile-test
	instead of the mere test for existence of mntent.h.  The latter
	would get a false-positive on AIX 3.4 systems.
	In the outer getmntent if-block, don't die if neither of the getmntent
	tests succeeds.  Instead, just fall through and continue with the
	remaining tests.

2001-09-22  Jim Meyering  <meyering@lucent.com>

	* gettext.m4: New file.  From gettext.
	* lcmessage.m4: Sync with gettext -- this changes only comments.
	* progtest.m4: Likewise
	* isc-posix.m4: Decrement serial number to sync with gettext.
	* glibc21.m4: Likewise.

	* libintl.m4: Remove.  No longer used.

2001-09-20  Jim Meyering  <meyering@lucent.com>

	* xstrtoimax.m4 (jm_AC_PREREQ_XSTRTOIMAX): Check for declaration of
	strtoimax.
	* xstrtoumax.m4 (jm_AC_PREREQ_XSTRTOUMAX): Check for declaration of
	strtoumax.

2001-09-17  Jim Meyering  <meyering@lucent.com>

	* chown.m4, fstypename.m4, getgroups.m4, gettimeofday.m4,
	* jm-mktime.m4, lstat.m4, malloc.m4, memcmp.m4, mkdir-slash.m4,
	* nanosleep.m4, putenv.m4, readdir.m4, realloc.m4, rename.m4,
	* st_dm_mode.m4, stat.m4, strerror_r.m4, timespec.m4, utimbuf.m4,
	* utimes.m4: Use AC_DEFINE rather than AC_DEFINE_UNQUOTED,
	whenever the right hand side need not be expanded by the shell.

2001-09-16  Paul Eggert  <eggert@twinsun.com>

	* fnmatch.m4 (jm_FUNC_FNMATCH): Remove test for GNU C
	library.  It's not correct, as some older glibcs are buggy.
	fnmatch wasn't fixed until glibc 2.2.

	Use AC_DEFINE, not AC_DEFINE_UNQUOTED, as there's no
	special shell magic here.

2001-09-16  Jim Meyering  <meyering@lucent.com>

	* mkdir-slash.m4 (UTILS_FUNC_MKDIR_TRAILING_SLASH): New file/macro.
	* jm-macros.m4: Require it.

2001-09-15  Jim Meyering  <meyering@lucent.com>

	* jm-macros.m4: Check for help2man.

2001-09-11  Jim Meyering  <meyering@lucent.com>

	* host-os.m4 (UTILS_HOST_OS): New file/macro.
	The body, by Paul Eggert, was moved here from configure.in.
	* jm-macros.m4: Require UTILS_HOST_OS.

2001-09-04  Paul Eggert  <eggert@twinsun.com>

	* prereq.m4 (jm_PREREQ_XREADLINK): New macro.
	(jm_PREREQ): Use it.

2001-09-03  Paul Eggert  <eggert@twinsun.com>

	* prereq.m4 (jm_PREREQ_XGETCWD): Check for limits.h and
	sys/param.h, as pathmax.h includes them.

2001-09-03  Paul Eggert  <eggert@twinsun.com>

	* prereq.m4 (jm_PREREQ): Add jm_PREREQ_XGETCWD.
	(jm_PREREQ_XGETCWD): New macro.

	* getcwd.m4: New file.

2001-09-01  Jim Meyering  <meyering@lucent.com>

	* jm-macros.m4 (jm_MACROS): Check for canonicalize_file_name.
	Used by df.

2001-08-30  Paul Eggert  <eggert@twinsun.com>

	Simplify code, partly by assuming autoconf 2.52 semantics.

	* Makefile.am (EXTRA_DIST): Remove uintmax_t.m4.

	* inttypes.m4 (AC_PREREQ): Bump to 2.52.
	(jm_AC_HEADER_INTTYPES_H): Remove; now done by autoconf in 2.52.
	All uses removed.
	(jm_AC_TYPE_INTMAX_T, jm_AC_TYPE_UINTMAX_T):
	Move AC_REQUIRE to next-to-top level, to avoid confusion.
	Use 2.52's AC_CHECK_TYPE instead of merely looking for the header.
	* prereq.m4 (jm_PREREQ_HUMAN): Don't require jm_AC_HEADER_INTTYPES_H.
	* jm-macros.m4 (jm_MACROS): Likewise.

	* uintmax_t.m4: Remove, as it duplicates inttypes.m4.

	* xstrtoimax.m4 (jm_AC_PREREQ_XSTRTOIMAX):
	Quote first arg of AC_DEFUN.
	Require jm_AC_TYPE_UINTMAX_T and jm_AC_TYPE_UNSIGNED_LONG_LONG
	since they are needed to parse the include file even if we need
	only xstrtoimax.  Simplify logic behind the args to AC_REPLACE.
	* xstrtoumax.m4 (jm_AC_PREREQ_XSTRTOUMAX): Likewise,
	but with opposite signedness.

2001-08-30  Paul Eggert  <eggert@twinsun.com>

	* prereq.m4 (jm_PREREQ): Add jm_PREREQ_EXCLUDE.
	(jm_PREREQ_EXCLUDE): New macro.

2001-08-26  Jim Meyering  <meyering@lucent.com>

	* jm-macros.m4: Require jm_AC_PREREQ_XSTRTOIMAX.

	* xstrtoimax.m4: New file.
	* xstrtoumax.m4: Add comments explaining why we
	AC_REPLACE_FUNCS(strtol).

2001-06-20  Paul Eggert  <eggert@twinsun.com>

	* inttypes.m4: Add AC_PREREQ(2.13).
	(jm_AC_HEADER_INTTYPES_H): Test for intmax_t, too.
	(jm_AC_TYPE_INTMAX_T): New macro.
	(jm_AC_TYPE_UINTMAX_T): Moved here from uintmax_t.m4.

	* longlong.m4 (jm_AC_TYPE_LONG_LONG): New macro.

	* longlong.m4: Renamed from ulonglong.m4.
	* inttypes.m4: Renamed from inttypes_h.m4.
	* uintmax_t.m4: Removed.

2001-08-12  Jim Meyering  <meyering@lucent.com>

	* afs.m4, assert.m4, bison.m4, check-decl.m4, chown.m4, d-ino.m4,
	d-type.m4, dos.m4, error.m4, fnmatch.m4, fpending.m4, fstypename.m4,
	fsusage.m4, ftruncate.m4, getgroups.m4, glibc.m4, gnu-source.m4,
	group-member.m4, jm-glibc-io.m4, jm-macros.m4, jm-mktime.m4,
	jm-winsz1.m4, jm-winsz2.m4, lchown.m4, lib-check.m4, libintl.m4,
	link-follow.m4, ls-mntd-fs.m4, lstat.m4, malloc.m4, mbrtowc.m4,
	mbstate_t.m4, mbswidth.m4, memcmp.m4, nanosleep.m4, perl.m4,
	prereq.m4, putenv.m4, readdir.m4, realloc.m4, regex.m4, rename.m4,
	rmdir-errno.m4, search-libs.m4, st_dm_mode.m4, st_mtim.m4, stat.m4,
	strftime.m4, timespec.m4, unlink-busy.m4, uptime.m4, utimbuf.m4,
	utime.m4, utimes.m4, xstrtoumax.m4:
	Quote the first argument in each use of AC_DEFUN.

2001-08-05  Jim Meyering  <meyering@lucent.com>

	* jm-macros.m4: Require autoconf-2.52.

2001-08-03  Paul Eggert  <eggert@twinsun.com>

	The following changes are from gettext 0.10.39 as maintained by
	Bruno Haible, except that getline.m4 continues to use AC_LIBOBJ.

	* codeset.m4: Upgrade to serial AM1.
	(AM_LANGINFO_CODESET): Renamed from jm_LANGINFO_CODESET;
	all uses changed.  Quote first arg of AC_DEFUN.
	(am_cv_langinfo_codeset): Renamed from jm_cv_langinfo_codeset.

	* iconv.m4: Upgrade to serial AM2.
	(AM_ICONV): Renamed from jm_ICONV; all uses changed.
	Add --with-libconv-prefix.
	Quote first arg of AC_DEFUN.  Add description for ICONV_CONST.
	(am_cv_func_iconv): Renamed from jm_cv_func_iconv.
	(am_cv_lib_iconv): Renamed from jm_cv_lib_iconv.
	(am_cv_proto_iconv): Renamed from jm_cv_proto_iconv.
	* jm-macros.m4 (jm_MACROS): Reflect s/jm_/AM_/ renamings.

	* c-bs-a.m4 (AC_C_BACKSLASH_A): Quote first arg of AC_DEFUN.
	* getline.m4 (AM_FUNC_GETLINE): Likewise.
	* glibc21.m4 (jm_GLIBC21): Likewise.
	* inttypes_h.m4 (jm_AC_HEADER_INTTYPES_H): Likewise.
	* isc-posix.m4 (AC_ISC_POSIX): Likewise.
	* lcmessage.m4 (AM_LC_MESSAGES): Likewise.
	* progtest.m4 (AM_PATH_PROG_WITH_TEST): Likewise.
	* uintmax_t.m4 (jm_AC_TYPE_UINTMAX_T): Likewise.
	* ulonglong.m4 (jm_AC_TYPE_UNSIGNED_LONG_LONG): Likewise.

	* getline.m4 (AM_FUNC_GETLINE): Don't bother checking for
	string.h any more.

	* progtest.m4 (AM_PATH_PROG_WITH_TEST): If not found, print "no",
	not the default value.

	2001-06-25  Bruno Haible  <haible@clisp.cons.org>
	* mbswidth.m4 (jm_PREREQ_MBSWIDTH): Don't require AM_C_PROTOTYPES.
	Also check for mbsinit.  Needed for SCO 3.2v5.0.2.
	Also include <string.h>; this is where AIX 3.2.5 declares wcwidth.
	Also check for iswcntrl, used for wcwidth fallback.
	Use AC_TRY_COMPILE to emulate AC_CHECK_DECLS, for portability
	to Autoconf 2.13.

2001-08-03  Jim Meyering  <meyering@lucent.com>

	* mbrtowc.m4 (jm_FUNC_MBRTOWC): Use `#include', not `@%:@include',
	as it was in the original.  Reported by Paul Eggert.

2001-07-16  Jim Meyering  <meyering@lucent.com>

	* gettimeofday.m4: New file.
	Prompted by a report from Bernhard Baehr.

2001-07-15  Jim Meyering  <meyering@lucent.com>

	* Makefile.am.in (Makefile.am): Remove most of the unlocked-io.h stuff.
	Now it's in ../Makefile.cfg.

2001-07-04  Jim Meyering  <meyering@lucent.com>

	* Makefile.am.in (glibc-io.struct): New target.  Rework the code
	that generates jm-glibc-io.m4 so that it doesn't trigger any make
	distcheck failure.

2001-07-02  Jim Meyering  <meyering@lucent.com>

	The following changes were prompted by suggestions from Bruno Haible.

	* jm-glibc-io.m4n: New file, the template from which jm-glibc-io.m4
	is now generated.
	* Makefile.am.in (Makefile.am): Include jm-glibc-io.m4n in emitted
	definition of EXTRA_DIST.
	(Makefile.am): Emit the dependency, `all-local: jm-glibc-io.m4' to
	ensure that the generated file is created/updated whenever the list
	of $(unlocked_functions) is changed.
	(jm-glibc-io.m4): New rule.
	(unlocked-io.h): New rule -- currently unused.

2001-06-24  Jim Meyering  <meyering@lucent.com>

	* regex.m4 (jm_INCLUDED_REGEX): Use a quadrigraph to represent an
	unmatched right bracket, rather than kludging it with an extra,
	falsely-matching quote in a comment.  Patch by Akim Demaille.

2001-05-27  Jim Meyering  <meyering@lucent.com>

	* prereq.m4 (jm_PREREQ_READUTMP): Check for ut_type in struct utmpx.
	Check for ut_type in struct utmp.

2001-05-22  Jim Meyering  <meyering@lucent.com>

	* strftime.m4 (_jm_STRFTIME_PREREQS): Don't use AC_LIBOBJ(strftime),
	now that we use the package-supplied version unconditionally.
	(jm_FUNC_STRFTIME): Don't replace strftime, for the same reason.

2001-05-21  Jim Meyering  <meyering@lucent.com>

	* regex.m4: Change a couple backticks to single quotes to avoid shell
	syntax errors.

2001-05-19  Alexandre Duret-Lutz  <duret_g@epita.fr>

	* dos.m4 (jm_AC_DOS): Check for _WIN32, __WIN32__, and __MSDOS__.

2001-05-11  Paul Eggert  <eggert@twinsun.com>

	* strftime.m4 (jm_FUNC_GNU_STRFTIME):
	Don't bother to check library strftime, since
	we'll be using our own my_strftime function anyway.
	Define my_strftime instead of strftime.

2001-05-15  Jim Meyering  <meyering@lucent.com>

	* regex.m4: Use proper quoting so brackets appear in the test program.
	Reported by, and with help from, Bruno Haible.

2001-05-13  Jim Meyering  <meyering@lucent.com>

	* jm-macros.m4 (major_t, minor_t): Define to unsigned int if undefined.

2000-11-26  Paul Eggert  <eggert@twinsun.com>

	* jm-macros.m4 (jm_MACROS): Do not check for fseeko; no longer used.

2001-04-21  Jim Meyering  <meyering@lucent.com>

	* rmdir-errno.m4: Write to a new file, so that a restrictive umask
	doesn't interfere.

2001-04-21  Alexandre Duret-Lutz  <duret_g@epita.fr>

	* ftruncate.m4: Check for chsize.
	Link with ftruncate.o unconditionally if ftruncate is missing.
	This was required when cross-compiling to i586-mingw32msvc.

2001-03-24  Jim Meyering  <meyering@lucent.com>

	* jm-macros.m4: Require autoconf-2.49d.

2001-03-20  Bruno Haible  <haible@clisp.cons.org>

	* iconv.m4 (jm_ICONV): Recommend GNU libiconv.

2001-03-17  Jim Meyering  <meyering@lucent.com>

	* memcmp.m4 (jm_AC_FUNC_MEMCMP): Remove my copy of AC_FUNC_MEMCMP,
	now that the version in autoconf is equivalent.
	(jm_FUNC_MEMCMP): Adjust to use AC_FUNC_MEMCMP.

	* error.m4 (jm_PREREQ_ERROR): Invoke AC_FUNC_STRERROR_R.
	Suggestion from Akim Demaille.

	* prereq.m4 (jm_PREREQ): Add jm_PREREQ_TEMPNAME.
	(jm_PREREQ_TEMPNAME): New function.

2001-02-25  Paul Eggert  <eggert@twinsun.com>

	* jm-macros.m4 (jm_MACROS): Use mkstemp replacement if the system
	lacks mkstemp.  Compile our own tempname.c if we compile our own
	mkstemp.c, as mkstemp relies on tempname.

2001-03-01  Jim Meyering  <meyering@lucent.com>

	* dos.m4 (jm_AC_DOS): Remove extra backslashes, now that
	AH_VERBATIM really does output its argument verbatim.

2001-02-18  Paul Eggert  <eggert@twinsun.com>

	* jm-macros.m4 (jm_CHECK_ALL_HEADERS): Check for sys/resource.h.

2001-02-17  Jim Meyering  <meyering@lucent.com>

	* ls-mntd-fs.m4 (jm_LIST_MOUNTED_FILESYSTEMS): Don't check for
	getmntent via AC_CHECK_FUNCS, since that would get a `no' and disrupt
	further attempts by AC_FUNC_GETMNTENT to check with e.g., -lgen on
	UnixWare 7.1.1.

	* mbrtowc.m4 (jm_FUNC_MBRTOWC): Adapt to use AC_CACHE_CHECK etc.,
	rather than AC_CACHE_VAL.

2001-02-17  Paul Eggert  <eggert@twinsun.com>

	* mbrtowc.m4: New file, defining jm_FUNC_MBRTOWC.
	* mbswidth.m4 (jm_PREREQ_MBSWIDTH):
	Use jm_FUNC_MBRTOWC, not AC_CHECK_FUNCS(mbrtowc).
	* prereq.m4 (jm_PREREQ_QUOTEARG): Likewise.

2001-02-07  Jim Meyering  <meyering@lucent.com>

	* regex.m4 (jm_INCLUDED_REGEX): Add a test for the latest bug.

2001-02-05  Jim Meyering  <meyering@lucent.com>

	* jm-macros.m4: Require autoconf-2.14d (not yet released), because
	it includes the patch required for `large file' support with at least
	HP-UX's 10.20 /bin/cc.

2001-02-03  Jim Meyering  <meyering@lucent.com>

	* ls-mntd-fs.m4 (jm_LIST_MOUNTED_FILESYSTEMS): Restore prior use of
	AS_IF, now that it works once again (mysteriously).
	* fsusage.m4 (jm_FILE_SYSTEM_USAGE): Likewise.

2001-01-30  Jim Meyering  <meyering@lucent.com>

	Don't use filenames that are 8.3-equivalent to "conftest" on DOS.
	* chown.m4: Rename conftestchown to conftest.chown.
	* rename.m4: s/conftestdir/conftest.d1/ and s/conftestdir2/conftest.d2/.
	* utimes.m4: s/conftestdata/conftest.data/
	Inspired by Pavel Roskin's change in autoconf.

2001-01-27  Jim Meyering  <meyering@lucent.com>

	* ls-mntd-fs.m4 (jm_LIST_MOUNTED_FILESYSTEMS): Open-code what was
	a use of AS_IF.
	* fsusage.m4 (jm_FILE_SYSTEM_USAGE): Likewise.

2001-01-26  Jim Meyering  <meyering@lucent.com>

	* prereq.m4 (jm_PREREQ_QUOTEARG): Check for stddef.h, now that
	quotearg.c includes it.

2001-01-15  Bruno Haible  <haible@clisp.cons.org>

	* iconv.m4 (jm_ICONV): Also check whether the iconv declaration
	has const.

2001-01-20  Jim Meyering  <meyering@lucent.com>

	Be sure that headers are checked before used in code compiled
	for the type checks.
	* jm-macros.m4 (jm_MACROS): Remove all header checks.
	In place of that, invoke jm_CHECK_ALL_TYPES.
	(jm_CHECK_ALL_HEADERS): New functions with the above checks.
	(jm_CHECK_ALL_TYPES): Require jm_CHECK_ALL_HEADERS.
	Alan Iwi reported a build failure on an f300-fujitsu-uxpv4.1_ES;
	The check for ssize_t was mistakenly run before the test for unistd.h.

	The configure-time check for stdbool.h was missing.
	* prereq.m4 (jm_PREREQ): Add jm_PREREQ_HASH.
	(jm_PREREQ_HASH): New function.

2001-01-17  Jim Meyering  <meyering@lucent.com>

	* fsusage.m4 (jm_FILE_SYSTEM_USAGE): Use AS_IF, not AS_IFELSE,
	for autoconf-2.49c.
	* ls-mntd-fs.m4 (jm_LIST_MOUNTED_FILESYSTEMS): Likewise.

2001-01-14  Jim Meyering  <meyering@lucent.com>

	* rename.m4: Use temporary directories named conftestdir{,2}, not
	foo and bar.  Create conftestdir/ in the script, not in the C code.
	Remove directories in the script, not in the C code.
	Remove conftestdir{,2} before trying to create the directory.
	Make the entire configure script fail if the mkdir fails.

2001-01-02  Volker Borchert  <bt@teknon.de>

	* rename.m4: New file.
	* jm-macros.m4 (jm_MACROS): Require vb_FUNC_RENAME.

2001-01-01  Alexandre Duret-Lutz  <duret_g@epita.fr>

	* libintl.m4 (AM_GNU_GETTEXT): Define MKINSTALLDIRS by
	expanding the value of $ac_aux_dir, as in AM_MISSING_HAS_RUN,
	so `make install' also works in VPATH builds.

2001-01-01  Jim Meyering  <meyering@lucent.com>

	* prereq.m4 (jm_PREREQ_READUTMP): Include utmp.h (if available), even
	on systems with utmpx.h.  It's necessary for the declaration of utmp's
	ut_user member.  Reported by Andreas Jaeger.

	* check-decl.m4 (jm_CHECK_DECLS): Include grp.h and pwd.h if available.
	They are required for the declarations of getgrgid and getpwuid resp.
	(_jm_DECL_HEADERS): Check for grp.h and pwd.h.
	Reported by Andreas Jaeger.

2000-12-25  Alexandre Duret-Lutz  <duret_g@epita.fr>

	* libintl.m4 (AM_WITH_NLS): When using AC_CONFIG_AUX_DIR,
	prepend $(top_srcdir) to the value of MKINSTALLDIRS so that it
	can be used in subdirectories.

2000-12-26  Jim Meyering  <meyering@lucent.com>

	* dos.m4 (jm_AC_DOS): Rewrite (though it's still a stub) to work better
	with autoheader.

2000-12-17  Jim Meyering  <meyering@lucent.com>

	* dos.m4 (jm_AC_DOS): New file and macro.
	* jm-macros.m4 (jm_MACROS): Require jm_AC_DOS.

2000-12-06  Paul Eggert  <eggert@twinsun.com>

	* off_t-format.m4: Remove this file.
	* jm-macros.m4 (jm_MACROS): Remove jm_SYS_OFF_T_PRINTF_FORMAT.

2000-12-06  Jim Meyering  <meyering@lucent.com>

	* xstrtoumax.m4 (jm_AC_PREREQ_XSTRTOUMAX): If we need the replacement
	strtoull, we may well need the replacement strtoul, too.
	Check for declarations of strtoul and strtoull.
	Check for strtol.  Mainly as a cue to cause automake to include
	strtol.c -- that file is included by each of strtoul.c and strtoull.c.
	Check for limits.h -- strtol.c needs it.

2000-12-02  Jim Meyering  <meyering@lucent.com>

	* off_t-format.m4 (OFF_T_PRINTF_FORMAT_STRING): New file/macro.
	* jm-macros.m4 (jm_MACROS): require it.

2000-11-30  Jim Meyering  <meyering@lucent.com>

	* jm-macros.m4 (jm_MACROS): Check for stdint.h.

2000-11-30  Jim Meyering  <meyering@lucent.com>

	* getloadavg.m4: s/ifval/m4_ifval/ to accommodate new autoconf.

2000-11-03  Bruno Haible  <haible@clisp.cons.org>

	* jm-macros.m4 (jm_MACROS): Add test for wcrtomb.

2000-11-04  Jim Meyering  <meyering@lucent.com>

	* regex.m4: Use the `m4_' prefix on `syscmd' and `m4_sysval'.

2000-10-29  Jim Meyering  <meyering@lucent.com>

	* fsusage.m4: s/AC_SHELL_IFELSE/AS_IFELSE/ to match autoconf renaming.
	* ls-mntd-fs.m4: Likewise

2000-10-28  Jim Meyering  <meyering@lucent.com>

	* prereq.m4 (jm_PREREQ): Add jm_PREREQ_MEMCHR.
	(jm_PREREQ_MEMCHR): New function.

2000-10-21  Jim Meyering  <meyering@lucent.com>

	* check-decl.m4 (jm_CHECK_DECLS): Also check for memrchr.
	* prereq.m4 (jm_PREREQ_DIRNAME): New macro.
	* jm-macros.m4 (AC_REPLACE_FUNCS): Add memrchr.

2000-09-18  Jim Meyering  <meyering@lucent.com>

	* getloadavg.m4 (AC_FUNC_GETLOADAVG): Restore the initial value of LIBS.
	Otherwise, everyone ends up linking with -lelf for some configurations.
	Reported by Mike Stone.

2000-08-26  Jim Meyering  <meyering@lucent.com>

	* jm-macros.m4: Use jm_FUNC_FPENDING.
	* fpending.m4: New file.

2000-08-20  Jim Meyering  <meyering@lucent.com>

	* check-decl.m4: Include utmp.h `#if HAVE_UTMP_H', rather than
	`#if !HAVE_UTMPX_H'.  The latter would lose on systems with neither
	utmp.h nor utmpx.h.  Reported by Eli Zaretskii.

2000-08-11  J. David Anglin  <dave@hiauly1.hia.nrc.ca>

	Improve fileutils installation on systems where running
	programs (like install) can't be unlinked.
	* unlink-busy.m4 (jm_FUNC_UNLINK_BUSY_TEXT): New file/macro.
	* jm-macros.m4: Use jm_FUNC_UNLINK_BUSY_TEXT.

2000-08-06  Paul Eggert  <eggert@twinsun.com>

	* mbstate_t.m4 (AC_MBSTATE_T): Define mbstate_t to be int,
	not char, for compatibility with glibc 2.1.3 strftime.c.

2000-07-23  Paul Eggert  <eggert@twinsun.com>

	* mbswidth.m4 (jm_PREREQ_MBSWIDTH): Check for wcwidth declaration.

2000-07-23  Jim Meyering  <meyering@lucent.com>

	* check-decl.m4 (jm_CHECK_DECLS): Check for declarations of these, too:
	getgrgid, getpwuid, getuid.

2000-07-16  Bruno Haible  <haible@clisp.cons.org>

	* mbswidth.m4: New file.
	* prereq.m4 (jm_PREREQ): Call jm_PREREQ_MBSWIDTH.

2000-07-14  Jim Meyering  <meyering@lucent.com>

	* xstrtoumax.m4 (jm_AC_PREREQ_XSTRTOUMAX): Require jm_AC_TYPE_UINTMAX_T.

2000-07-10  Paul Eggert  <eggert@twinsun.com>

	From a suggestion by Bruno Haible.
	* mbstate_t.m4 (AC_MBSTATE_T):
	Renamed from AC_MBSTATE_T_OBJECT.  All uses changed.
	Change from a two-part test, which defines both HAVE_MBSTATE_T_OBJECT
	and mbstate_t, to a single-part test that simply defines mbstate_t.
	* prereq.m4 (jm_PREREQ_QUOTEARG): s/AC_MBSTATE_T_OBJECT/AC_MBSTATE_T/.

2000-07-10  Jim Meyering  <meyering@lucent.com>

	* strerror_r.m4: Mirror the correction made in autoconf.

	* gnu-source.m4: Output to confdefs.h directly.
	Suggestion from Akim Demaille.

2000-07-09  Jim Meyering  <meyering@lucent.com>

	* jm-macros.m4 (jm_MACROS): Add a test to see if -lm is required
	to link seq.  If so, set SEQ_LIBM to -lm.  From Bruno Haible.

	* gnu-source.m4 (AC__GNU_SOURCE): New file/macro.
	* jm-macros.m4 (jm_CHECK_ALL_TYPES): Require it.

2000-07-05  Bruno Haible  <haible@clisp.cons.org>

	* strerror_r.m4 (AC_FUNC_STRERROR_R): Pass a reasonably large buffer
	to strerror_r.
	Include <ctype.h> for use of isalpha.

2000-07-05  Paul Eggert  <eggert@twinsun.com>
	and Bruno Haible  <haible@clisp.cons.org>

	* mbstate_t.m4 (AC_MBSTATE_T_OBJECT): Test for mbstate_t
	only if the test for an object-type mbstate_t fails.  This
	prevents us from mistakenly reporting that mbstate_t is a
	system object type after we "#define mbstate_t int" to work
	around its lack.

2000-07-04  Jim Meyering  <meyering@lucent.com>

	* fsusage.m4 (jm_FILE_SYSTEM_USAGE): Use plain old `echo' instead
	of the deprecated AC_CHECKING.

2000-07-03  Jim Meyering  <meyering@lucent.com>

	* check-decl.m4 (AC_CHECK_DECLS): Add strnlen.

2000-07-03  Paul Eggert  <eggert@twinsun.com>

	* mbstate_t.m4 (AC_MBSTATE_T_OBJECT): Port to autoconf 2.13.
	Add AC_CHECK_HEADERS(stdlib.h), since we use HAVE_STDLIB_H.

2000-07-02  Jim Meyering  <meyering@lucent.com>

	* mbstate_t.m4: Also define mbstate_t, if necessary.

	* chown.m4: Replace each use of AC_SUBST(LIBOBJS)/LIBOBJS=... with
	AC_LIBOBJ(function_name).
	* chown.m4: Likewise.
	* fnmatch.m4: Likewise.
	* ftruncate.m4: Likewise.
	* getgroups.m4: Likewise.
	* getline.m4: Likewise.
	* group-member.m4: Likewise.
	* jm-macros.m4: Likewise.
	* lstat.m4: Likewise.
	* malloc.m4: Likewise.
	* memcmp.m4: Likewise.
	* nanosleep.m4: Likewise.
	* putenv.m4: Likewise.
	* realloc.m4: Likewise.
	* regex.m4: Likewise.
	* stat.m4: Likewise.
	* strftime.m4: Likewise.

2000-07-01  Jim Meyering  <meyering@lucent.com>

	* ls-mntd-fs.m4: Remove a `FIXME' comment and fix the associated
	problem.

2000-06-17  Bruno Haible  <haible@clisp.cons.org>

	* ls-mntd-fs.m4 (jm_LIST_MOUNTED_FILESYSTEMS): Rename BeOS specific
	macro from MOUNTED_NEXT_DEV to MOUNTED_FS_STAT_DEV.

2000-07-01  Jim Meyering  <meyering@lucent.com>

	* uptime.m4: Put double quotes around use of $cross_compiling.

2000-06-28  Jim Meyering  <meyering@lucent.com>

	* mbstate_t.m4: Use stdlib.h, not stdio.h.  The latter is not included
	by quotearg.c, for which we perform this test.  From Bruno Haible.

2000-06-17  Bruno Haible  <haible@clisp.cons.org>

	* check-decl.m4 (_jm_DECL_HEADERS): Check for utmp.h as well.
	* prereq.m4 (jm_PREREQ_READUTMP): Likewise. If either <utmp.h> or
	<utmpx.h> exists, put readutmp.o into LIBOBJS.

2000-06-25  Jim Meyering  <meyering@lucent.com>

	* mbstate_t.m4: Include stdio.h before wchar.h to work around
	Linux header bug when _XOPEN_SOURCE is defined to 500.

2000-06-24  Jim Meyering  <meyering@lucent.com>

	* strerror_r.m4: Revive this file -- to try out an experimental
	version of AC_FUNC_STRERROR_R that may work even on BeOS, a system
	for which strerror does return char*, but which lacks a conveniently
	accessible declaration of the function.  If the compile-test says
	strerror_r doesn't work, then resort to a `run'-test that works on
	BeOS and segfaults on DEC Unix.

2000-06-19  Paul Eggert  <eggert@twinsun.com>

	* mbstate_t.m4: New file, defining AC_MBSTATE_T_OBJECT.
	* prereq.m4 (jm_PREREQ_QUOTEARG): Use it.  Add check for iswprint.

2000-06-23  Jim Meyering  <meyering@lucent.com>

	* afs.m4: Add missing AC_MSG_RESULT.
	Reported by Bruno Haible.

	* fsusage.m4: s/AC_MSG_CHECKING/AC_CHECKING/.
	Suggestion from Bruno Haible.

2000-06-21  Jim Meyering  <meyering@lucent.com>

	* jm-macros.m4 (AC_REPLACE_FUNCS): Add getpass.

2000-06-18  Jim Meyering  <meyering@lucent.com>

	* jm-macros.m4 (AC_REPLACE_FUNCS): Remove mkdir.

	* link-follow.m4 (jm_AC_FUNC_LINK_FOLLOWS_SYMLINK): Change the
	`checking whether...' message to be consistent with that of the
	lstat test.

2000-06-16  Bruno Haible  <haible@clisp.cons.org>

	* glibc21.m4 (jm_GLIBC21): Define GLIBC21 for Makefiles, not for C.

2000-06-12  Jim Meyering  <meyering@lucent.com>

	* getloadavg.m4 (AM_FUNC_GETLOADAVG): Replace with AC_FUNC_GETLOADAVG
	from autoconf, and tweak the latter to accept an optional argument.
	* jm-macros.m4: s/AM_FUNC_GETLOADAVG/AC_FUNC_GETLOADAVG/, and supply
	the optional argument, `lib'.

2000-06-08  Jim Meyering  <meyering@lucent.com>

	* largefile.m4: Remove file (now that it's part of autoconf).

2000-06-04  Paul Eggert  <eggert@twinsun.com>

	Rewrite largefile configuration so that we don't need to run
	getconf and don't need AC_CANONICAL_HOST.  [I'm leaving the use of
	AC_CANONICAL_HOST in configure.in -- jmm]

	* largefile.m4 (AC_SYS_LARGEFILE_FLAGS,
	AC_SYS_LARGEFILE_SPACE_APPEND): Remove.
	(AC_SYS_LARGEFILE_TEST_INCLUDES): New macro.
	(AC_SYS_LARGEFILE_MACRO_VALUE): Change arguments from
	CODE-TO-SET-DEFAULT to VALUE, INCLUDES, FUNCTION-BODY.
	All uses changed.
	Instead of inspecting the output of getconf, try to compile the
	test program without and with the macro definition.
	(AC_SYS_LARGEFILE): Do not require AC_CANONICAL_HOST or check
	for getconf.  Instead, check for the needed flags by compiling
	test programs.

2000-06-03  Jim Meyering  <meyering@lucent.com>

	* prereq.m4 (jm_PREREQ_HUMAN): Use []-quoted list in AC_CHECK_DECLS,
	now that autoconf requires that.

	* jm-glibc-io.m4: Add a kludge to make autoheader emit the required
	#undefs.  E.g., #undef HAVE_DECL_FERROR_UNLOCKED.
	Use []-quoted list in AC_CHECK_DECLS, now that autoconf requires that.

2000-05-26  Bruno Haible  <haible@clisp.cons.org>

	* glibc21.m4: New file.
	* jm-macros.m4 (jm_MACROS): Call jm_GLIBC21.

2000-05-28  Jim Meyering  <meyering@lucent.com>

	* jm-macros.m4 (AC_FUNC_LSTAT_FOLLOWS_SLASHED_SYMLINK): Rename from
	jm_FUNC_LSTAT_FOLLOWS_SLASHED_SYMLINK.
	* stat.m4: Likewise.
	* lstat.m4: Likewise.
	* lstat-slash.m4: Remove file (absorbed into autoconf).

	* jm-macros.m4 (AC_FUNC_STRERROR_R): Rename from jm_FUNC_STRERROR_R.
	* strerror_r.m4: Remove file (absorbed into autoconf).

2000-05-26  Jim Meyering  <meyering@lucent.com>

	* uptime.m4: Use `$cross_compiling', not `$ac_cv_prog_cc_cross'.

2000-05-24  Jim Meyering  <meyering@lucent.com>

	* prereq.m4: Use []-quoted list in AC_CHECK_MEMBERS, now that
	autoconf requires that.
	* lib-check.m4: Likewise.
	* jm-macros.m4: Likewise.
	* strftime.m4: Likewise.

	* check-decl.m4 (jm_CHECK_DECLS): Use []-quoted list in AC_CHECK_DECLS,
	now that autoconf requires that.

2000-05-22  Jim Meyering  <meyering@lucent.com>

	* stat.m4: Require jm_FUNC_LSTAT_FOLLOWS_SLASHED_SYMLINK.
	* lstat.m4: Likewise.

2000-05-20  Jim Meyering  <meyering@lucent.com>

	* prereq.m4 (jm_PREREQ_HUMAN): New macro.
	(jm_PREREQ): Use it.

2000-05-09  Jim Meyering  <meyering@lucent.com>

	* gettext.m4: Rename this...
	* libintl.m4: ...to this.

2000-05-06  Jim Meyering  <meyering@lucent.com>

	* jm-macros.m4 (AC_REPLACE_FUNCS): Add atexit.
	(AC_REPLACE_FUNCS): Add strnlen.

	* rmdir-errno.m4 (fetish_FUNC_RMDIR_NOTEMPTY): New macro and file.
	* jm-macros.m4: Require fetish_FUNC_RMDIR_NOTEMPTY.

	* nanosleep.m4 (jm_FUNC_NANOSLEEP): Save and restore LIBS around
	AC_SEARCH_LIBS call for nanosleep.
	(LIB_NANOSLEEP): Set and AC_SUBST.

2000-05-03  Paul Eggert  <eggert@twinsun.com>

	* largefile.m4 (AC_SYS_LARGEFILE): Define _XOPEN_SOURCE to
	be 500, instead of _GNU_SOURCE to be 1, to work around glibc
	2.1.3 bug.  This avoids a clash when files like regex.c define
	_GNU_SOURCE.

2000-05-05  Jim Meyering  <meyering@lucent.com>

	* jm-macros.m4 (jm_MACROS): Save and restore LIBS around AC_SEARCH_LIBS
	call for clock_gettime.
	(LIB_CLOCK_GETTIME): Set and AC_SUBST.

	* search-libs.m4: Update from autoconf.

	su doesn't work on Solaris 2.6.
	* lib-check.m4: When checking for struct spwd.sp_pwdp, also include
	<shadow.h>.  Reported by Dragos Harabor.

2000-05-03  Jim Meyering  <meyering@lucent.com>

	* check-decl.m4 (AC_CHECK_DECLS): Add strndup.

2000-05-02  Paul Eggert  <eggert@twinsun.com>

	* largefile.m4 (AC_SYS_LARGEFILE): Define _GNU_SOURCE if
	this is needed to make ftello visible (e.g. glibc 2.1.3).  Use
	compile-time test, rather than inspecting host and OS, to
	decide whether to define _LARGEFILE_SOURCE.

2000-05-01  Jim Meyering  <meyering@lucent.com>

	* fsusage.m4: Use AC_MSG_CHECKING instead of obsolete AC_CHECKING.

	* ls-mntd-fs.m4 (jm_LIST_MOUNTED_FILESYSTEMS): Add BeOS support.
	Based on a patch from Bruno Haible.

2000-04-18  Jim Meyering  <meyering@lucent.com>

	* prereq.m4 (jm_PREREQ_GETPAGESIZE): New macro.
	(jm_PREREQ): Use it.

2000-04-17  Jim Meyering  <meyering@lucent.com>

	Get it right :-)
	* jm-macros.m4 (jm_CHECK_ALL_TYPES) [_GNU_SOURCE]: Emit the
	actual #define via AH_VERBATIM.  Don't need separate AC_DEFINE.
	Suggestion from Akim Demaille.

2000-04-14  Jim Meyering  <meyering@lucent.com>

	* jm-macros.m4 (jm_CHECK_ALL_TYPES) [_GNU_SOURCE]: Use the one-arg form
	of AC_DEFINE.  Otherwise, the #ifndef in AH_VERBATIM gets clobbered.

2000-04-13  Jim Meyering  <meyering@lucent.com>

	* jm-macros.m4 (jm_CHECK_ALL_TYPES) [_GNU_SOURCE]: Use new AH_VERBATIM
	to insert required #ifndef into config.h.in.
	Suggestion from Akim Demaille.

2000-04-12  Jim Meyering  <meyering@lucent.com>

	* getloadavg.m4 (AM_FUNC_GETLOADAVG): Use AC_CHECK_HEADERS, not
	`AC_CHECK_HEADER' to check for locale.h.  Thanks to a report from
	Christian Krackowizer.

	More code moved from ../configure.in into (jm_CHECK_ALL_TYPES).
	* jm-macros.m4 (_GNU_SOURCE): Define.
	(AC_SYS_LARGEFILE): Require.
	(AM_C_PROTOTYPES): Require.

2000-04-05  Paul Eggert  <eggert@twinsun.com>

	* largefile.m4 (AC_SYS_LARGEFILE_FLAGS): Don't use -n32 on
	IRIX if the installer said otherwise.

2000-04-05  Jim Meyering  <meyering@lucent.com>

	Portability tweaks required for ultrix4.3.
	* check-decl.m4 [!HAVE_UTMPX_H] (headers): Include <utmp.h>.
	(jm_CHECK_DECLS): Add getutent to the list of functions.
	(_jm_DECL_HEADERS): Add utmpx.h.
	From John David Anglin.

	* strftime.m4: Back out the 2000-04-02 change.
	Instead of that change, simply undefine putenv in the test program.

2000-04-03  Jim Meyering  <meyering@lucent.com>

	* gettext.m4: Fix typo in comment.

	* codeset.m4 (AC_CHECK_HEADERS): Add langinfo.h (moved here from
	textutils/configure.in).  Suggestion from Paul Eggert.
	(AC_CHECK_FUNCS): Add nl_langinfo.  (also from textutils/configure.in)

2000-04-02  Paul Eggert  <eggert@twinsun.com>

	* strftime.m4 (jm_FUNC_GNU_STRFTIME): Set TZ environment
	variable in the shell rather than using putenv, which isn't
	portable.  This avoids the configure-time inter-test dependency
	on the potentially-renamed putenv function.

2000-03-30  Paul Eggert  <eggert@twinsun.com>

	* jm-macros.m4 (jm_CHECK_ALL_TYPES): Include <sys/stat.h>
	before checking struct stat.st_blksize, so that
	HAVE_STRUCT_STAT_ST_BLKSIZE is defined correctly.

2000-03-29  Paul Eggert  <eggert@twinsun.com>

	* strftime.m4 (_jm_STRFTIME_PREREQS): Check for strftime,
	since strftime.c uses HAVE_STRFTIME to decide whether to use
	the underlying strftime.

2000-03-10  Jim Meyering  <meyering@lucent.com>

	* lib-check.m4: Look for getspnam in -lgen, too.
	From Marco Franzen.

2000-02-02  Bruno Haible  <haible@clisp.cons.org>

	* codeset.m4: New file.
	* iconv.m4: New file.
	* jm-macros.m4 (jm_MACROS): Call jm_LANGINFO_CODESET and jm_ICONV.

2000-03-04  Jim Meyering  <meyering@lucent.com>

	* jm-macros.m4 (jm_CHECK_ALL_TYPES): Require AC_C_VOLATILE,
	for lib/localcharset.c.

2000-03-03  Jim Meyering  <meyering@lucent.com>

	* regex.m4: Make sure re_compile_pattern accepts patterns like `{1'.

2000-03-02  Jim Meyering  <meyering@lucent.com>

	* timespec.m4: Require AC_HEADER_TIME before the cache check so
	the messages come out on separate lines.

	* jm-glibc-io.m4 (jm_FUNC_GLIBC_UNLOCKED_IO): Use AC_CHECK_DECLS,
	rather than jm_CHECK_DECLARATIONS.
	* decl.m4: Remove now-unused file.

	* check-decl.m4 (AC_CHECK_DECLS): Add getlogin, ttyname, and geteuid.

2000-02-27  Jim Meyering  <meyering@lucent.com>

	* check-decl.m4: Add getenv to the list.

2000-02-23  Jim Meyering  <meyering@lucent.com>

	* check-decl.m4: Now that we have the new AC_CHECK_DECLS, use it
	in place of my hack.

2000-02-10  Jim Meyering  <meyering@lucent.com>

	* nanosleep.m4 (jm_FUNC_NANOSLEEP): Rename replacement function from
	gnu_nanosleep to rpl_nanosleep.

2000-02-09  Jim Meyering  <meyering@lucent.com>

	* lib-check.m4 (jm_LIB_CHECK): Fix typo: check for sp_pwdp in
	struct spwd, rather than in struct passwd.  Reported by Gaël Quéri.

2000-02-08  Akim Demaille  <akim@epita.fr>

	* largefile.m4 (AC_SYS_LARGEFILE_FLAGS): Quote square brackets with
	`[' and `]' and remove uses of `changequote'.
	(AC_SYS_LARGEFILE_MACRO_VALUE): Likewise.
	(AC_SYS_LARGEFILE): Likewise.
	* gettext.m4 (AM_GNU_GETTEXT): Likewise.
	* strftime.m4 (jm_FUNC_GNU_STRFTIME): Remove now-unnecessary use
	of changequote.
	* regex.m4 (jm_INCLUDED_REGEX): Likewise.
	* readdir.m4 (jm_FUNC_READDIR): Likewise
	* memcmp.m4 (jm_AC_FUNC_MEMCMP): Likewise, and add `int' for main.
	* getloadavg.m4 (AM_FUNC_GETLOADAVG): Likewise.

2000-02-05  Jim Meyering  <meyering@lucent.com>

	* jm-macros.m4 (jm_CHECK_ALL_TYPES): Require most macros.
	Remove explicit use of AC_HEADER_TIME.  It is required by
	jm_CHECK_TYPE_STRUCT_TIMESPEC.  Using AC_HEADER_TIME and
	`AC_REQUIRE'ing jm_CHECK_TYPE_STRUCT_TIMESPEC provoked a but
	in autoconf whereby the expansion of the latter ended up preceding
	the expansion of its prerequisite, AC_HEADER_TIME.
	Reported by Volker Borchert.

2000-02-03  Jim Meyering  <meyering@lucent.com>

	* prereq.m4 (jm_PREREQ_READUTMP): Check for utmpxname.

2000-02-02  Jim Meyering  <meyering@lucent.com>

	* prereq.m4 (jm_PREREQ_ADDEXT): Fix typo that resulted in no
	definition of HAVE_PATHCONF: s/AC_CHECK_FUNC/AC_CHECK_FUNCS/.
	Reported by Eli Zaretskii.

2000-01-31  Jim Meyering  <meyering@lucent.com>

	* check-decl.m4 (jm_CHECK_DECLS): Add nanosleep to the list of
	functions.  Add the time.h and sys/time.h headers along with the
	AC_REQUIRE'ment of AC_HEADER_TIME.

2000-01-30  Jim Meyering  <meyering@lucent.com>

	* lib-check.m4: Clean up some kludgy old shadow password tests.

	* prereq.m4 (utmp_includes): Define.
	Check for ut_user and ut_name members in both struct utmpx
	and struct utmp.

2000-01-29  Jim Meyering  <meyering@lucent.com>

	* lib-check.m4: New file containing library-related checks from
	fileutils and sh-utils (textutils had none).

2000-01-28  Jim Meyering  <meyering@lucent.com>

	* perl.m4: Change format of warning message to look more like that
	from the missing script.  Suggestion from François Pinard.

2000-01-25  Jim Meyering  <meyering@lucent.com>

	* timespec.m4: Require AC_HEADER_TIME, and include sys/time.h as well
	as time.h in the compile check.
	* nanosleep.m4: Require AC_HEADER_TIME rather than simply using it.
	Fix typo in cross-compiling case: s/yes/no/.

2000-01-23  Jim Meyering  <meyering@lucent.com>

	* jm-macros.m4: Move df-related tests here from fileutils/configure.in

	* ls-mntd-fs.m4: s/list_mounted_fs/ac_list_mounted_fs/
	(jm_LIST_MOUNTED_FILESYSTEMS): Take two parameters.

	* fsusage.m4: New file.  Extracted from fileutils/configure.in.
	s/space/ac_fsusage_space/.
	(jm_FILE_SYSTEM_USAGE): Take two parameters.

	* ftruncate.m4: New file (derived from part of fileutils/configure.in).
	* jm-macros.m4 (jm_FUNC_FTRUNCATE): AC_REQUIRE it.
	(jm_CHECK_ALL_TYPES): Require AC_HEADER_MAJOR and AC_HEADER_DIRENT.

	* jm-macros.m4 (OPTIONAL_BIN_PROGS, OPTIONAL_BIN_ZCRIPTS, MAN):
	AC_SUBST these here, rather than just in sh-util/configure.in, so
	that the now-shared-by-fileutils-and-textutils lib/Makefile.am are
	all the same.
	(AM_FUNC_OBSTACK): Add (from fileutils/configure.in).
	(AC_CHECK_FUNCS): Merge all checks from fileutils, textutils, sh-utils.
	(AM_FUNC_STRTOD): Added (from textutils', sh-utils' configure.in).
	(AC_SUBST(POW_LIBM)): Likewise.
	(AC_SUBST(DF_PROG)): Moved from fileutils/configure.in.

2000-01-22  Jim Meyering  <meyering@lucent.com>

	* jm-macros.m4: Call AC_PROG_CC_STDC just before AC_C_CONST.

	* prereq.m4 (jm_PREREQ_QUOTEARG): Add wctype.h.

	* jm-macros.m4 (AC_CHECK_HEADERS): Add checks from fileutils'
	configure.in
	(AC_CHECK_HEADERS): Likewise for sh-utils.
	(AC_CHECK_HEADERS): Likewise for textutils.
	Merge the three lists of headers.

	* prereq.m4 (jm_PREREQ_ADDEXT): New macro.  Parts moved here
	from fileutils' configure.in.

	* decl.m4: Remove kludgy `test -z $ac_...AC_CHECK_HEADERS(...)' code.
	Moved tests into their own function (_jm_DECL_HEADERS) in check-decl.m4.

	* check-decl.m4: Use #if rather than #ifdef.
	Add HAVE_DECL_STRTOUL and HAVE_DECL_STRTOULL.
	(jm_CHECK_DECLARATIONS): Add strtoul strtoull.
	(_jm_DECL_HEADERS): Define new function.
	(jm_CHECK_DECLARATIONS): Require it.

2000-01-19  Jim Meyering  <meyering@lucent.com>

	* nanosleep.m4 (jm_FUNC_NANOSLEEP): Include <sys/time.h>, too.
	Use AC_HEADER_TIME.  Volker Borchert reported that OpenBSD-2.3/sparc
	defines `struct timespec' in <sys/time.h>

	* c-bs-a.m4: Remove uses of changequote altogether.
	Thanks to Akim for explaining.

2000-01-16  Jim Meyering  <meyering@lucent.com>

	* jm-macros.m4: Require jm_FUNC_GROUP_MEMBER, jm_FUNC_PUTENV,
	AM_FUNC_ERROR_AT_LINE, jm_FUNC_GNU_STRFTIME, jm_FUNC_MKTIME,
	jm_FUNC_GETGROUPS AC_FUNC_VPRINTF, AC_FUNC_ALLOCA,
	AM_FUNC_GETLOADAVG, and jm_SYS_PROC_UPTIME.

2000-01-16  Jim Meyering  <meyering@lucent.com>

	* c-bs-a.m4: Use `changequote(<<,>>)', rather than `changequote(, )'
	because the latter didn't work.

2000-01-15  Jim Meyering  <meyering@lucent.com>

	* jm-macros.m4 (AC_REPLACE_FUNCS): Add gethostname and getusershell.
	(AC_REPLACE_FUNCS): Add memcpy and memset.
	Add these, too: stime strcspn stpcpy strstr strtol strtoul.
	Add strpbrk.
	Add these: euidaccess memcmp mkdir rmdir rpmatch strndup strverscmp.

2000-01-12  Jim Meyering  <meyering@lucent.com>

	* prereq.m4 (jm_PREREQ_CANON_HOST): New macro.
	(jm_PREREQ): Use it.
	(jm_PREREQ_READUTMP): New macro.
	(jm_PREREQ): Use it.

2000-01-11  Paul Eggert  <eggert@twinsun.com>

	Quote multibyte characters correctly.
	* c-bs-a.m4: New file.
	* prereq.m4 (jm_PREREQ_QUOTEARG): New macro.
	(jm_PREREQ): Use it.

2000-01-11  Paul Eggert  <eggert@twinsun.com>

	* uintmax_t.m4: Port to autoconf 2.13.

2000-01-08  Jim Meyering  <meyering@ascend.com>

	* strerror_r.m4 (jm_FUNC_STRERROR_R): New file/macro.
	* jm-macros.m4 (jm_FUNC_STRERROR_R): Require it.

2000-01-04  Jim Meyering  <meyering@ascend.com>

	* d-type.m4 (jm_CHECK_TYPE_STRUCT_DIRENT_D_TYPE): Rename from
	jm_STRUCT_DIRENT_D_TYPE.
	* d-ino.m4 (jm_CHECK_TYPE_STRUCT_DIRENT_D_INO): Rename from
	jm_STRUCT_DIRENT_D_INO.
	* utimbuf.m4 (jm_CHECK_TYPE_STRUCT_UTIMBUF): Rename from
	jm_STRUCT_UTIMBUF.
	* jm-macros.m4: Reflect s/jm_STRUCT_/jm_CHECK_TYPE_STRUCT_/ renamings.
	* utime.m4: Likewise.

	* timespec.m4 (jm_CHECK_TYPE_STRUCT_TIMESPEC): New file, macro.
	* jm-macros.m4 (jm_CHECK_TYPE_STRUCT_TIMESPEC): Require it.

2000-01-03  Paul Eggert  <eggert@twinsun.com>

	* nanosleep.m4 (jm_FUNC_NANOSLEEP): Search for nanosleep in -lrt
	(for Solaris 7) and in -lposix4 (for Solaris 2.5.1).

2000-01-02  Jim Meyering  <meyering@ascend.com>

	* search-libs.m4: Escape `$' in $3 of dnl comment.  I no longer
	remember if this is necessary.

1999-12-26  Jim Meyering  <meyering@ascend.com>

	* jm-macros.m4: Use it here.
	* nanosleep.m4 (jm_FUNC_NANOSLEEP): New file/macro.

1999-12-23  Jim Meyering  <meyering@ascend.com>

	* jm-macros.m4: Check for clock_gettime (moved from
	fileutils/configure.in)
	Check for gettimeofday.

1999-12-20  Jim Meyering  <meyering@ascend.com>

	* strftime.m4: Remove kludge, now that I'm using the fixed
	autoconf-2.14a-1999-12-20.

1999-12-19  Jim Meyering  <meyering@ascend.com>

	* lstat-slash.m4: New file.
	* jm-macros.m4: Use the new macro:
	jm_FUNC_LSTAT_FOLLOWS_SLASHED_SYMLINK.

1999-12-07  Jim Meyering  <meyering@ascend.com>

	* perl.m4: Require that File::Compare be available, too.
	Too many systems seem to lack it.

	* strftime.m4: Add checks for most of the cpp macros tested in
	GNU's strftime.c.  Prompted by a patch from Paul Eggert.

1999-11-18  Paul Eggert  <eggert@twinsun.com>

	* largefile.m4 (AC_SYS_LARGEFILE_FLAGS): Work around a
	problem with the QNX 4.25 shell, which doesn't propagate exit
	status of failed commands inside shell assignments.

1999-11-17  Jim Meyering  <meyering@ascend.com>

	* gettext.m4: Use new AC_CONFIG_LINKS in place of AC_LINK_FILES.

1999-11-07  Jim Meyering  <meyering@ascend.com>

	* getloadavg.m4: Add `, 1, [FIXME]' to each use of AC_DEFINE.

1999-11-06  Jim Meyering  <meyering@ascend.com>

	* link-follow.m4 (jm_AC_FUNC_LINK_FOLLOWS_SYMLINK): New file/macro.
	* jm-macros.m4 (jm_MACROS): Use it here.

1999-11-05  Jim Meyering  <meyering@ascend.com>

	* jm-macros.m4 (jm_CHECK_ALL_TYPES): Move some tests from configure.in
	of textutils, fileutils, and sh-utils into this one (shared between
	those packages) file.
	Use `AC_CHECK_MEMBERS((struct stat.st_blksize))' instead of deprecated
	AC_STRUCT_ST_BLKSIZE.

1999-11-03  Jim Meyering  <meyering@ascend.com>

	* ssize_t.m4: Remove file.  No longer needed since the new version of
	AC_CHECK_TYPE checks includes unistd.h.
	* jm-macros.m4: Use straight `AC_CHECK_TYPE(ssize_t, int)'.
	Suggestion from Akim Demaille.

1999-10-30  Jim Meyering  <meyering@ascend.com>

	* uintmax_t.m4: Require 2.14a.  Remove backslash before backtick in
	m4-quoted string.
	* ls-mntd-fs.m4: Likewise.
	* jm-macros.m4: Likewise.  Also, use AC_TYPE_SSIZE_T instead
	* jm-winsz1.m4: Likewise.

	* const.m4: Remove file, since the fix made it into the experimental
	version of autoconf.
	* mktime.m4: Likewise.

	* check-type.m4: Remove file, now that the latest version of
	AC_CHECK_TYPE takes a third arg to specify additional #includes.

	* ssize_t.m4: New file, requires experimental version of autoconf.
	* jm-macros.m4: Use new AC_TYPE_SSIZE_T instead of my hacked
	AC_CHECK_TYPE.

1999-10-04  Jim Meyering  <meyering@ascend.com>

	* jm-macros.m4: Don't require autoconf-2.14.1.

1999-09-22  Paul Eggert  <eggert@twinsun.com>

	* largefile.m4 (AC_SYS_LARGEFILE_FLAGS): Work around GCC
	2.95.1 bug with HP-UX 10.20.

1999-09-17  Jim Meyering  <meyering@ascend.com>

	* jm-macros.m4 (AC_REPLACE_FUNCS): Add strdup.
	Paul Nevai reported a link failure on a NeXT CUBE with NeXTSTEP 3.3
	due to missing strdup (against sh-utils-2.0).

1999-08-29  Jim Meyering  <meyering@ascend.com>

	* jm-macros.m4: Require jm_BISON.
	* bison.m4: New file.

1999-08-17  Paul Eggert  <eggert@twinsun.com>

	* largefile.m4 (AC_SYS_LARGEFILE): Fix typo: missing comma
	in value for _FILE_OFFSET_BITS, which broke ports to HP-UX 10.20.

1999-08-05  Jim Meyering  <meyering@ascend.com>

	* getline.m4: Rename test file from conftestdata to conftest.data
	to avoid conflicts with `conftest' on 8+3 filesystems.
	Suggestion from Eli Zaretskii.

1999-08-04  Jim Meyering  <meyering@ascend.com>

	* jm-macros.m4: Move a 4-line block of code from the configure.in of
	fileutils and sh-utils (textutils's getline test was inadequate).
	(AM_FUNC_GETLINE): Run this test.
	(AC_CHECK_FUNCS): Check for getdelim.
	Reported by Bob Proulx.

1999-08-02  Jim Meyering  <meyering@ascend.com>

	* jm-macros.m4: Add a comment.

1999-08-01  Jim Meyering  <meyering@ascend.com>

	* mktime.m4 (AC_FUNC_MKTIME): Undefine to avoid syntax errors from m4.

1999-08-01  Paul Eggert  <eggert@twinsun.com>

	* lfs.m4: Remove this file.
	* largefile.m4: New file.  It contains the old contents of
	lfs.m4, except that all names with prefix AC_LFS have been
	changed to use the prefix AC_SYS_LARGEFILE instead, to be
	compatible with future autoconf versions.  Also, some minor m4
	quoting problems have been fixed.

1999-07-16  Paul Eggert  <eggert@twinsun.com>

	* ulonglong.m4 (jm_AC_TYPE_UNSIGNED_LONG_LONG): Make sure
	that we can shift, multiply and divide unsigned long long
	values; Ultrix cc can't do it.

1999-07-14  Paul Eggert  <eggert@twinsun.com>

	* xstrtoumax.m4 (jm_AC_PREREQ_XSTRTOUMAX): Check whether
	<inttypes.h> defines strtoumax as a macro (and not as a
	function).

1999-07-05  Paul Eggert  <eggert@twinsun.com>

	* gettext.m4 (AM_WITH_NLS): Remove unnecessary lines.
	Fix typo: $nls_cv_header_intl was misspelled as $nsl_cv_header_intl.
	(AM_GNU_GETTEXT): Fix problem with brackets and m4 quoting,
	and simplify the shell code.

1999-07-03  Paul Eggert  <eggert@twinsun.com>

	* mktime.m4: New file, which is a preview of what should appear
	in the next public autoconf release.

1999-07-20  Jim Meyering  <meyering@ascend.com>

	* jm-macros.m4 (AC_REPLACE_FUNCS): Add memmove.

1999-07-15  Jim Meyering  <meyering@ascend.com>

	* jm-macros.m4 (AC_CHECK_FUNCS): Check for getpagesize.

1999-05-22  Jim Meyering  <meyering@ascend.com>

	* jm-macros.m4 (AC_REPLACE_FUNCS): Add memchr.

1999-05-20  Jim Meyering  <meyering@ascend.com>

	* search-libs.m4 [AC_SEARCH_LIBS]: Quote name in undefine.
	Add a colon after each `then' in case $4 is empty.

1999-05-16  Jim Meyering  <meyering@ascend.com>

	* search-libs.m4: New file to override autoconf's AC_SEARCH_LIBS.

1999-05-10  Jim Meyering  <meyering@ascend.com>

	* jm-mktime.m4: Reflect renaming: AM_FUNC_MKTIME -> AC_FUNC_MKTIME.

	* jm-macros.m4: Require 2.14.1, since we use newly-renamed
	AC_FUNC_MKTIME.

1999-05-10  Andreas Schwab  <schwab@issan.cs.uni-dortmund.de>

	* jm-mktime.m4, putenv.m4: Fix typos in config.h comments.

1999-05-04  Paul Eggert  <eggert@twinsun.com>

	* lfs.m4 (AC_LFS): -n32, -o32, and -n64 should be in CFLAGS,
	not CPPFLAGS, so that linking works correctly in IRIX.

1999-04-30  Paul Eggert  <eggert@twinsun.com>

	* jm-macros.m4 (AC_REPLACE_FUNCS): Add dup2.

1999-04-20  Jim Meyering  <meyering@ascend.com>

	* xstrtoumax.m4: Require jm_AC_TYPE_UNSIGNED_LONG_LONG.
	AC_REPLACE xstroull if necessary.  From Paul Eggert.
	(AC_CHECK_FUNCS): Remove strtoull, strtoumax, strtouq.

1999-04-20  Paul Eggert  <eggert@twinsun.com>

	* uintmax_t.m4 (jm_AC_TYPE_UINTMAX_T): Move unsigned long
	long check into new jm_AC_TYPE_UNSIGNED_LONG_LONG macro.
	* jm-macros.m4 (jm_CHECK_ALL_TYPES): Require
	jm_AC_TYPE_UNSIGNED_LONG_LONG.
	* ulonglong.m4 (jm_AC_TYPE_UNSIGNED_LONG_LONG): New file/macro.

	* lfs.m4: Port to AIX and HP-UX.  Support cross-compilation.

1999-04-18  Jim Meyering  <meyering@ascend.com>

	* xstrtoumax.m4 (jm_AC_PREREQ_XSTRTOUMAX): New file/macro.
	* jm-macros.m4: Use it.

1999-04-06  Jim Meyering  <meyering@ascend.com>

	* strftime.m4: Remove test for %f.

1999-03-29  Jim Meyering  <meyering@ascend.com>

	* jm-macros.m4 (jm_CHECK_ALL_TYPES): New macro, contains the
	superset of the AC_TYPE_* checks in the textutils, fileutils,
	and sh-utils, plus AC_TYPE_PID_T.  Paul Eggert suggested adding
	AC_TYPE_PID_T.

1999-03-28  Jim Meyering  <meyering@ascend.com>

	* jm-macros.m4: Define GNU_PACKAGE here.
	Be sure to AC_SUBST it, once again, so that @GNU_PACKAGE@ is
	replaced e.g., in the *.sh files of the sh-utils.

1999-03-20  Jim Meyering  <meyering@ascend.com>

	* jm-macros.m4: s/jm_WITH_REGEX/jm_INCLUDED_REGEX/.
	* regex.m4 (jm_INCLUDED_REGEX): Rename from jm_WITH_REGEX.
	Don't depend on AM_GLIBC.  Suggestions from Alain Magloire.

1999-03-19  Jim Meyering  <meyering@ascend.com>

	* jm-winsz1.m4 (jm_WINSIZE_IN_PTEM): New macro.

1999-03-12  Jim Meyering  <meyering@ascend.com>

	* jm-macros.m4: Use AC_FUNC_SETVBUF_REVERSED.

1999-03-07  Jim Meyering  <meyering@ascend.com>

	* jm-glibc-io.m4: Use only those *_unlocked macros that are declared.

1999-02-17  Jim Meyering  <meyering@ascend.com>

	* gettext.m4 (AM_GNU_GETTEXT): Do `changequote' around use of brackets
	in macro definition.  From Eli Zaretskii and Alain Magloire.

1999-02-07  Jim Meyering  <meyering@ascend.com>

	* group-member.m4: New file -- extracted from sh-utils' configure.in.

	1999-02-05  Eli Zaretskii  <eliz@is.elta.co.il>
	* gettext.m4: Support DOS-style d:/foo/bar absolute file names.

1999-02-06  Jim Meyering  <meyering@ascend.com>

	* chown.m4: Use `AC_SUBST(LIBOBJS)' since we set LIBOBJS.
	* fnmatch.m4: Likewise.
	* getgroups.m4: Likewise.
	* lstat.m4: Likewise.
	* malloc.m4: Likewise.
	* putenv.m4: Likewise.
	* realloc.m4: Likewise.
	* regex.m4: Likewise.
	* stat.m4: Likewise.
	* strftime.m4: Likewise.
	Suggestion from Alain Magloire.

	* chown.m4: Use `.$ac_objext', not `.o'.
	* fnmatch.m4: Likewise.
	* getgroups.m4: Likewise.
	* getline.m4: Likewise.
	* lstat.m4: Likewise.
	* malloc.m4: Likewise.
	* memcmp.m4: Likewise.
	* putenv.m4: Likewise.
	* realloc.m4: Likewise.
	* regex.m4: Likewise.
	* stat.m4: Likewise.
	* strftime.m4: Likewise.
	Suggestion from Alain Magloire.

	* jm-macros.m4: Actually invoke jm_WITH_REGEX now that it requires
	an argument.

	* regex.m4: Add a run-time Test for proper operation of
	re_compile_pattern.

1999-01-31  Jim Meyering  <meyering@ascend.com>

	* getloadavg.m4: Check for locale.h and the function, setlocale.

1999-01-30  Jim Meyering  <meyering@ascend.com>

	* check-type.m4: Use 3-arg form of AC_DEFINE.

	* jm-mktime.m4: Make this a wrapper around the official AM_FUNC_MKTIME
	rather than my private copy, now that the official one is up to date.
	* mktime.m4: Remove file.

	* getloadavg.m4: Use 3-arg form of AC_DEFINE.
	* uptime.m4: Likewise.
	* uintmax_t.m4: Likewise.

1999-01-28  Jim Meyering  <meyering@ascend.com>

	* jm-macros.m4: Use jm_AFS.
	* afs.m4: New file (from fileutils' configure.in).

	* assert.m4: Use the 3-argument forms of AC_DEFINE* macros.
	* chown.m4: Likewise.
	* d-ino.m4: Likewise.
	* d-type.m4: Likewise.
	* fnmatch.m4: Likewise.
	* getgroups.m4: Likewise.
	* gettext.m4: Likewise.
	* jm-mktime.m4: Likewise.
	* jm-winsz2.m4: Likewise.
	* lcmessage.m4: Likewise.
	* ls-mntd-fs.m4: Likewise.
	* malloc.m4: Likewise.
	* memcmp.m4: Likewise.
	* putenv.m4: Likewise.
	* realloc.m4: Likewise.
	* st_mtim.m4: Likewise.
	* strftime.m4: Likewise.

1999-01-16  Jim Meyering  <meyering@ascend.com>

	* jm-macros.m4 (ARGMATCH_DIE): Define.
	(ARGMATCH_DIE_DECL): Define.

1999-01-12  Jim Meyering  <meyering@ascend.com>

	* Makefile.am.in: Rewrite to avoid using fmt.
	Reported by Lars Hecking.

1999-01-10  Jim Meyering  <meyering@ascend.com>

	* fstypename.m4: Use the new 3-arg form of AC_DEFINE instead of my
	gross kludge.
	* inttypes_h.m4: Likewise.
	* lstat.m4: Likewise.
	* malloc.m4: Likewise.
	* readdir.m4: Likewise.
	* realloc.m4: Likewise.
	* st_dm_mode.m4: Likewise.
	* stat.m4: Likewise.
	* utimbuf.m4: Likewise.
	* utimes.m4: Likewise.

	* check-decl.m4: Use the new 3-arg form of AC_DEFINE instead of the
	AC_CHECK_FUNCS hack.  Now, it's still a hack, but at least the
	comments in config.h.in are meaningful.

	* jm-macros.m4: Require autoconf-2.13 here.

	* regex.m4: By default, don't use the included regex.c on systems
	with glibc 2.  Suggestion from Uli Drepper.

1999-01-02  Jim Meyering  <meyering@ascend.com>

	* jm-macros.m4: Replace strcasecmp and strncasecmp.

1998-12-18  Jim Meyering  <meyering@ascend.com>

	* Makefile.am.in (Makefile.am): Simplify rule.
	Based on a suggestion from Lars Hecking.

1998-11-16  Jim Meyering  <meyering@ascend.com>

	* lfs.m4: Double-quote the `uname...` expression.

1998-11-16  Paul Eggert  <eggert@twinsun.com>

	* lfs.m4 (AC_LFS): Add support for HP-UX 10.20 and HP-UX 11.

1998-11-14  Jim Meyering  <meyering@ascend.com>

	* lstat.m4: Correct comment.  POSIX does not permit it to succeed.
	* stat.m4: Likewise.

1998-11-03  Jim Meyering  <meyering@ascend.com>

	* stat.m4: Rewrite to set HAVE_STAT_EMPTY_STRING_BUG.
	* lstat.m4: Rewrite to set HAVE_LSTAT_EMPTY_STRING_BUG.

1998-10-18  Jim Meyering  <meyering@ascend.com>

	* check-decl.m4 (jm_CHECK_DECL_LOCALTIME_R): Remove macro.

1998-10-17  Jim Meyering  <meyering@ascend.com>

	* decl.m4 (jm_CHECK_DECLARATION): Don't hard-code which headers to
	include, though we still hard-code the `require'-like AC_CHECK_HEADERS
	calls for those previously hard-coded headers.  Instead, take a new
	parameter.
	(jm_CHECK_DECLARATIONS): Reflect interface change.
	* check-decl.m4 (jm_CHECK_DECLS): Likewise.
	(jm_CHECK_DECL_LOCALTIME_R): New macro.

	* mktime.m4: Test for spring-forward gap before long-running test.

1998-10-14  Jim Meyering  <meyering@ascend.com>

	* mktime.m4: Use the more portable "TZ=PST8PDT,M4.1.0,M10.5.0"
	instead of "TZ=America/Vancouver".  From Paul Eggert.

1998-10-11  Jim Meyering  <meyering@ascend.com>

	* mktime.m4 (jm_AM_FUNC_MKTIME): New file and macro.
	This adds a test for a recently added compatibility fix for mktime.c.
	* jm-mktime.m4: Require jm_AM_FUNC_MKTIME, not AM_FUNC_MKTIME.

1998-09-27  Jim Meyering  <meyering@ascend.com>

	* jm-macros.m4 (jm_MACROS): Require jm_FUNC_FNMATCH.

	* fnmatch.m4 (jm_FUNC_FNMATCH): New file/macro.  Extracted from
	../configure.in, including a change from Gordon Matzigkeit to allow
	cross-compiling for the Hurd.

	* glibc.m4: New file/macro to test for the GNU C Library
	versions 1 and 2.  From Gordon Matzigkeit.
	Indent.

1998-09-21  Jim Meyering  <meyering@ascend.com>

	* chown.m4: Declare locals: before, after.  From Andries Brouwer.

1998-08-18  Paul Eggert  <eggert@twinsun.com>

	Port nanosecond-resolution times to UnixWare 2.1.2 and
	pedantic Solaris 2.6.

	* st_mtim.m4 (AC_STRUCT_ST_MTIM_NSEC): Renamed from
	AC_STRUCT_ST_MTIM.
	* st_mtim.m4 (AC_STRUCT_ST_MTIM_NSEC):
	Generate name of ns member, instead of just 1 or undef.
	Allow for UnixWare 2.1.2 and Solaris 2.6 if in pedantic mode.

1998-08-15  Jim Meyering  <meyering@ascend.com>

	* ssize_t.m4 (jm_TYPE_SSIZE_T): Remove file.
	* check-type.m4: New file.  Replacement for AC_CHECK_TYPE.
	* jm-macros.m4: Use the new AC_CHECK_TYPE(ssize_t, int)
	instead of jm_TYPE_SSIZE_T.

1998-08-12  Jim Meyering  <meyering@ascend.com>

	* st_dm_mode.m4: New file.  From Johan Danielsson.

1998-08-02  Jim Meyering  <meyering@ascend.com>

	* st_mtim.m4: Use hack to avoid having to put #undef HAVE_ST_MTIM
	in acconfig.h manually.

1998-07-31  Paul Eggert  <eggert@twinsun.com>

	* st_mtim.m4: New file.

1998-07-28  Jim Meyering  <meyering@ascend.com>

	* utimes.m4: Undef stat.

1998-07-25  Jim Meyering  <meyering@ascend.com>

	* utime.m4 (jm_FUNC_UTIME): New file and macro.
	* utimes.m4 (jm_FUNC_UTIMES_NULL): New file and macro.

1998-07-09  Manfred Hollstein  <manfred@s-direktnet.de>

	* chown.m4 (jm_FUNC_CHOWN): Add a check to verify that the
	uid and gid actually remain unchanged.

1998-07-07  Jim Meyering  <meyering@ascend.com>

	* jm-glibc-io.m4: Remove fclose_unlocked.

1998-07-04  Jim Meyering  <meyering@ascend.com>

	* regex.m4: Use syscmd, ifelse, and sysval.  Mainly as an exercise
	to prove that this macro can be used in packages without regex.c.

1998-07-02  Andreas Schwab  <schwab@issan.informatik.uni-dortmund.de>

	* gettext.m4 (AM_WITH_NLS): Remove intl/libintl.h if <libintl.h>
	is to be used.

1998-07-03  Jim Meyering  <meyering@ascend.com>

	* gettext.m4: Add -lintl if it's found to be necessary.

	* gettext.m4: New file -- from gettext-0.10.35.
	* lcmessage.m4: Likewise.
	* progtest.m4: Likewise.

	* regex.m4 (jm_WITH_REGEX): New file and macro.
	* jm-macros.m4: Require the new macro.

1998-06-29  Jim Meyering  <meyering@ascend.com>

	* fstypename.m4: Include sys/param.h.  NetBSD 1.3.1 requires this
	for the definition of NGROUPS (used in a system header included
	by sys/mount.h).

1998-06-28  Jim Meyering  <meyering@ascend.com>

	* ls-mntd-fs.m4: New file.
	* fstypename.m4: New file.

	* jm-macros.m4: Require the new macro.
	* jm-glibc-io.m4: New file.

1998-05-19  Jim Meyering  <meyering@ascend.com>

	* jm-macros.m4: Add jm_FUNC_LCHOWN.
	* lchown.m4: New file.

	* Makefile.am.in: New file.
	* Makefile.am (Makefile.am): Depend on Makefile.am.in.

1998-05-14  Jim Meyering  <meyering@ascend.com>

	* Makefile.am (EXTRA_DIST): Add them.
	* jm-macros.m4: New file.
	* utimbuf.m4: New file.

1998-05-12  Jim Meyering  <meyering@ascend.com>

	* Makefile.am (EXTRA_DIST): Add isc-posix.m4.

1998-05-11  Jim Meyering  <meyering@ascend.com>

	* isc-posix.m4: New file.

1998-05-10  Jim Meyering  <meyering@ascend.com>

	* jm-mktime.m4: Use AM_FUNC_MKTIME, now that it's up to date.

1998-05-09  Jim Meyering  <meyering@ascend.com>

	* Makefile.am (EXTRA_DIST): Add ssize_t.m4.
	(EXTRA_DIST): Remove mktime.m4, now that the new version is included
	with automake.

	* ssize_t.m4: New file.
	* mktime.m4: Remove file -- the new automake has this now.

1998-04-26  Jim Meyering  <meyering@ascend.com>

	* assert.m4: New file.
	* Makefile.am (EXTRA_DIST): Add assert.m4.

1998-04-05  Jim Meyering  <meyering@ascend.com>

	* prereq.m4 (jm_PREREQ_REGEX): New macro.
	(jm_PREREQ): Use it here.

1998-03-23  Jim Meyering  <meyering@eng.ascend.com>

	* inttypes_h.m4: Kludges so I don't have to add HAVE_INTTYPES_H
	in acconfig.h.

1998-03-15  Jim Meyering  <meyering@eng.ascend.com>

	* prereq.m4: New file.
	* error.m4: New file.
	* Makefile.am (EXTRA_DIST): Add error.m4 and prereq.m4.

1998-02-07  Jim Meyering  <meyering@eng.ascend.com>

	* getline.m4: Don't set am_cv_func_working_getline before the
	cache-check for the same variable -- that defeated the purpose of
	the test; the test program was never run.  This was a problem only
	on systems with losing getline functions -- HP-UX 10.20 is one.
	Reported by Bjorn Helgaas.

1998-02-06  Jim Meyering  <meyering@eng.ascend.com>

	* Makefile.am (EXTRA_DIST): Add perl.m4.

1998-01-10  Jim Meyering  <meyering@na-net.ornl.gov>

	* Makefile.am (EXTRA_DIST): Add const.m4.

	* const.m4: New file.  Use an initializer in this declaration
	typedef int charset[2]; const charset x;
	Reported by Bob Glickstein.

1997-12-21  Jim Meyering  <meyering@na-net.ornl.gov>

	* chown.m4: Fix reversed types on -1 args to chown.
	From Kaveh Ghazi.

1997-12-14  Jim Meyering  <meyering@na-net.ornl.gov>

	* check-decl.m4: s/DECLARATION_/DECL_/g.
	Add lseek and memchr.

	* decl.m4: s/HAVE_DECLARATION_/HAVE_DECL_/g.
	T.E.Dickey <dickey@clark.net> said that some older preprocessors
	have a 20-character limit on names.

1997-11-30  Jim Meyering  <meyering@na-net.ornl.gov>

	* inttypes_h.m4: New file.
	* uintmax_t.m4: New file.
	* Makefile.am (EXTRA_DIST): Add inttypes_h.m4 and uintmax_t.m4.

Copyright (C) 1997, 1998, 1999, 2000, 2001, 2002, 2003, 2004, 2005, 2006
  Free Software Foundation, Inc.
Copying and distribution of this file, with or without modification,
are permitted provided the copyright notice and this notice are preserved.
